commit a9f0a4c4dbac0c92c431150161915bd5459a42d0
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Tue Sep 25 22:13:56 2012 +0100

    Change type of rabbit_durable_queues to boolean.
    
    Fixes bug 1056465
    
    The rabbit_durable_queues config option should be of type boolean
    instead of string, otherwise it does not have the expected effect on
    the durability of rabbitmq exchanges and queues.
    
    Change-Id: I9b3dc7d763b109c1bf10f78ebe725d71ed10791a

commit 2e6a725e38b81708e77a81142bdb137af8f5fdbf
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Sep 24 13:56:17 2012 -0700

    Document api deployment configuration
    
    This documents how to disable the v1 and v2 APIs. It also makes a note
    about sql configuration on the glance-api node when the v2 API is
    enabled.
    
    Fixes bug 1054168
    
    Change-Id: I4faa29f1b05d8831347febc261f7e47e49dfa09a

commit 32311d61ee5ed7a9f87efdc420bdc262e17d6198
Merge: 5268d6b b46b884
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Sep 24 19:40:17 2012 +0000

    Merge "Ensure workers set to 0 for all functional tests" into milestone-proposed

commit b46b884d4fd94cda230867274a01b9b8c3856819
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Sat Sep 22 21:52:45 2012 +0100

    Ensure workers set to 0 for all functional tests
    
    Fixes bug 1054388
    
    Clear up a couple of cases where a functional test fired up a
    wsgi.Server without explicitly setting the workers config option
    to zero.
    
    Change-Id: I5e2e8fe3c5d6e0c017d27074d35fd79b7dd7d79d

commit 5268d6b1a71d1132a05cf989c322f44ec4445fb5
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Fri Sep 21 15:32:49 2012 +0000

    Add rabbit_durable_queues config option.
    
    Fixes bug 1054183
    
    Avoid AMQPChannelException: (406, "PRECONDITION_FAILED...") failures
    due to a mismatch between the durability of rabbitmq exchange/queue
    declared by glance and ceilometer.
    
    Change-Id: I4e25986a1f503782e701aa1168c4eb231ff25d06

commit 7b84172830b99514e87c817d13fbe54dac4395a7
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Thu Sep 20 20:57:54 2012 +0100

    Update docs with modified workers default value.
    
    The default value for the worker config option is now 1,
    as opposed to 0.
    
    Change-Id: I49f05b31415b3c641abe582f915fc9ead63e84ff

commit cb04797f936273f38b62c846deb9b4b9b0fe03fd
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Wed Sep 19 13:06:43 2012 +0100

    Enable multi-processing by default.
    
    In realistic production environments, multi-processing is likely
    to be enabled.
    
    A default setting of one worker would allow the multi-processing
    codepath to be followed by default, without changing the number
    of processes actually servicing API requests (i.e. the single
    parent process will just wait on the child).
    
    For most functional tests, we continue to explicitly configure
    zero workers, so as to avoid spawning twice as many glance-api
    processes during a test run.
    
    Change-Id: I1c327805f8fb975a3175e9a8b40aeddd21d5ef91

commit 4af4bf9da8e35b480aec267eb20c5b81f3890def
Merge: 235c5a3 c417382
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Sep 20 13:32:37 2012 +0000

    Merge "Fix scrubber start & not scrubbing when not daemon" into milestone-proposed

commit 235c5a3b573333b826705e2c5115f0485f28acf6
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Wed Sep 19 11:37:28 2012 +0100

    Ensure glance-api application is "greened"
    
    Fixes bug 1052640
    
    Avoid unresponsiveness during long-lived I/O-bound operations by
    ensuring that the standard socket libraries are monkey-patched in
    all code-paths.
    
    Change-Id: If672c26f2b462d1abcfc86e20256957f73f98fde

commit c4173820b0e5836e1af99a428b140647c1db70af
Author: Paul Bourke <paul-david.bourke@hp.com>
Date:   Tue Sep 18 12:40:40 2012 +0100

    Fix scrubber start & not scrubbing when not daemon
    
    1) Scrubber not starting
    When the scrubber is run from the command line or via cron, it would try
    to call it's app object which resulted in a TypeError.
    
    2) Scrubber not scrubbing
    In the same usage scenario as above, the delete jobs added to the
    starmap are never started.  A slight delay is enough to start these.
    
    Also add a functional test designed to excercise the scrubber when run
    in "regular mode", which covers both these cases.  I've run the test
    successfully with 1000 images, which should be enough to prove the
    sleep(0.1) does the trick.
    
    Fixes bug 1052537.
    
    Change-Id: If29704d8a425194085b59b7dfd265ffaef16302c

commit b0df8973e58761cd0d43d6eceea80f660a5df3eb
Merge: c54c92e d6e19d3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 19 10:22:50 2012 +0000

    Merge "Don't WARN if trying to add a scheme which exists." into milestone-proposed

commit d6e19d35ef99d887ad053b2c63e58ca2ff160020
Author: Dan Prince <dprince@redhat.com>
Date:   Thu Sep 13 22:48:58 2012 -0400

    Don't WARN if trying to add a scheme which exists.
    
    Updates the register_scheme_map function in store/location.py so that
    it registers new scheme maps only if they don't already exist.
    Also, removes the warning message that was previously logged if
    a duplicate entry was found. Since both Glance v1 and v2 controllers
    attempt to register scheme's this seems reasonable and shouldn't cause
    any problems with how things work.
    
    This fixes an issue where Glance API logs always had warning messages
    stating it was 'Overwriting scheme' information even though everything
    is configured correctly.
    
    Fixes LP Bug #1050711.
    
    Change-Id: Ief539187f9c64a3b2de6d431b1e2ffc9e07e5c90

commit c54c92e87aa89ceae97453af73007c5523818abb
Author: Russell Bryant <rbryant@redhat.com>
Date:   Fri Sep 14 15:08:11 2012 -0400

    Change qpid_heartbeat default.
    
    The default value of qpid_heartbeat of 5 seconds is unnecessarily
    aggressive.  Change it to 60 seconds to reduce the possibility of
    getting disconnected from qpidd under normal circumstances.
    
    Fix bug 1050661.
    
    Change-Id: I9525e74f96314c2c9183d6b10cf503936c81f589

commit 812101ae5cdf53a1c6deb294ec92a0ee1e4f3fcc
Author: Mark Washenberger <mark.washenberger@rackspace.com>
Date:   Tue Sep 11 22:59:52 2012 +0000

    Add region configuration for swift
    
    Addresses bug 1050034
    
    Change-Id: Ib83f5dbb2c1fbeacd741e0cb92b619e67b2243c7

commit 0315ad5b961beca9cf51db66fdc98913c4be4cf7
Merge: 5c55801 059c036
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 12 23:23:24 2012 +0000

    Merge "Update v2.0 API version to CURRENT" into milestone-proposed

commit 5c55801c1f3b6c940c6272d8d6a7419e2b06245c
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Sep 11 21:05:08 2012 -0700

    Update openstack-common log and setup code
    
    Pull in changes up to commit 95cd3a7fad2d0335c65394379c35a798df9d25b4
    
    Change-Id: I628f15aa6367ab2af7912f1b5324055a0fc3c20a

commit 059c036f60bde2a45413f144c052d8ae51a15fb8
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Sep 11 16:07:01 2012 -0700

    Update v2.0 API version to CURRENT
    
    The v2.0 API is stable, so we need to communicate this fact to the
    consumers of Glance. This updates the status of the v2.0 version
    entity in responses from / and those that result in a 300 Multiple
    Choices status code from 'EXPERIMENTAL' to 'CURRENT.'
    
    Change-Id: I9e4514025904d7be2e947c6d14ccb90b6b066f8c

commit aaf36cbe29a24c476e91ed9b20584d7081a95ff8
Merge: 539c7bc 4de8670
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 11 21:26:41 2012 +0000

    Merge "Add s3_store_bucket_url_format config option"

commit 539c7bc32038e86a3a54b87e6e1ef46bd1429635
Merge: 254a8e6 69389a6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 11 19:46:32 2012 +0000

    Merge "Fallback to a temp pid file in glance-control"

commit 4de8670bcbb4e977f1d550bcf470926bbd77803f
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Sep 10 21:21:51 2012 -0700

    Add s3_store_bucket_url_format config option
    
    Swift's implementation of the S3 interface doesn't support subdomain
    access to containers. It requires that the bucket be prepended to the
    request path. The option 's3_store_bucket_url_format' can be set to
    either 'path' or 'subdomain' (default) to control how boto forms
    the bucket url.
    
    Fixes bug 997658
    
    Change-Id: Ia6e1e7356eef7ac2267f7738e2f4a7c70dc12eeb

commit 254a8e664d4eb09c0f104d0cffdd14b217eddb78
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Sep 10 16:28:04 2012 -0700

    Ensure status of 'queued' image updated on delete
    
    Images in 'queued' status (and those without a location attribute)
    were not being updated with a status of 'deleted' when a DELETE
    action was taken on them through both the v1 and v2 APIs. This
    patch ensures that both APIs correctly update the images.
    
    Fixes bug 1048851.
    
    Change-Id: I9604d4ce5d59066fb108625df0fa114cc044d604

commit 69389a644205fa193be6b80fcb149dd940b2e3e0
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Mon Sep 10 19:03:30 2012 +0000

    Fallback to a temp pid file in glance-control
    
    Fixes bug 1046593.
    
    Previously if the pid file was not writeable by the current user
    then glance-control bombs out, *after* spawning the required service
    but *without* caching the process ID anywhere.
    
    Now we fall back to a temporary file, so that at least user can supply
    that file to the corresponding glance-contol stop command.
    
    Change-Id: I6c1daf36221f731fdb5a8bb59d3f91a595337af8

commit 3bfd7bd56c1a8ebc8aff1218c52ac13b66cabb9f
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Wed Sep 5 13:55:46 2012 -0400

    Raise bad request early if image metadata is invalid
    
    Image data is currently uploaded into the backend store even if it is a bad
    request. This patch add value validation in the deserializer so we don't set bad
    data. It also does a full validation of the image metadata to make sure
    everything that is needed for an image upload is set correctly before the upload
    can occur.
    
    There were currently some relevant tests that had incorrect names causing them
    to not run. These have been fixed and modified.
    
    Fixes bug 1035982
    
    Change-Id: I6f3ef83ba7b3de3cb885fad9737fef1a03d9222c

commit 45198f4a0cfbadd013a1aa99515256d2e0a2dfcb
Merge: 15702c4 c008cef
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Sep 7 20:15:05 2012 +0000

    Merge "Return actual unicode instead of escape sequences in v2."

commit 15702c4069bd2019c2d78a5f6adcafd12b276bd4
Merge: f0bd856 3684d8d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Sep 7 19:58:10 2012 +0000

    Merge "Handle multi-process SIGHUP correctly"

commit c008cef084c6362277e88569831ac09d81837327
Author: Eddie Sheffield <eddie.sheffield@rackspace.com>
Date:   Thu Sep 6 17:13:21 2012 -0400

    Return actual unicode instead of escape sequences in v2.
    
    Ensured that when images are serialized to json unicode characters
    are preserved as-is rather than being translated to ASCII escape
    sequences.
    
    Fixes bug 1045455
    
    Change-Id: Ica6dc222bb8c8049cba7049720442d4c5bbb7d32

commit f0bd85670c1b9d6d72e177ca2ec4bb6deed34d7e
Merge: 8e17990 41c1641
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Sep 7 14:00:14 2012 +0000

    Merge "Asynchronously copy from external image source"

commit 3684d8d42a1f7f972a91763f5a85465c575ebbd8
Author: Stuart McLaren <stuart.mclaren@hp.com>
Date:   Fri Sep 7 10:52:26 2012 +0000

    Handle multi-process SIGHUP correctly
    
    Child processes were returning to the main while loop
    and spawning a next generation of processes. Instead
    they should exit cleanly.
    
    Fix for bug 1042823.
    
    Change-Id: I8c0d150640c78487b43279a44d0d6d3ac3e386cc

commit 8e179904069d37608389f40a386609fb03bfaf43
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Sep 5 16:37:30 2012 -0700

    Remove extraneous whitespace in config files
    
    One can not simply remove the hash mark in front of a commented-out
    config option if there is a space following it. This patch removes
    that extraneous whitespace.
    
    Change-Id: Id084eef34a9e894de3f67b2919d55879cd9a715e

commit 09dc108007f6343eebc9f1e867dc1a09a4565936
Merge: 3970063 1cfb025
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 5 23:31:18 2012 +0000

    Merge "Remove db auto-creation magic from glance-manage"

commit 1cfb025d73d3d347e6f6465fcb249c41aef90572
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Aug 28 13:03:07 2012 -0700

    Remove db auto-creation magic from glance-manage
    
    This removes the reliance of glance-manage db_sync on configure_db
    calling register_models.
    
    Fixes bug 1042925
    
    Change-Id: Id93283905256247bdd2663b799d41a7925804542

commit 39700637e3862cc1c30de0dc245f2caed2692982
Author: isethi <iccha.sethi@rackspace.com>
Date:   Fri Aug 31 17:53:32 2012 +0000

    Makes deployed APIs configurable
    
    Uses config options enable_v1_api and enable_v2_api
    to control which APIs have been deployed.
    (Thanks markwash for all the help)
    
    Fixes bug 1043497
    
    Change-Id: I42dc1d88f94e61b9550c5f114ffc1abad25be7ff

commit 41c164139cab619d0a3e0d97b80037f85eb541ad
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Wed Sep 5 14:33:47 2012 +0000

    Asynchronously copy from external image source
    
    Fixes bug 1008874, bug 1046433.
    
    Avoid tieing up dispatch thread for large copy-from images,
    instead initiate copy asynchronously.
    
    The response status is not set to 202 Accepted as per standard
    RESTful idiom, as a non-error response code change requires
    an API version bump.
    
    Instead, the incomplete nature of the image registration is
    reflected in the image status.
    
    Change-Id: I06692422490de0a7d93f63bbd0ffb9c6435a0d2b

commit 3d4e962dac2a307f3f6f9c98fc85fe51a55f4367
Merge: c5eece3 c82ae99
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 5 18:49:59 2012 +0000

    Merge "Exception Handling for image upload in v2"

commit c5eece3b978040b7cd6bea0a1faade8c36a52c56
Merge: ac8cfb6 b020b7e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 5 18:20:45 2012 +0000

    Merge "Remove bad error message in glance-cache-manage"

commit ac8cfb6976ccff7aac80ba12cbb072aa9516bcbd
Merge: 3a96fc9 7037fc8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 5 18:19:35 2012 +0000

    Merge "Call do_start correctly in glance-control reload"

commit 3a96fc954e406b8565ad0490908cd74b9e736c29
Merge: d5b2a21 2f6526b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 5 18:19:00 2012 +0000

    Merge "Sort UUID lists in test_image_get_all_owned"

commit d5b2a21ca1817a25d36c1abd4b89486998e2db3d
Merge: 4234d4b 95e00c9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 5 18:17:11 2012 +0000

    Merge "Fix cache not handling backend failures"

commit 4234d4b2adb83c4680bdbf9c707d579e8746dbdf
Merge: cc9910b eede5f3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 5 18:11:52 2012 +0000

    Merge "Sync some misc changes from openstack-common"

commit 2f6526b10cc7b15f7cb76b94cad3c47ff5ebd000
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Wed Sep 5 16:44:58 2012 +0100

    Sort UUID lists in test_image_get_all_owned
    
    Ensure UUID list comparison is order-independent, to avoid spurious
    failure from the test_image_get_all_owned test case.
    
    Change-Id: I78743a65978b2f1c10adb66b7128c9f438393796

commit 7037fc818b3df6d657581b8ae84e7cc68562ef42
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Aug 30 16:50:59 2012 -0700

    Call do_start correctly in glance-control reload
    
    * Rename test_respawn functional test module to test_bin_glance_control
    * Add 'reload' and 'reload_server' calls to functional test helpers
    
    Fixes bug 1044119
    
    Change-Id: Ide63fdb9f78cd4d6a1cdb7b9f37a10694a7dddd3

commit eede5f32e50fdfb05d8376d9d9d4653805f61a45
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Wed Sep 5 11:28:53 2012 +0100

    Sync some misc changes from openstack-common
    
    Syncs the following from stable/folsom:
    
     5a56539 Allow non-string items in the creds dict.
     769ec65 Don't trap then re-raise ImportError.
     202b8b7 Fix spelling typos
     6a22ea4 Remove unused imports
     01b4f31 Support for marshalling datetime while preserving microseconds.
    
    Change-Id: I31aba154fb1743b771ca9c1d4befa5ee563ca20c

commit cc9910b50f6153b46546a94549cefa75c28d6aa8
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Wed Sep 5 11:27:58 2012 +0100

    Sync latest cfg changes from openstack-common
    
    Syncs the following changes from stable/folsom:
    
     4dc2043 cfg: clean up None value handling
     513bd3a Allow set_default and set_override to use None
     0a36c92 Tilde expansion for --config-file and --config-dir
     038d597 Add import_opt() method to ConfigOpts
    
    Change-Id: I615cdbd6dc7c3ec0218252c202f24c2a2d3aa387

commit d7041f500bbe03e07f38ad42f4d16325b96be45b
Merge: d702576 ec1a9f8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 5 06:11:38 2012 +0000

    Merge "Add kernel/ramdisk_id, instance_uuid to v2 schema"

commit d70257623a7fe3d4f2261d5fe5195bbc0992bf4c
Merge: fcaf251 c59f0ab
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Sep 5 06:01:36 2012 +0000

    Merge "Encode headers in v1 API to utf-8"

commit fcaf251f6de34a47dc03cbe4a6cecb0285107e58
Merge: 2a79e6e 112fc71
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 22:24:31 2012 +0000

    Merge "Instantiate wsgi app for each worker"

commit c82ae99bcb5f7d413887cf9a0a197a9fba683c73
Author: isethi <iccha.sethi@rackspace.com>
Date:   Mon Aug 20 16:10:03 2012 +0000

    Exception Handling for image upload in v2
    
    Adds logging and exception handling for image data controller
    in glance v2
    
    Fixes bug 1037979
    
    Change-Id: Ieba0b9766d7c205e361a3d9a9618300af815beb5

commit 2a79e6e1763c335d3b1fc174992c44c4333db787
Merge: b73a1ad 3917fdf
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 20:19:44 2012 +0000

    Merge "Add missing columns to migration 14"

commit b73a1ad494bbcd9c43c60fed0778f4acbf11bd78
Merge: de76fbf 4f36fba
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 18:48:55 2012 +0000

    Merge "WARN and use defaults when no policy file is found"

commit de76fbf0357f81d9a5a31d64d5c355e1f4fdd135
Merge: 1d91a4d 6388bfa
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 18:05:26 2012 +0000

    Merge "Adds registry logging"

commit 95e00c9247d5c56c1184d788ca8c1f9b165a25ba
Author: Paul Bourke <paul-david.bourke@hp.com>
Date:   Mon Sep 3 11:17:54 2012 +0100

    Fix cache not handling backend failures
    
    1) caching_iter doesn't handle backend exceptions:
    
    caching_iter assumes any exception that occurs is the result of being
    unable to cache.  Hence the IOError raised from size_checked_iter, which
    indicates a problem with the backend, means the caching_iter will
    continuing trying to serve non-existent data.  The exception was not
    been re-raised in this case, making wsgi keep the connection open and
    clients stuck forever waiting for more data.
    
    Raising a GlanceException in size_checked_iter rather than an IOError
    allows caching_iter to distinguish between a problem fetching data, and
    a problem writing to the cache.
    
    2) Checksum verification happens after cache commit rather than before:
    
    This block was outside the context manager block which meant the
    GlanceException was not caught by open_for_write and the rollback didn't
    happen.  This resulted in an error been logged, but the bad image still
    placed in and subsequently served from the cache.
    
    Also:
    
    * Fix test_gate_caching_iter_bad_checksum - the loop to consume the
      iterator in was in a subroutine that never got called.
    
    * Move test_gate_caching_iter_(good|bad)_checksum into
      ImageCacheTestCase to excercise both the sql and xattr drivers.
    
    * Remove invalid registry_host/registry_port params from
      TestImageCacheXattr/TestImageCacheSqlite setup which caused a failure
      when testing the file on it's own using nosetests.
    
    Fixes bug 1045792
    
    Change-Id: I8aedec347e7f50566c44c5b6c6db424573c5ebaf

commit 112fc71ba453c2f43ce5ccb91108a504bcd6b5b6
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sat Aug 18 16:50:15 2012 -0400

    Instantiate wsgi app for each worker
    
    A single WSGI app, and therefore a single sqlalchemy engine (mysql
    connection), was being used across all API workers. This patch
    instantiates the WSGI app once per worker rather than up front to
    give a separate database connection to each worker.
    
    Fixes bug 1036193
    
    Change-Id: I2cbb61fd88a6ec4fb03fa84196ba0a380b3842d0

commit 1d91a4dc2b74d224ea12947d672aa66a576d9d9a
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Aug 30 14:38:34 2012 -0700

    Require 'status' in simple db image_create
    
    Since the sqlalchemy driver requires that 'status' be set in an
    image_create call, this makes the simple driver follow suit.
    
    Related to bp glance-simple-db-parity.
    
    Change-Id: I0b6809e467fa8aecfefcd7017cd198ca0691a236

commit b7b2a0997bccd0b0135cdc10bca338bc6dcee7fb
Merge: ded91c8 a95ec3d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 02:49:52 2012 +0000

    Merge "Always call stop_servers() after having started them in tests"

commit ded91c829b90f560d0bfbdc526cb480a67110283
Merge: 5b9fc72 c4f7816
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 02:40:58 2012 +0000

    Merge "Fix LP bug #1044462 cfg items need secret=True"

commit 5b9fc72226ecdab50bf36c67622689fd23cb1b87
Merge: 7ca319d 1f3ae60
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 00:13:16 2012 +0000

    Merge "Limit simple db image_create to known image attrs"

commit 7ca319dd9f11600fb54aeb8ba84d2f3a136f9b09
Merge: 9701878 97915a7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 00:12:47 2012 +0000

    Merge "Raise Duplicate on image_create with duplicate id"

commit 970187873ec708f6a064689b5e2300023f140298
Merge: 1d6a10e af6b8a6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 00:03:46 2012 +0000

    Merge "Expand image_create db test"

commit 1d6a10e3e0cfadd516698d183f2069b077d6f63c
Merge: 2a3c185 a0288ab
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 00:01:49 2012 +0000

    Merge "Add test for nonexistent image in db layer"

commit 2a3c185d1efbf1ab68c7c4347dacaa5158830032
Merge: a31caab abcff5b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Sep 4 00:00:32 2012 +0000

    Merge "Catch pruner exception when no images are cached"

commit a31caab7718fce412e61f7072598abbd7f15090d
Merge: afcd07b e7d6210
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Sep 3 21:23:15 2012 +0000

    Merge "Document how to deploy cachemanage middleware"

commit afcd07b69a95f28ebb336e40a606ca0ad3493ee5
Merge: e24d460 48bb44b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Sep 3 21:11:47 2012 +0000

    Merge "Drop glance client + keystone config docs"

commit e24d460308a8cac280f823f21c7c827b9cbfa1db
Merge: af32f24 d43666b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Sep 3 21:11:09 2012 +0000

    Merge "Delete image from backend store on delete."

commit af32f24857dd3b0354f90393f7367c4cf938a329
Merge: 9736d29 9c94a72
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Sep 3 21:10:52 2012 +0000

    Merge "Use PATCH instead of PUT for v2 image modification"

commit 48bb44b9aa52058bc8e97febc2a0fafa5d53624c
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 29 08:55:20 2012 -0700

    Drop glance client + keystone config docs
    
    The blurb about configuring glance client doesn't belong in the
    server project documentation. This removes it.
    
    Related to bp glance-folsom-docs-cleanup
    
    Change-Id: I3932e1af382813bf069f4920218dd60cd04790f5

commit 9c94a72c14ccd94df0c6239c2bfe70337d693b39
Author: Mark Washenberger <mark.washenberger@rackspace.com>
Date:   Mon Aug 27 06:42:33 2012 +0000

    Use PATCH instead of PUT for v2 image modification
    
    With the previous partial put syntax in the v2 api, it was not possible
    to delete image properties. This patch provides a more expressive syntax
    in the form of the HTTP PATCH verb. This implementation depends on the
    `application/openstack-images-v2.0-json-patch` content-type which is
    intended to be a compatible subset of application/json-patch.
    
    Addresses bug 1039821.
    
    Change-Id: I510ab397f9b8b5bd1deec0fb25855e305e7ec86e

commit d43666bce77bdc67146c23663b8a21746d7d41ce
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Mon Aug 27 14:00:59 2012 -0400

    Delete image from backend store on delete.
    
    Two things have been done for this patch, schedule_delete_from_backend has
    been split into two functions: safe_delete_from_backend and
    schedule_delayed_delete_from_backend. If the API is not configured for
    depalyed delete safe_delete_from_backend is called, which immidiately
    deletes the image from the backend store and status set to deleted.
    Likewise, if the API is configured for delayed delete,
    schedule_delayed_delete_from_backend will be called which writes out a new
    file in the scrubber_datadir named with the image id and containing the
    backend uri and delete time. The image's status is then set to pending_delete
    and the scrubber will then delete the image at the appropriate time.
    The other main change is pulling the status updates out of the backend delete
    functions. In this case they are done in the API after each respective type
    of delete. All other changes were around testing and dependancy injection,
    specifically the ability to inject a fake StoreAPI.
    
    Fixes bug 1039897
    
    Change-Id: I8a13b8c302b13ba219b1edcc128d02481ed7666e

commit e7d6210e70c35c0a163b455a2b1b6f81f6fc5dd6
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Aug 30 11:00:38 2012 -0700

    Document how to deploy cachemanage middleware
    
    Related to bp glance-folsom-docs-cleanup
    
    Change-Id: If72a82222ebf33b08bbceba2d780bddfe7b7aad0

commit 9736d299a4f8e2270b5da6261cfb7a86f67ec885
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Aug 30 10:50:39 2012 -0700

    Clean up comments in paste files
    
    * Reduce comments in paste files to just what is necessary
    * Add a 'cachemanage' pipeline to complete our set of paste
      deploy flavors in glance-api-paste.ini
    * Add a sample [paste_deploy] section to both glance-api and
      glance-registry configs
    
    Related to bp glance-folsom-docs-cleanup.
    
    Change-Id: I0208b12f6861b48e52260b25802c47ebf6316b9a

commit 4f36fba9969e77d01f3e296d946e6e11f1d0e82f
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 29 14:34:10 2012 -0700

    WARN and use defaults when no policy file is found
    
    Rather than refuse to start, it's nicer to use a sane set of default
    policies when no policy file is found.
    
    Fixes bug 1043482
    
    Change-Id: I849737c61c0266952d931395fbc2ad3745c46f6e

commit c59f0ab00590dec21af6f92aacdb0b73793c58db
Author: Vincent Untz <vuntz@suse.com>
Date:   Tue Aug 21 17:17:22 2012 +0200

    Encode headers in v1 API to utf-8
    
    We're getting data from the registry via JSON, which means the values
    are of the unicode type. We want to output utf-8, otherwise this won't
    work if we use glance through mod_wsgi.
    
    Fix bug 1042078.
    
    Change-Id: Iadb215003db57ab25d9919341e6aba195835531c

commit c4f781632069a0554f1595f65dacfc85081dff96
Author: Tom Hancock <tom.hancock@hp.com>
Date:   Fri Aug 31 16:10:45 2012 +0000

    Fix LP bug #1044462 cfg items need secret=True
    
    Redact sensitive log information such as
    sql_connection
    metadata_encryption_key
    admin_password
    admin_user
    admin_tenant
    when cfg item summaries are printed in logs
    
    Change-Id: I74cfeae4b8bdbd405fbc4baca763a62f4470b154

commit a95ec3d893b3c3ced4489a40ca4d8144ae65e310
Author: Vincent Untz <vuntz@suse.com>
Date:   Mon Sep 3 08:45:57 2012 +0200

    Always call stop_servers() after having started them in tests
    
    Several functional tests were not stopping the servers.
    
    Fix bug 1043416.
    
    Change-Id: I362e116089e6baa3e8f9ab16be1d6c54dbf957da

commit 3be563029a45e74e18286a6e327734543497a5bf
Merge: e0fdcb0 3b7b43f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Sep 1 08:19:30 2012 +0000

    Merge "Log level for BaseContextMiddleware should be warn"

commit e0fdcb0619eb7ec5785e9f42fd5d2237872773ca
Merge: a5411d2 80c099e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Sep 1 07:16:45 2012 +0000

    Merge "Adds notifications for images v2"

commit 6388bfacb6a063e020eaa2813f6188d883aed5c3
Author: Brian Rosmaita <brian.rosmaita@rackspace.com>
Date:   Tue Aug 28 16:46:55 2012 +0000

    Adds registry logging
    
    The registry API currently only logs the sqlalchemy debug output. Added
    log messages at the API level.
    
    Fixes bug 1041238
    
    Change-Id: I90f015ad26cd67a449dfa0fa0697f94d493644bf

commit a5411d240508ddc06660562d55924cd4264e3d07
Author: Mark Washenberger <mark.washenberger@rackspace.com>
Date:   Thu Aug 30 23:52:45 2012 +0000

    Filter out deleted image properties in v2 api
    
    Fixes bug 1044127
    
    Change-Id: Ibc35f51d7f80986639c7a62b6325762e6a2b7bfb

commit 1f3ae60f9262265975ac829c673ca8173eef8e88
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Aug 30 14:07:11 2012 -0700

    Limit simple db image_create to known image attrs
    
    Ensure image_create requests are limited to a list of known
    image attributes.
    
    Related to bp glance-simple-db-parity.
    
    Change-Id: I8314f31dcf87c87ee3bba89334be33dc4a1555b2

commit 97915a72e09c7f88171b6cc96e8c8cf3a58a906a
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Aug 27 16:12:56 2012 -0700

    Raise Duplicate on image_create with duplicate id
    
    The simple db would allow a user to create new images using IDs
    that belonged to existing images. This patch corrects that behavior
    and adds a test.
    
    Related to bp glance-simple-db-parity.
    
    Change-Id: I42a036f81e61413e789d87100f58b45b8cc75d38

commit af6b8a677aef25cab40ec24427dbf5f081616c08
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Aug 27 16:03:39 2012 -0700

    Expand image_create db test
    
    Ensure the test that checks for default values when calling
    image_create is expecting the right things. The simple db driver
    needed some love to get it to pass the thicker test.
    
    Related to bp glance-simple-db-parity
    
    Change-Id: I80f0ee55ff5ec18e544b91bed218e8c6e3b06a84

commit a0288ab538c641825c490807b64d12b6b9871c51
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Aug 27 15:47:42 2012 -0700

    Add test for nonexistent image in db layer
    
    Related to bp glance-simple-db-parity.
    
    Change-Id: I1fcfa80089937e9dec9d637f2227561febb43183

commit c8d408f23486804fc7b4e592e2c1727330abc831
Merge: f79d9de 991e4bd
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 30 21:01:57 2012 +0000

    Merge "Tweak doc page titles"

commit f79d9dec28164f5fa3395619cd5f79954af98bb9
Merge: 2ca54d8 17ae9b2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 30 21:01:48 2012 +0000

    Merge "Drop architecture doc page"

commit 2ca54d81e2e8022dcc6bae39d87f62481d43486b
Merge: 02765fb cfa2915
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 30 21:01:24 2012 +0000

    Merge "Add link to notifications docs on index"

commit 02765fbf47956aba84d6e81ba1a20da549c4b21e
Merge: 3b1e1a1 34d6335
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 30 21:01:00 2012 +0000

    Merge "Remove repeated image-sharing docs"

commit 3b1e1a1d055a4d689435f9b0958b546ae8261c24
Merge: b06ac31 7a0d2eb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 30 21:00:36 2012 +0000

    Merge "Tidy up API docs"

commit b06ac3118413f4657f5e363f86e6fcb2ecb9e21a
Merge: 6275a28 b719704
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 30 20:53:31 2012 +0000

    Merge "Move authtoken config out of paste"

commit abcff5b5f5b2b89bf788f6e5447a85c320e5a26c
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 29 21:17:46 2012 -0700

    Catch pruner exception when no images are cached
    
    This handles a situation where the pruner would raise an exception when
    the image_cache_max_size was set lower than the size of the last image.
    
    Fixes bug 1039854
    
    Change-Id: I4a6c164e9f821f1250314974f829f058fbd02863

commit b020b7e041da5a8c3d52d6c116253c9fcf1b5c79
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 29 17:32:34 2012 -0700

    Remove bad error message in glance-cache-manage
    
    The error message covering unauthorized requests implies that the
    caller hasn't set the appropriate authentication values. What
    is more likely is that the values are set but the user just
    doesn't have permission to use the tool.
    
    Change-Id: I95f4c1b6fc650b6bf8c11a4e343e1b54c14310f9

commit 6275a28abe729e04e44ad51ff79e9e3d92c7f997
Merge: 4c038b0 e97fa4b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Aug 29 23:36:15 2012 +0000

    Merge "Raise Forbidden exception in image_get"

commit 3917fdf3b0c69019303522109d96b9c3d9ff19e2
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Aug 28 18:50:06 2012 -0700

    Add missing columns to migration 14
    
    This adds created_at, updated_at, and deleted_at to database
    migration 14.
    
    Background Info!
    
    If a new database is created at version 14, it doesn't run any
    migrations scripts. It lets sqlalchemy create the database from a
    set of sqlalchemy models.
    
    When an existing database is upgraded to version 14, it will use
    the migration script. What's important to note is that this is
    currently impossible due to bug 1042925.
    
    While it is typically bad practice to alter a migration script, this
    is a special case as nobody could have used it. What this patch does
    is complete the migration script in preparation for a future patch
    down the road to fix the bug referenced above.
    
    Fixes bug 1043041
    
    Change-Id: I6dc2afa735fb2f82df71d58b10c1e1530fce2f89

commit 80c099e0b41b3f2f9684b06f1f4eee8e2776969e
Author: isethi <iccha.sethi@rackspace.com>
Date:   Wed Aug 22 16:44:13 2012 +0000

    Adds notifications for images v2
    
    The v2 API didnt generate any notifications. It should
    send same as those that v1 API has
    
    Fixes bug 1038552
    
    Change-Id: Ieab82937822ad907493d4b538fd75e571416bf16

commit b7197041fec50d485b2f0947e2a268cb497a9230
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 29 12:22:13 2012 -0700

    Move authtoken config out of paste
    
    Since we can now configure Keystone's auth_token middleware using
    our own config files, we should ship our example config to show
    how this is done. This moves the auth_* variables out of
    glance-api-paste.ini and glance-registry-paste.ini into
    glance-api.conf and glance-registry.conf.
    
    Fixes bug 1043490
    
    Change-Id: Ibdaf8b2ef0f55e5e892fbd1b994dceb323f07c7b

commit ec1a9f8988686dafc768338fc69cbf99c4f82860
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 29 09:31:38 2012 -0700

    Add kernel/ramdisk_id, instance_uuid to v2 schema
    
    Nova depends on a few properties to be able to interact with
    images in Glance effectively. The three added in this patch
    are kernel_id, ramdisk_id and instance_uuid. These properties
    are just being added to the default v2 schema, so they can
    be overwritten if a consumer decides they need to.
    
    Fixes bug 1039818
    
    Change-Id: I5cfd5f0b5c8d1d526d56d99de738f9271aa641c1

commit 991e4bd8def597c1b806ca3afa5a3eb62116e5c0
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Aug 27 10:16:39 2012 -0700

    Tweak doc page titles
    
    Related to bp glance-folsom-docs-cleanup
    
    Change-Id: Ifc4d8371c0752997258e19e7b149ae88ec3413b0

commit 17ae9b28467ecc05df93b28faa12971b209843bd
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Aug 27 10:08:36 2012 -0700

    Drop architecture doc page
    
    Related to bp glance-folsom-docs-cleanup
    
    Change-Id: If4d187e5c96e337f0df0134a101ad1bac061dc80

commit cfa2915f953fc08f2858d0f93dc326f284a194bf
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Aug 23 12:13:24 2012 -0700

    Add link to notifications docs on index
    
    Related to bp glance-folsom-docs-cleanup
    
    Change-Id: Ib0c65fe2bf724199e13107325175541be85bfb29

commit 34d6335672f137d82c1c8465dbfc14bcb878fc4e
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 22 20:00:14 2012 -0700

    Remove repeated image-sharing docs
    
    * Drop image sharing blurb from authentication docs.
    * Link to authentication page from api page
    
    Related to bp glance-folsom-docs-cleanup
    
    Change-Id: Idac46a78f79fac0c673f6a9b91c1f44df7b705b4

commit 7a0d2eb6cdf48d446174412e7791333c9ca1bca8
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 22 19:55:27 2012 -0700

    Tidy up API docs
    
    * Add bit about images api vs glance
    * Explain how to send auth token
    * Prepend '/v1' to example URIs
    
    Related to bp glance-folsom-docs-cleanup
    
    Change-Id: I2c3b568e463f62033268573f50f2d8a74d053965

commit 3b7b43f8ff8a9860bcc24ad89c0f03df26fb7205
Author: isethi <iccha.sethi@rackspace.com>
Date:   Wed Aug 29 14:42:09 2012 +0000

    Log level for BaseContextMiddleware should be warn
    
    The current log level is error for BaseContextMiddleware.
    It is toned down to warn in this patch.
    
    Fixes bug 1043374
    
    Change-Id: I468183b374f06b0afad3d559fdb2c09ac0663105

commit 4c038b0d85ebe0a0bc793b8bab1f44dd48eb0166
Merge: 24c0728 c068c7f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Aug 29 00:35:25 2012 +0000

    Merge "Add 'bytes' to image size rejection message"

commit 24c072881a939739df100b77040e892391aba0db
Merge: f57fc69 f8467bf
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 28 23:58:31 2012 +0000

    Merge "HTTPBadRequest in v2 on malformed JSON request body."

commit f57fc69b1be5a0da3e377aa4f5f8efc1132d7b96
Merge: 8513883 37d1c1d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 28 23:58:19 2012 +0000

    Merge "Remove partial image data when filesystem is full"

commit 8513883892b6933b27abd7ee0b5e0524030f0cd5
Merge: c88e07f 87033d0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 28 22:53:42 2012 +0000

    Merge "Rename glance api docs to something more concise"

commit c88e07ff7a5069bf8aced847e8236f5510776af2
Merge: 5d6b75d 37dc071
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 28 22:53:27 2012 +0000

    Merge "Drop deprecated client docs"

commit 5d6b75dde4e4541e64a4f8714bb831d1b93b0d60
Merge: 0f2e8bf 087046b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 28 22:52:54 2012 +0000

    Merge "Clean up policies docs page"

commit 0f2e8bf4c5160579bf5ce0d6ca044c69aa73944a
Merge: 59eb870 07b72c3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 28 22:52:22 2012 +0000

    Merge "Fixes issue with non string header values in glance client"

commit 59eb870cbd6da5d0532046797b4aa4a42d2f48e1
Merge: 926823c d912a5d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 28 22:44:15 2012 +0000

    Merge "Activation notification for glance v1 api"

commit e97fa4bd4f7584c2d0b8d976c770dbe5705ce962
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Aug 27 15:42:49 2012 -0700

    Raise Forbidden exception in image_get
    
    The simple db driver now raises 'exception.Forbidden' when a caller
    tries to access an image that is not owned by the provided context.
    The list of images returned by image_get_all will also be filtered
    to match what the sqlalchemy driver is expected to return.
    
    Related to bp glance-simple-db-parity.
    
    Change-Id: Idb2b85252d5ad33194d3bd8b5d8a9bc368968bd0

commit 926823c14caeca66e5fa89c99bcea0fdd54bf7c5
Merge: cfb9709 11a9a48
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 28 06:39:44 2012 +0000

    Merge "Remove autodoc and useless index docs"

commit cfb9709a255132f14afbd64a0d0af1a86b6a7236
Merge: 9c4c810 dc6ef98
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 27 16:50:04 2012 +0000

    Merge "Typo fix in glance: existant => existent"

commit 9c4c8102735dc246d3e2daade4d48a723c45e402
Merge: 8e9fcba dcca6cd
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 24 23:42:52 2012 +0000

    Merge "PEP8 fix in conf.py"

commit 8e9fcbaa7802f6f714fcb1a8544a9cb506cb3ec9
Merge: 717cb2b 5d206b4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 24 23:00:11 2012 +0000

    Merge "Correctly re-raise exception on bad v1 checksum"

commit 717cb2bdfdcd6dcd1c8e2b23a3600059fa9ed674
Merge: eb8c956 309a441
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 24 22:57:24 2012 +0000

    Merge "Add nosehtmloutput as a test dependency."

commit d912a5df135eb383d91277682090dfd065c8de91
Author: isethi <iccha.sethi@rackspace.com>
Date:   Thu Aug 23 17:48:58 2012 +0000

    Activation notification for glance v1 api
    
    Sends notification after activation of image in glance
    v1 api
    
    Fixes bug 1038190
    
    Change-Id: Ic535ce37cd9df652b94b0ed152b5b87dcec28ecf

commit eb8c956753fb7b3c6d016a79d4a9297075f4229d
Author: Clark Boylan <clark.boylan@gmail.com>
Date:   Wed Aug 22 17:04:23 2012 -0700

    Add glance/versioninfo to MANIFEST.in.
    
    Fixes bug #1040734
    
    Adding glance/versioninfo to MANIFEST.in adds the versioninfo file to
    sdist packages. Adding this file to sdist packages allows versioning to
    work properly when installing from an sdist package.
    
    Change-Id: I7c9d2843e428fb0da1ffb461410c75a25a6e51d0

commit f8467bfcef0795153fa7b6488bf866b6628669af
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Thu Aug 23 11:10:28 2012 -0400

    HTTPBadRequest in v2 on malformed JSON request body.
    
    Fixes bug 1039901
    
    Change-Id: I79ff2059f8f4de60cc92f8cf89cd80be74529e3c

commit dcca6cd96c46bff0695e3e5b28782f7d3038d39f
Author: Ray Chen <oldsharp@163.com>
Date:   Thu Aug 23 12:24:09 2012 +0800

    PEP8 fix in conf.py
    
    Fix PEP8 issues in doc/source/conf.py.
    
    Change-Id: Ia35ad77af3c74ffd4c67bc6eef662b038937fdad

commit dc6ef98a4b8f9cc2bd379e4e6583ceb5dec50b89
Author: Rongze Zhu <zrzhit@gmail.com>
Date:   Thu Aug 23 03:31:36 2012 +0000

    Typo fix in glance: existant => existent
    
    Impact:
    * Test function names
    * Test strings and comments
    * Comment in glance/registry/api/v1/members.py
    
    Change-Id: I8cec84c4934c08905e7f8758dec3622a5261b153

commit 87033d04d5cd0149b2ae5fbd5d4067d22e9f1784
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 22 19:20:12 2012 -0700

    Rename glance api docs to something more concise
    
    Related to bp glance-folsom-docs-cleanup
    
    Change-Id: Ic2206b9a3233d9b9d0617a253749d2021d14ac20

commit 37dc071dcd8e5c9546e165cb2138475ae39cc294
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 22 19:17:46 2012 -0700

    Drop deprecated client docs
    
    Link out to the necessary python-glanceclient resources rather than
    maintain docs on legacy usage.
    
    Related to bp glance-folsom-docs-cleanup
    
    Change-Id: I769cd21b900df353e7eee3d675989b1ad32f8edf

commit 087046b4e6723a6dc701c6fe6c120f9491fedbd8
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 22 19:03:24 2012 -0700

    Clean up policies docs page
    
    Related to bp glance-folsom-docs-cleanup
    
    Change-Id: I65cd8e9e34ce25cbf0b45900fc73df1ffb03c7ef

commit 11a9a4847c8544c0d0860bc3a38c8dbed7d38478
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 22 18:45:44 2012 -0700

    Remove autodoc and useless index docs
    
    * Remove autodoc sphinx extension
    * Ignore auto-generated 'api' docs
    * Prevent the corresponding 'api' index from being created
    * Prevent an empty 'index' page from getting generated
    
    Related to bp glance-folsom-docs-cleanup
    
    Change-Id: I82c9389f884ea4af853f1215731c051d1fb596e8

commit 66c10d434aa3163a46828e581970be521405d9e3
Merge: 32584be 6089423
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 23 00:27:37 2012 +0000

    Merge "Add DB Management docs"

commit 309a441e0126fd7365fb2e40e2763fc33bd72220
Author: Clark Boylan <clark.boylan@gmail.com>
Date:   Tue Aug 21 14:12:39 2012 -0700

    Add nosehtmloutput as a test dependency.
    
    Adding nosehtmloutput as a test dependency allows nose to output its
    results to an html file. This will be used by Jenkins to save logs on
    a different server.
    
    Change-Id: I811f56c37218301c4c5bd25bae92a4b5b74537de

commit 37d1c1d83ca7b6cc811c9fbf9e7012d54bc271bb
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 22 09:12:15 2012 -0700

    Remove partial image data when filesystem is full
    
    When an image is uploaded that fills up the local filesystem, attempt
    to delete the created file. This only applies to the 'filesystem'
    store driver.
    
    Fixes bug 1019421
    
    Change-Id: Ie12d736f3efb29b0862fef2899a1d2c142def38e

commit c068c7f217036263d3d56b0410f34f259303aa10
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 22 08:39:54 2012 -0700

    Add 'bytes' to image size rejection message
    
    Change-Id: I943c5acb8693decf618d6796e027381431db578f

commit 32584bed6c9acdf21c1cfb07bea222c840259491
Merge: 2b4a7b7 75339f4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 21 23:09:51 2012 +0000

    Merge "Add policy check for downloading image."

commit 2b4a7b73d91bb9111c3babe2033059c0fce43e66
Merge: a6de4de bcb7729
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Aug 21 20:55:24 2012 +0000

    Merge "Add back necessary import."

commit 75339f4712314c65fe0f0ddc3bcec691a725bc99
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Mon Aug 20 10:44:13 2012 -0400

    Add policy check for downloading image.
    
    This patch adds a policy, 'download_image', to be enforced when image data is
    retrieved. It also does some basic refactoring of how policies are enforced.
    
    Fixes bug 1038086
    
    Change-Id: Idd844b615d362eae3197e106067c29dba8e3eeda

commit a6de4de65b01df6851fd573260fbbd8bbe53431f
Author: Dan Prince <dprince@redhat.com>
Date:   Mon Aug 20 21:29:44 2012 -0400

    Convert limiting_iter to LimitingReader.
    
    Glance commit 3c69df5aa707b4216ef7001dbe28fa0a5912493c added a new
    limiting_iter function in utils which we use to limit reads to
    image data being uploaded. This simple generator doesn't work
    with image backends like the Swift store which require a 'read'
    method.
    
    This patch swaps out the simple limiting_iter function for a
    LimitingReader class which supports both 'read' and __iter__
    functions.
    
    Fixes LP Bug #1039212 which cause the exception below when used
    with the previous code:
    
    AttributeError: 'CooperativeReader' object has no attribute 'read'
    
    Change-Id: I87d9a30f7afe0207386d621050312374ced161d5

commit 3c69df5aa707b4216ef7001dbe28fa0a5912493c
Merge: 840edd2 3a80eee
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 20 17:38:08 2012 +0000

    Merge "Make max image size upload configurable"

commit 840edd20a2fc68669abc48bd6dacd12fb9d7b64c
Merge: ce403ba 743d3b2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 20 17:38:06 2012 +0000

    Merge "Fix auth cred opts for glance-cache-manage"

commit ce403bab09f352e5e210771894f0b4c76f122348
Merge: 56b80d7 2e9a467
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 20 16:27:16 2012 +0000

    Merge "Set proper auth middleware option for anon. access"

commit bcb77294bb9ef4e4755ad364707621e98ef6cabe
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Mon Aug 20 12:07:39 2012 -0400

    Add back necessary import.
    
    Unit tests are failing because an import of glance/common/config.py was removed.
    When it is imported it registers a few common cfg opts that otherwise would not
    be registered. If this doesn't happen then unittests will fail since they expect
    those opts.
    
    Change-Id: Ib90c0af3d935243fd0aa8487131305f6843c1330

commit 56b80d763d06f74bb7cf44a29cfd4af960c7a99c
Author: isethi <iccha.sethi@rackspace.com>
Date:   Mon Aug 13 21:49:58 2012 +0000

    Adds glance registry req id to glance api logging
    
    Fixes bug 1036409
    
    Change-Id: Ifadfa74ba4b8de854d248c4c72e5c195e8bdc4ed

commit 3a80eee8eedcee01e106cc9e217b5075b1057892
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sun Aug 19 10:49:59 2012 -0400

    Make max image size upload configurable
    
    Add conf option image_size_cap to represent what the internal
    IMAGE_SIZE_CAP constant used to cover in the v1 API. The default
    is reduced to 1 TB from 50 PB.
    
    Thoroughly test this on image create and update through the v1 API.
    
    Fixes bug 1038994
    
    Change-Id: Ie0985b62228f8b28c005a8847049d7b68d9b959a

commit 5d206b4c6b44eda74a1f8cc81f533b8139703f70
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sun Aug 19 10:14:24 2012 -0400

    Correctly re-raise exception on bad v1 checksum
    
    The exception re-raise during v1 image upload operation was
    failing due to some weirdness in _safe_kill. This patches over
    the problem by explicitly re-raising the caught exception object
    after doing the necessary teardown.
    
    Fixes bug 1036470
    
    Change-Id: I0929bb3b2ac88f0b80f47eb61e642fe1fee35218

commit 564c11e677dae2ca69aca5b1c5331f66f58725d5
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Aug 17 15:01:51 2012 -0400

    Return httplib.HTTPResponse from fake reg conn
    
    Fixes bug 1038219
    
    Change-Id: Ib7e205398c532007d189cdde3ab850b721f06a2a

commit edb2bf14416adb09bade58d8dec87ce0436c545c
Merge: 5eb7ac1 881e107
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 17 19:14:40 2012 +0000

    Merge "multi_tenant: Fix 'context' is not defined error"

commit 608942342795b8f96ba9543bc7fae34b26cb10fc
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Aug 17 12:12:16 2012 -0400

    Add DB Management docs
    
    Fixes bug 909064
    
    Change-Id: Ifd477b345dfb03efe8e8e5befa03a0cb2a3c3ce8

commit 743d3b230b03dced102122c24db2ccecbc8b0218
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Aug 17 11:01:45 2012 -0400

    Fix auth cred opts for glance-cache-manage
    
    The glance-cache-manage binary now supports the same auth env
    variables and flags as python-glanceclient. The old flag formats
    are still supported (but not documented) to support backwards-
    compatibility.
    
    Fixes bug 1038112
    
    Change-Id: If9f15d030e3167f5c81ea275c0005c854cd94a40

commit 5eb7ac1d2e9164d79b30da5b4db93caae632baf1
Merge: aea4f44 d13cbcd
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 17 14:14:44 2012 +0000

    Merge "Validate uuid-ness in v2 image entity"

commit aea4f4416b7bc34b9bd27955cd1ccc99af6b09ad
Author: RongzeZhu <zrzhit@gmail.com>
Date:   Thu Aug 16 22:16:56 2012 +0800

    Remove unused imports
    
    Fixes bug #1037592
    
    Change-Id: I3365d028ab67931517d2f94cc4b7e3752fbdb869

commit 2e9a467dc822aa1175dc08b5ea12d363b9a04ffe
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Aug 16 17:07:43 2012 -0400

    Set proper auth middleware option for anon. access
    
    Fixes bug 1037793
    
    Change-Id: I89c05b5004f6a93608c0e23302f04b95b9018c29

commit 881e107e809e9ada5a734b9e0777375beb7233fe
Author: Dan Prince <dprince@redhat.com>
Date:   Thu Aug 16 15:40:59 2012 -0400

    multi_tenant: Fix 'context' is not defined error
    
    Corrects the variable name 'context' to be 'self.context' in the
    configure_add method of the swift store. We changed/moved this code
    late during the review process of the multi_tenant swift feature
    and obviously didn't add a functional/unit test on the new location
    which now causes this exception to get thrown:
    
        NameError: global name 'context' is not defined
    
    This patch also includes a new glance function test to startup
    the Glance API in multi-tenant mode. The test_multi_tenant_mode
    test will fail with the previous swift store implementation.
    
    Fixes LP Bug #1037745
    
    Change-Id: I7681ad704b169c5fe815adf2fe704e5d18ea8e83

commit d13cbcd6d85a0dd67d88143686f8c83791ee79ff
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Aug 16 15:07:14 2012 -0400

    Validate uuid-ness in v2 image entity
    
    The image entity was allowing any string value to pass through in
    an image create operation. We should limit it strictly to UUID-like
    values.
    
    Fixes bug 1037725
    
    Change-Id: I3f28d3f2dc5c0f63322efe250051874d7975ec1f

commit c6b460837d53012f45e6089ac963d17ffd7b53b9
Merge: e818792 12f3487
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 16 17:25:49 2012 +0000

    Merge "Fix build_sphinx setup.py command."

commit e818792d7624d7fd242d2e7d415b9293cc4a8f4c
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Aug 16 00:05:45 2012 -0400

    v2 Images API returns 201 on image data upload
    
    Fixes bug 1037391
    
    Change-Id: I93607874b932de658cc301a6f9bc53c83af66383

commit 07b72c388289c8e89b4dd2dd342a7f8147c438aa
Author: Alessandro Pilotti <ap@pilotti.it>
Date:   Fri Aug 10 18:01:48 2012 +0300

    Fixes issue with non string header values in glance client
    
    Fixes bug 1032798
    
    By using Glance client on Windows the following exception is raised:
    
    TypeError: sequence item 0: expected string, long found
    
    Details on how to reproduce the error are available in the bug description
    
    Change-Id: Ib4528702b11aabdf939c6358f92ad7ff9c3ff20d

commit c698cdc200e22a72cabba9917f2594b7a9d73263
Merge: 09b3e49 27c1c5a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Aug 15 23:20:12 2012 +0000

    Merge "Raise 400 error on POST/PUTs missing request bodies."

commit 09b3e497b6af7adfa2e73778dea57118deb541aa
Merge: e7073d0 85d8d7a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Aug 15 23:20:11 2012 +0000

    Merge "Updates Image attribute updated_at"

commit 12f34873c1a3727db8f09e608233f4052c111f64
Author: Clark Boylan <clark.boylan@gmail.com>
Date:   Tue Aug 14 17:48:29 2012 -0700

    Fix build_sphinx setup.py command.
    
    The DB migrate manage script needed to be wrapped in an if statement
    so that the autodocumentation did not barf on it. Additionally add a
    copyright header while we were editing the file.
    
    Change-Id: I0a37036d304790b52dde7fb68d37a6c99204b596

commit 85d8d7af5808a98bbae7b010595e08752d0c9bd0
Author: isethi <iccha.sethi@rackspace.com>
Date:   Wed Aug 15 20:20:24 2012 +0000

    Updates Image attribute updated_at
    
    When the image properties are updated, the image attribute updated_at
    should be updated as well.
    
    Fixes bug 1036507
    
    Change-Id: I889eab92e8f182633ab6e462cac1ff7ab0cb1223

commit e7073d028aa4c5221dba16b3d48a43189067fed9
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Wed Aug 15 12:27:00 2012 -0400

    Add policy enforcment for v2 api.
    
    This patch adds policy checks in the images controller for all actions that need
    to be enforced. It also fixed an issue with unit tests where the v1 unitests
    were testing less than they should be. This was due to the default policy being
    overridden in the test and causing a forbidden to be raised whenever policys
    were changed, regardless of the policy rule added.
    
    Fixes bug 1036846
    
    Change-Id: Ib351d8c1e13164d02b02685c808b30045f7850ea

commit 27c1c5a50a1acb92be8a159a2ddf306b17072a9d
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Wed Aug 15 13:51:44 2012 -0400

    Raise 400 error on POST/PUTs missing request bodies.
    
    Fixes bug 1034972
    
    Change-Id: I1847972c83353452381c0ee5eee2eb75f51d1dbc

commit 2580d3b0f5c0a8069b40ce2f54481c6e82656232
Merge: c189324 fb2260b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Aug 15 10:29:40 2012 +0000

    Merge "Return 201 on v2 image create"

commit c189324735191b76ec1d21b77d76f25c78e3829c
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Aug 14 14:12:53 2012 -0400

    Mark bin/glance as deprecated
    
    * Add a WARNING to the usage of bin/glance
    * Print a WARNING line to stderr when bin/glance is called
    * Raise a UserWarning on 'import glance.client'
    * Implements bp glance-deprecate-client
    
    Change-Id: Iabce7569d28c5dc73b5e1ceb55e4e4f2fc47727b

commit fb2260bdc6bace65d895b6eef24d224cf865c4ce
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Aug 13 22:47:44 2012 -0700

    Return 201 on v2 image create
    
    Fixes bug 1036501
    
    Change-Id: Iccaeb14f0ceb85fe8e0f3aedd2ad7a4ceaead6e2

commit 3d93ca6655425617dfea293b67a3489a470bb91a
Merge: 9631283 2bed42c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 13 19:34:48 2012 +0000

    Merge "Ignore duplicate tags in v2 API"

commit 963128349209539ff22ec4431d82f1322e7e3723
Merge: 42ebabb 3557b97
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 13 04:48:29 2012 +0000

    Merge "Expose 'protected' image attribute in v2 API"

commit 42ebabbca7044d6a329c752676b67ed2923447b5
Merge: 60576a5 014d3f9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Aug 13 00:53:11 2012 +0000

    Merge "Move to tag-based versioning."

commit 2bed42cd3c42cc19e3d5c6d16fe69fa94f627447
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sun Aug 12 14:30:20 2012 -0700

    Ignore duplicate tags in v2 API
    
    * Creating/updating an image with duplicate tags should result in
      only a single instance of that tag being added
    * Attempting to explicitly tag an image with a duplicate tag
      should result in no tags being added
    * Fixes bug 1035961
    
    Change-Id: Ie16091f046de98914aea1a1a6777773ddc95c615

commit 3557b97c82a9f66133147bd87a3416740214bacc
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sun Aug 12 11:35:08 2012 -0700

    Expose 'protected' image attribute in v2 API
    
    If protected is true, an image will not be deletable.
    
    Related to bp api-2
    
    Change-Id: I169f435d4cb8d66baf3f8c1ca3b869083b24c841

commit 014d3f9ee378a0c621c2ad1fad4c7338349b98ff
Author: Monty Taylor <mordred@inaugust.com>
Date:   Sat Jul 7 16:10:17 2012 -0500

    Move to tag-based versioning.
    
    * Update to latest openstack-common setup code
    * Add openstack-common version module
    
    Change-Id: Id6876b55554c358fbd29e7ef8377f42a72a98301

commit 60576a5baedf910af16b26e0eedb4e487d308166
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sat Aug 11 15:39:46 2012 -0700

    Update restrictions on allowed v2 image properties
    
    The list of allowed and readonly image attributes has gotten out of
    date, so this change updates those lists. This change also adds a
    similar check to ensure certain special properties names are reserved as
    they would conflict with existing database properties that are either
    not presently exposed or exposed under a different name.
    
    Change-Id: I56d6c938dd6a5353e15b3e5ef913fae5b4629d52

commit 9b98df52fe295b448eb5950c24722a45c0c60407
Merge: 57dd669 2fb37ab
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Aug 12 05:23:57 2012 +0000

    Merge "Reveal v2 API as v2.0 in versions response"

commit 57dd669ef0aadca26b43142142db2fbb29a9d4d2
Merge: 1ed7517 c4f7545
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Aug 12 03:51:13 2012 +0000

    Merge "Sync with latest version of openstack.common.notifier"

commit 1ed75179b81e3cd547505194199c5d1d9c9c86e2
Merge: 71ef074 f3d8c40
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Aug 12 03:44:24 2012 +0000

    Merge "Add min_ram and min_disk to v2 images schema"

commit 71ef0749d629821ac7ed4219b93e332d9b6961d5
Merge: 9054dfb 98cf6a4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Aug 12 03:43:35 2012 +0000

    Merge "Update rbd store to allow copy-on-write clones"

commit 9054dfb563bb4f076c4905f7c94d8e5924f3fe7c
Merge: 65e2308 92b17a0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Aug 12 03:40:39 2012 +0000

    Merge "Filter out None values from v2 API image entity"

commit 65e230813bc87bbea64273ae5d07f9152d110cad
Merge: bbf3eea 119be86
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Aug 12 02:40:27 2012 +0000

    Merge "Make swift_store_admin_tenants a ListOpt."

commit 2fb37ab925224076f70e147334dcd3a4db29f166
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sat Aug 11 16:13:55 2012 -0700

    Reveal v2 API as v2.0 in versions response
    
    * Report v2.0 API compatibility, not v2
    * Allow users to specify '/v2' or '/v2.0' in their request URI
    
    Related to bp api-2
    
    Change-Id: Ia8d41902a2171aad8f06d3ac329a3e3c097cdc90

commit f3d8c40b6255cf962c4b42b9c306562d7d7de586
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sat Aug 11 15:16:21 2012 -0700

    Add min_ram and min_disk to v2 images schema
    
    The min_ram and min_disk image attributes are stored in the db, so
    we need to expose them as core image attributes to preserve
    backwards-compatibility with the v1 Images API.
    
    Related to bp api-2
    
    Change-Id: If2afa1f171aa6c4f07052225592d216f7e09ca90

commit 92b17a0d100d2d739c0f73eb58e87fd749fc71a8
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Aug 10 14:59:56 2012 -0700

    Filter out None values from v2 API image entity
    
    Prevent core image attributes with None values from being returned
    to v2 API clients. Most attribute schemas are of type 'string' and
    returning None is invalid.
    
    Fixes bug 1034790
    
    Change-Id: I2885cabf14307e46ff711bdabfcd3ff3253e6628

commit bbf3eeaa83ce39a97b02872df0a033d291fd9fba
Merge: 20719bc a9f4d69
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Aug 11 21:03:26 2012 +0000

    Merge "Refactor v2 images resource unit tests"

commit 20719bcf5220d3d2c051bc88a4c980892356a663
Merge: 7c22d0d 5d259b1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Aug 11 17:58:49 2012 +0000

    Merge "Sync with latest version of openstack.common.log"

commit 7c22d0d548eb3867f60afb884758c8132f8d7111
Merge: a23617e d3a9f50
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Aug 11 17:58:48 2012 +0000

    Merge "Sync with latest version of openstack.common.timeutils"

commit a9f4d69ba6a9cc55074347c0ea17dae6a2b75a8f
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Aug 10 15:54:25 2012 -0700

    Refactor v2 images resource unit tests
    
    * Add _fixture() helper method for generating image fixtures
    * Simplify some tests that were asserting things they didnt need to
    * Remove unused glance.common.exception import
    
    Change-Id: I5eec5430df2ca0867b21fcfda0586ef5273061f3

commit a23617e7abd3a5c8d6cb58b64543de9e5bfa1ea1
Merge: 54cf135 e268e91
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Aug 11 17:44:11 2012 +0000

    Merge "Sync with latest version of openstack.common.importutils"

commit 54cf135061ae780e3923c995beb17caa8f90ae13
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Aug 10 10:43:26 2012 -0700

    Use container_format and disk_format as-is in v2
    
    Rather than force a painful migration to type and format, use
    container_format and disk_format as they are in the v1 API for v2
    since there isn't a clear path to an interoperable alternative.
    
    Related to bp api-2
    
    Change-Id: If8161390abf17961885e5c02e38d635b287aeca4

commit 119be8609412a0a87ae6d2de9b783c2adb347be7
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Aug 10 16:54:49 2012 -0400

    Make swift_store_admin_tenants a ListOpt.
    
    The swift_store_admin_tenants config option should have never
    been a boolean opt. Actually using the config in this state will
    cause glance-api to fail to startup.
    
    Fixes LP Bug #1035471.
    
    Change-Id: Ie800f6ee7cf1b8d863d5e8e8ac41e8ed36f345f1

commit f6840263de8dff0cbfc57b9543780ece4fae5d5a
Merge: 6c75aa9 c794afa
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 10 20:15:55 2012 +0000

    Merge "Sync with latest version of openstack.common.cfg"

commit 98cf6a443d49c7b6e787deb55ea66454ed96e7dc
Author: Josh Durgin <josh.durgin@inktank.com>
Date:   Fri Aug 10 04:55:13 2012 -0700

    Update rbd store to allow copy-on-write clones
    
    This is in preparation for cinder blueprint
    efficient-volumes-from-images. If the same rbd cluster is used by
    glance and cinder, a new volume can be created as a copy-on-write
    clone by the ceph cluster rather than downloading all the data from
    glance.
    
    Since bp api-v2-store-access is implemented, make the location for the
    rbd store more specific, so cinder can check that it's accessing the
    same backend as glance. fsid is a unique identifier for a Ceph cluster.
    
    Within a cluster, the full specification of an rbd image includes
    pool, image name, and optionally snapshot. Creating a copy-on-write
    clone is only possible in rbd on a protected snapshot, so after
    uploading an image to rbd, create a snapshot and protect
    it. Protection means it can't be deleted until it is unprotected, so
    you can't accidentally render any clones unusable by removing their
    parent. Add a new exception, InUseByStore, to handle a snapshot or
    image that's still protected or otherwise in use.
    
    More details can be found at
    http://ceph.com/docs/master/dev/rbd-layering/.
    
    For backwards compatibility, only use these new features if they are
    supported by the installed librados and librbd python bindings. Otherwise
    fallback to the previous location specifier which only includes image
    id, since cloning won't work anyway.
    
    Since the location parsing is now a bit more complicated, add unit
    tests for it.
    
    Change-Id: I9711702276d966f88284fae44f9531b992cdd06f

commit 6c75aa97d46b4d770386e916abbfe627416e1908
Merge: da9a8d5 4ba5870
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 10 19:03:30 2012 +0000

    Merge "Call stop_servers() in direct_url func tests"

commit da9a8d5d6571ea2c1a5179e2af425c931d5a092e
Merge: 99d5173 d9ec683
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 10 18:37:40 2012 +0000

    Merge "Fix a couple i18n issues in glance/common/auth.py."

commit 4ba5870fd4143c2cf4ff8028791f2cb294c7c76e
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Aug 10 11:01:40 2012 -0700

    Call stop_servers() in direct_url func tests
    
    The recently-added direct_url tests aren't spinning down their
    api servers. This was causing arbitrary failures when running
    tests in jenkins and smokestack.
    
    Change-Id: I06293fdec8449c15fe993653157c327c8a7e8418

commit 99d5173afe55ad08c855c48e4e839d18ab3592e8
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Aug 8 13:49:40 2012 -0700

    Drop unfinshed parts of v2 API
    
    The v2 API will be implemented over time as the spec develops. We
    shouldn't implement anything that we aren't 100% behind. This drops
    all of the things that we aren't in love with:
    * Drop access records and related schemas
    * Drop owner attribute from image
    
    Related to bp api-2
    
    Change-Id: Ieef2c141282e7018d56e79aee8f20af0542af25b

commit d9ec68379354b0f5479a924bc1230b61e381e8a2
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Aug 10 09:14:55 2012 -0400

    Fix a couple i18n issues in glance/common/auth.py.
    
    Change-Id: I6944bb46fbd6784b7e9b84d05d453b56bf62d21c

commit c4f75459307d0a970c2d1e0cfde9b2bbe4acb1b5
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Fri Aug 10 12:10:55 2012 +0100

    Sync with latest version of openstack.common.notifier
    
    Changes since last sync:
    
     - Add multiple-driver support to the notifier api.
     - fix bug lp:1019348,update openstack-common to support pep8 1.3.
     - Fix missing gettextutils in several modules.
     - Fix line length for pep8 compliance after cloning into other projects
     - Switch common files to using jsonutils.
    
    Also add notifier and local to openstack-common.conf since we appear
    to have forgotten to add them when they were imported.
    
    Change-Id: If2cea51761ae14d188861518c567abdf0d8a0649

commit 5d259b1bab85c2842388da8b79d7593dd4ddcedd
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Fri Aug 10 12:13:28 2012 +0100

    Sync with latest version of openstack.common.log
    
    Changes since last sync:
    
     - Install a qualified except hook.
     - Remove code to clear basicConfig root log handlers
     - don't throw exceptions if %(color)s tag is used
     - fix bug lp:1019348,update openstack-common to support pep8 1.3.
     - Fix missing gettextutils in several modules.
     - Switch common files to using jsonutils.
    
    Change-Id: I430caf24526e571688c78f3cdd9f9453f5d525c4

commit d3a9f506087ced00af13e280138883b24022be00
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Fri Aug 10 12:07:29 2012 +0100

    Sync with latest version of openstack.common.timeutils
    
    Changes since last since:
    
     - Remove unused imports
     - Fix utcnow_ts to return UTC timestamp
     - Add nova time util functions to timeutils
     - Replace datetime.utcnow with timeutils.utcnow
    
    Change-Id: Ic98bfc9655edad8f7319daafede192534f68a1a5

commit e268e91e7a3312be2287a6c498fb9e1f5a79b561
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Fri Aug 10 12:01:54 2012 +0100

    Sync with latest version of openstack.common.importutils
    
    Changes since last sync:
    
     - Improve exception from importutils.import_class().
     - Merge "add import_object_ns function"
     - Update common code to support pep 1.3. bug 1014216
     - add import_object_ns function
    
    Change-Id: Ibaa60f50af255ec77a3f0c93213f8a9f446eeb0d

commit c794afa95c566cd97c9f5d6fa9d4670cfa18cd9f
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Fri Aug 10 12:01:28 2012 +0100

    Sync with latest version of openstack.common.cfg
    
    Changes since last sync:
    
     - Modifies _is_opt_registered fcn to check for duplicate opts
     - cfg: Fix typo in documentation
     - Update common code to support pep 1.3. bug 1014216
     - Use 'is not None' instead of '!= None'
     - Add support to include config aliases
     - allow empty config values
    
    Change-Id: Ibe31c90a71e58bdea2f947a039f2c2dce2749c14

commit ae6e288072f833b11c557747d354c6e5ba71a439
Author: Nikhil Komawar <nikhil.komawar@rackspace.com>
Date:   Sun Aug 5 10:24:16 2012 -0500

    Allows exposing image location based on config
    
    It would be good to allow exposing image location to trusted clients,
    say Nova. Thus, eventually helping for internal deployments. This merge
    prop enables us to set a config value which will let us either expose
    the image location or not expose it.
    
    Edits from markwash:
     * unit test refactoring
     * should not return direct_url as None, that would violate the schema
       which requires direct_url to, when present, be a string
    
    implements bp api-v2-store-access
    
    Change-Id: I69da3b4ce3fc9261cbf448e797e48affa56281ef

commit 19334f0f8d0d2e8bcc086ef27e44c0a6a80bd9d6
Author: Brian Elliott <brian.elliott@rackspace.com>
Date:   Sun Jul 22 14:39:08 2012 -0500

    Do not cache images that fail checksum verfication
    
    On an image GET, recalculate the image checksum as the image
    data is streamed to the client.  Verify that the checksum matches
    the original checksum calculated when the image was added to Glance.
    If checksum validation fails, purge the image from the cache.
    
    This type of situation could occur if the backend image store
    is malfunctioning.
    
    bug 1028496
    
    Change-Id: I9f38bac8360016bb12b5edaad87c50939a538cc0

commit e200f6fe2412edd564759a5a98709c704348fc6f
Author: Sulochan Acharya <sulochan.acharya@rackspace.co.uk>
Date:   Thu Aug 2 11:58:50 2012 -0500

    Omit deleted properties on image-list by property
    
    If a user updates an image property with purge-props, it is marked
    as deleted. However, the query to filter by custom property ignores
    this, and returns match even for records with deleted set. This patch
    introduces a small change by inserting deleted=False in the query to
    ignore those deleted properties.
    
    Also, some changes in simpledb is introduced to handle user defined
    properties in the correct format.
    
    - Inserts deleted=False on properties filter query. Fixes bug 1025697.
    - Updates simpledb to handle user defined property in correct format.
    
    Change-Id: I435751ef6fc7ba0537e573fac54c34b81098271b

commit a7b15a9df18547a541588ed2d6488789323c7687
Merge: 006254c 7335088
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Aug 8 01:22:56 2012 +0000

    Merge "Handle images which exist but can't be seen."

commit 006254c5050176c9b569007f6ef7203e6067215d
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Aug 3 10:56:06 2012 -0700

    Allow server-side validation of client ssl certs
    
    This adds a 'ca_file' config option that points to a local
    CA cert that will be used to verify certs provided by
    connecting clients. The 'ca_file' option is only used if the
    server is already properly configured to to use SSL - that
    means having a valid 'cert_file' and 'key_file'. If no 'ca_file'
    is provided, the behavior will remain the same - the server
    will still provide its cert to clients, but it will ignore
    certs sent back from those clients.
    
    Fixes bug 1032451
    
    Change-Id: Ie48646b0fc5398ba7cda2fb627b820f533482e00

commit 7335088d896442e961c07e71bbb67ffd98f1f87a
Author: Michael Still <mikal@stillhq.com>
Date:   Sun Jul 29 10:05:45 2012 +1000

    Handle images which exist but can't be seen.
    
    If the master and the slave glance have different permissions, you
    can end up with a 409 exception at upload. For example:
    
     - the image is visible to the replication user on the master
     - the image is present on the slave, but not visible to the
       replication user
    
    The replicator checks for the existance of the image by doing a HEAD
    on http://server:port/v1/images/uuid and gets a 404 back. It therefore
    decides the image doesn't exist and that it should be replicated. It
    does a POST for that URL, and gets a 409 back saying that UUID is
    already in use.
    
    Resolves bug 1030396.
    
    Change-Id: Id5fdb7977692593fd6c2e203f0440d4aa5339d92

commit 4ac0f4f0a49390d730e97861b546942ad1e3a485
Merge: 4940aed 616d2f9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 3 23:04:08 2012 +0000

    Merge "Adds proper response checking to HTTP Store."

commit 4940aed558f1159c5e0580ec7e18ab008098fb4a
Merge: 3e108e5 5cf0c9b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 3 20:13:51 2012 +0000

    Merge "Store context in local thread store for logging."

commit 3e108e53e517c3c8f9c926eadf1ef1809ccb01af
Merge: ab8bc2a 751ac81
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 3 18:53:56 2012 +0000

    Merge "fix the qpid_heartbeat option so that it's effective"

commit ab8bc2ab3b39f4975692e58ecff73fe607c3d2f4
Merge: 0d35dba efb30dd
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 3 18:15:50 2012 +0000

    Merge "Make TCP_KEEPIDLE configurable"

commit 0d35dbaf780d28220224339d5c30795a30fa3948
Merge: e6c25de a30887a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Aug 3 00:01:10 2012 +0000

    Merge "^c shouldn't leave incomplete images in cache"

commit e6c25dedcb46bd76318ba10a14a0353599b93066
Merge: f285804 6eeba44
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 2 23:42:31 2012 +0000

    Merge "Use function registration for policy checks"

commit f2858042a2ca619485a3815971dac68cd300dfef
Merge: 577511c b3da56c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 2 23:27:47 2012 +0000

    Merge "Add a missing header strip opportunity."

commit 577511c99bd43ad3c9a3b00ff2e5691e86f7b781
Merge: bab5aa1 e6b50bd
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 2 23:03:43 2012 +0000

    Merge "Add links to image access schema"

commit 616d2f9a65f7995298153cdf8a1e94bb62912ebe
Author: Gabriel Hurley <gabriel@strikeawe.com>
Date:   Wed Aug 1 17:40:30 2012 -0700

    Adds proper response checking to HTTP Store.
    
    The HTTP Store now handles the following cases:
    
      * Redirects are resolved (infinite redirect chains are prevented).
      * 4xx and 5xx status codes result in a proper exception instead
        of trying to continue with the image.
    
    Fixes bug 1009248.
    
    Change-Id: Ibc44413d630bf35e0c396adc430c39f4295030fd

commit 6eeba442326eca05754d33c4a3fcd21623d3c11b
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Thu Aug 2 13:46:29 2012 -0500

    Use function registration for policy checks
    
    The original policy framework allowed new policy checks to be created
    through inheritance.  This is somewhat clunky and unnecessary in
    Python.  This change refactors policy.py to allow new policy checks
    to be registered using an @register() decorator.  One consequence is
    that HttpBrain is deprecated.
    
    Care has been taken to ensure backwards compatibility; deprecation
    warnings will be emitted for uses of HttpBrain or the inheritance-
    based checks.
    
    (Pull-up from openstack-common.)
    
    Change-Id: Ib11f4581d187d037d2081515d70e325425d68760

commit bab5aa1d6afb977a7a029282d646ed8fa2324419
Merge: 4c4f627 8a4f377
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 2 18:38:57 2012 +0000

    Merge "Add swift_store_admin_tenants option."

commit 4c4f62751b5893b3d6acfe424a34d1195d9a1198
Merge: d240373 480743a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 2 18:37:58 2012 +0000

    Merge "Update v1/v2 images APIs to set store ACLs."

commit 751ac81defe61d4cc8fb5e86dc96f76bdee6f398
Author: Pádraig Brady <pbrady@redhat.com>
Date:   Thu Aug 2 18:27:54 2012 +0100

    fix the qpid_heartbeat option so that it's effective
    
    The 'hearbeat' typo caused this setting to be ineffective.
    
    Fixes bug: 1032314
    Change-Id: Ia2cdb7185e8ec92ca6e587678a688d23a5ac0221

commit e6b50bdbbd9d397e05811fb6b7899141860a39b9
Author: Mark Washenberger <mark.washenberger@rackspace.com>
Date:   Thu Aug 2 00:11:25 2012 +0000

    Add links to image access schema
    
    /v2/schemas/image/access was missing links, both as properties and link
    descriptor objects, although /v2/images/<id>/access was returning them
    in responses. This change adds the link properties to the schema
    response.
    
    Addresses bp api-v2-links
    
    Change-Id: I68e576dadbbe37d4d33d2238ea0e4c798a4a667b

commit a30887aa3b7a220a1f722e94fa69201e5878e766
Author: Tom Hancock <tom.hancock@hp.com>
Date:   Wed Aug 1 15:58:46 2012 +0000

    ^c shouldn't leave incomplete images in cache
    
    Fixes LP bug 1031842
    
    Use a finally clause for the xattr and sqlite
    image cache implementations of open_for_write()
    such that if the commit() or rollback() aren't
    called and the image remains in the incomplete
    dir that it is moved to the invalid dir
    
    Change-Id: Id9a0ac56a8ae9fd03af9ccc4989c9b304c95bdde

commit d240373db87dbcde9ffbcdcc563bb227a0a083c3
Merge: 1801f3e 9200160
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 2 15:52:38 2012 +0000

    Merge "Reject rather than ignore forbidden updates"

commit 1801f3e6123c221063ea30e8d0257ef5f2b35f6e
Merge: e990195 6cc2300
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 2 05:36:16 2012 +0000

    Merge "Use event.listen() instead of deprecated listeners kwarg."

commit e99019551636c6328d0420692d0062269651a828
Merge: 786e892 e7919a2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 2 04:26:13 2012 +0000

    Merge "Process umask shouldn't allow world-readable files"

commit 786e892be584b899eb3d5bd17f97ff729fbc0b82
Merge: da8e367 14468d0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 2 04:02:32 2012 +0000

    Merge changes I70bc8f8b,I45752741
    
    * changes:
      Raise HTTPBadRequest when schema validation fails
      Expose 'status' on v2 image entities

commit da8e3677f6553012f19761e34215d7e56a5dbcdf
Merge: b4ae20c ac50784
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 2 04:00:19 2012 +0000

    Merge "URLs to glance need to be absolute."

commit b4ae20c8eee32d192b0ee29318eed4c2a23cb04c
Merge: 36903c6 4d50b67
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 2 03:44:23 2012 +0000

    Merge "uuid is a silly name for a var"

commit 36903c695afe64693d80146edb6bf175231e9b6a
Merge: e557c0e 53b5125
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Aug 2 03:38:37 2012 +0000

    Merge "Support master and slave having different tokens."

commit 4d50b67b1d67b91612ccf9d70ddb61d7c11afd2b
Author: Michael Still <mikal@stillhq.com>
Date:   Thu Aug 2 09:48:50 2012 +1000

    uuid is a silly name for a var
    
    Given its also the name of an import.
    
    Change-Id: Ib19e69eb9a1047f735ff649a05b400642e8ec29e

commit 53b5125b2451ed7d80d4138076a1c47c8eabbffe
Author: Michael Still <mikal@stillhq.com>
Date:   Fri Jul 27 15:04:40 2012 +1000

    Support master and slave having different tokens.
    
    This came up recently for a user -- their regions have separate
    keystone instances, and therefore don't share auth tokens. So, in
    some cases we need to pass in two tokens instead of one.
    
    Resolves bug 1029758.
    
    Change-Id: Iad241ff3583a62297d89ee15cbd3d58417e5fedf

commit b3da56c7489446281f3749b3df81090692982a7e
Author: Michael Still <mikal@stillhq.com>
Date:   Thu Aug 2 10:45:42 2012 +1000

    Add a missing header strip opportunity.
    
    As well as adding some more logging to make this easier to debug in
    the wild.
    
    Change-Id: I8ec765b6f066569a7483f01201d4907ad1794291

commit ac507843970dd097bca7f7cc7b9871302ca32140
Author: Michael Still <mikal@stillhq.com>
Date:   Thu Aug 2 10:32:58 2012 +1000

    URLs to glance need to be absolute.
    
    Otherwise the apache SSL frontend that many users deploy will get
    confused and return a HTTP error.
    
    Change-Id: Ie8ae560810a5e5419e4d4aacae17e1e301ed4126

commit e557c0ef3ef94ebf6469491563d660f2ad14d419
Author: Michael Still <mikal@stillhq.com>
Date:   Thu Aug 2 09:55:41 2012 +1000

    Use with for file IO.
    
    Use with for file IO, instead of keeping track of state myself.
    
    Change-Id: Ifc1a49fa51d3e7da08da32fb0966f2637089b58a

commit 5aec05ca812f970152d3929cc07e21ba16f1cc01
Merge: eeedad3 db33171
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Aug 1 23:49:50 2012 +0000

    Merge "Move optional dependencies from pip-requires to test-requires"

commit 8a4f3773ac0b3e66643dd8af964399e48da47202
Author: Dan Prince <dprince@redhat.com>
Date:   Wed Aug 1 13:42:47 2012 -0400

    Add swift_store_admin_tenants option.
    
    Add a swift storage option to configure a default list of admin
    tenant IDs which will be granted write access on any swift
    images.
    
    This setting might be useful when a user choose not to use a global
    swift admin role when managing glance images. This might also
    be useful when implementing delayed delete for glance swift
    multi-tenant.
    
    Partially implements blueprint: swift-tenant-specific-storage.
    
    Change-Id: Id65e1c8d114c9551b99f6a18c527ba26aefd341f

commit 480743a2d7e1dc7be066e2fbffd3063ca4fc6a9f
Author: Dan Prince <dprince@redhat.com>
Date:   Sun Jul 1 21:18:28 2012 -0400

    Update v1/v2 images APIs to set store ACLs.
    
    Updates the images controllers so they call set_acls on
    the backend store when adding/updating images and members.
    
    Made some changes to the v2 API unit/functional tests to
    use real locations instead of just UUIDs so the tests work
    with the new set_acls call.
    
    Partially implements blueprint: swift-tenant-specific-storage.
    
    Change-Id: Ib249acfe440f4b75bc9edd7b73fe10127b8333b1

commit 6cc23005d042901e01bfee4deeb6367879012d22
Author: Josh Kearney <josh@jk0.org>
Date:   Wed Aug 1 12:05:42 2012 -0500

    Use event.listen() instead of deprecated listeners kwarg.
    
    The listeners kwarg is deprecated in SQLAlchemy 0.7.0. Since 0.7.3 is
    the minimum required version of SQLAlchemy, use the new event.listen()
    API instead.
    
    Fixes bug 1031405.
    
    Change-Id: Ibbfe46d065575b1954a47b3a28c61151dfb1e06e

commit 5cf0c9b4eb354a9a4e0d115510946c732f4006fa
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Wed Aug 1 00:32:30 2012 -0400

    Store context in local thread store for logging.
    
    This also fixes the logging of request ids for every request.
    
    Fixes bug 1031596
    
    Change-Id: Ifd0217c99402316214efaf1fe8533c60c2277257

commit e7919a2642f6e6180f30732394e7b0dc97868c6a
Author: Tom Hancock <tom.hancock@hp.com>
Date:   Wed Aug 1 14:15:01 2012 +0000

    Process umask shouldn't allow world-readable files
    
    This ensures that image cache files and file-backed
    images are not world-readable.
    
    Fix LP bug 1031796
    
    Change-Id: I85a26b4e645e7cb32e17164e47fad62f4c44976a

commit efb30dd6405aa1af1b6f22296bf026b20878c526
Author: Stuart McLaren <stuart.mclaren@hp.com>
Date:   Wed Aug 1 14:25:30 2012 +0000

    Make TCP_KEEPIDLE configurable
    
    Addresses LP bug #1031794.
    
    Change-Id: I9a3a6a23b1bcec5229b15234512e04cc47c3ffd9

commit 92001604be2e7353ca77197f85abac6c2997caab
Author: Stuart McLaren <stuart.mclaren@hp.com>
Date:   Wed Aug 1 10:23:23 2012 +0000

    Reject rather than ignore forbidden updates
    
    Return HTTPForbidden when an attempt is made to update
    an attribute which is either read-only or only settable
    by an Admin user. Previously a success (200) was returned
    for these cases.
    
    Related to bp api-2.
    
    Change-Id: I1aff6975a968a00bf133face606cc35280835a4f

commit 14468d07f6a1f2cb283afc90154aecf2b4c10893
Author: Stuart McLaren <stuart.mclaren@hp.com>
Date:   Fri Jul 27 12:10:27 2012 +0000

    Raise HTTPBadRequest when schema validation fails
    
    Raise HTTPBadRequest when request schema validation fails rather than
    InvalidObject. This prevents a 500 Internal Server Error.
    
    Related to bp api-2.
    
    Change-Id: I70bc8f8b8fbb0f95d9563e9eb08d7e0a47111198

commit fb496437f25c54fe756ba9aae4af19dd7a112e50
Author: Stuart McLaren <stuart.mclaren@hp.com>
Date:   Wed Aug 1 12:05:23 2012 +0000

    Expose 'status' on v2 image entities
    
    Added 'status' read-only attribute to v2 schema/serialization.
    Updated the schema and added unit tests as appropriate.
    
    Related to bp api-2.
    
    Change-Id: I457527413d4ccca813a45ac03e66a90071f0af76

commit eeedad333398c6c869214ddccfbb36719ca56429
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jul 30 20:13:16 2012 -0700

    Simplify image and access_record responses
    
    This removes the container around individual image and access_record
    entities in GET /images/<ID> and GET /images/<ID>/access/<TENANT>.
    Response bodies used to look like '{"image": {...}}', while now they
    look like '{...}'.
    
    Fix bug 1031185
    
    Change-Id: I1eacee2d877f5dde3612b3d4006d4caf489f49e1

commit c901c6a0500543ba21e51fbc26b6c0ec8e2f26dd
Merge: 55a3b3c ff83d4f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 31 23:14:41 2012 +0000

    Merge "Add in missing image collection schema link."

commit db33171ead3a4e6d9e5f880d53c375611d441805
Author: Jay Pipes <jaypipes@gmail.com>
Date:   Tue Jul 31 15:47:39 2012 -0400

    Move optional dependencies from pip-requires to test-requires
    
    python-sendfile and python-xattr are both optional library
    dependencies in Glance now. Some systems, like Windows, do not
    have these libraries and so we should move them from pip-requires
    to test-requires. AFAIK, the pip-requires is what is used to
    build the Windows installer.
    
    Fixes LP 1031396
    
    Change-Id: Ib47244e51ae03991e6171ab8d47238d955743567

commit 55a3b3cf51df1cd203c642fc1cb1cbc0dcb7bfa5
Author: Mark Washenberger <mark.washenberger@rackspace.com>
Date:   Tue Jul 31 20:59:09 2012 +0000

    Fix dead link to image access collection schema
    
    Related to bp api-v2-links. The image access records list object
    contains a link to /v2/schemas/image/accesses, but that link returns
    nothing yet. This change adds the schema that the link should return and
    wires up the router to return it.
    
    Change-Id: I4303070f016a72fa1cd778d83423fa9a9f77897b

commit ff83d4fcc23f2b54086a24d7a6466a86e89e31b9
Author: Mark Washenberger <mark.washenberger@rackspace.com>
Date:   Tue Jul 31 20:24:27 2012 +0000

    Add in missing image collection schema link.
    
    Related to bp api-v2-links. The schema link for GET /v2/images was
    missing, although its target /v2/schemas/images was present. This change
    adds in the link and updates tests.
    
    Change-Id: Ida6931147d6e4fba1bb02c0be9e755fb1751b986

commit 83a108c1b0522716c48ead33cdc94141a38faac8
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Jul 31 10:50:48 2012 -0700

    Drop static API v2 responses
    
    It's not helpful to tell users to discover our services but not build
    anything into the API that actually *is* discoverable (other than
    JSON schemas). This drops GET /v2 and GET /v2/schemas.
    
    Related to bp api-2
    
    Change-Id: Iea49adaa418a3e2495c0713700633785bc21d103

commit d8a582fb86b9c76797a7de3672d8d0d7c6278131
Merge: c12fbd1 bd132ee
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 31 17:27:58 2012 +0000

    Merge "Include dates in detailed image output."

commit c12fbd1432e6c59f0796026475365ee8443e2196
Merge: 8126d90 8c91268
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 31 17:09:50 2012 +0000

    Merge "Update image caching middleware for v2 URIs"

commit 8126d90aee8756195e98eae649ead6d940a2e200
Merge: 72d943e 1f68b21
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 31 04:44:38 2012 +0000

    Merge "Adds set_acls function for swift store."

commit bd132eebeac221729fd90def39d962f1956bdff2
Author: Michael Still <mikal@stillhq.com>
Date:   Mon Jul 30 17:28:11 2012 +1000

    Include dates in detailed image output.
    
    This adds date display to the output of commands such as "glance
    show". This is helpful for admins trying to decide if an image can
    be removed from disk safely or not. Resolves bug 1030742.
    
    Change-Id: Ic52120558f89359f1bbfac47f75ff0aa4e916434

commit 72d943e9615318b82a52b97979ebe17f0c7d5a1e
Merge: 9227e55 5112f58
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 30 19:06:16 2012 +0000

    Merge "Ensure Content-Type is JSON-like where necessary"

commit 9227e55ba2337c93ff4c680fc58c28eb01913e38
Merge: 8eaf178 7956c2b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 30 18:55:44 2012 +0000

    Merge "Dont show stack trace on command line for service error."

commit 8c912685eba97502d036a3a4d7f202b8398c24ca
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Jul 17 11:45:34 2012 -0700

    Update image caching middleware for v2 URIs
    
    Refactor the image caching middleware to support v2 URI image data GET
    and image DELETE requests.
    
    Implements bp api-v2-image-caching
    
    Change-Id: Id89f1df473ddc46ef4992715a9ecd3246b87d442

commit 5112f58f7fd14c97cc4144faf66e2be0a4d386e6
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sun Jul 29 22:38:27 2012 -0700

    Ensure Content-Type is JSON-like where necessary
    
    Several API calls were returning text/html as the content-type, when
    the body was actually encoded as JSON. This ensures the places where
    that was happening set content-type to 'application/json'.
    
    Fixes bug 1030730
    
    Change-Id: Iae9ed9ca798186a0663bdee1988f3acee6906db5

commit 8eaf178174e2daa60348f817fd844231e2cac5bd
Merge: fb7a6ca 94b9adc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jul 27 22:21:58 2012 +0000

    Merge "Set deleted_at field when image members and properties are deleted."

commit fb7a6ca2778688ee55bf88b4684469f2e3d55025
Merge: 51faf28 b64d2ea
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jul 27 21:09:13 2012 +0000

    Merge "Honor '--insecure' commandline flag also for keystone authentication"

commit 51faf289453053489cc350aa363ffde3290df16b
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Fri Jul 27 13:42:30 2012 -0400

    Have non-empty image properties in image.delete payload.
    
    This patch uses the image data that is present before the image is actually
    deleted as the image.delete notification payload data.
    
    Fixes bug 1028081
    
    Change-Id: Ia1dbdbdf84a4dbaabca8395f9539e58936589563

commit 1284b30c93862ff7685db4021c2a87a0a0c7e672
Merge: b263ad2 1090dbe
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 26 19:58:15 2012 +0000

    Merge "Add Content-MD5 header to V2 API image download"

commit b263ad23475f67375a0a1672a28f8004d0a74387
Merge: 6668a61 687604b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 26 18:02:24 2012 +0000

    Merge "Make functional tests listen on 127.0.0.1."

commit 1090dbecfa74e97b48bb974834186860c501f7da
Author: Lars Gellrich <lars.gellrich@hp.com>
Date:   Thu Jul 26 15:41:44 2012 +0000

    Add Content-MD5 header to V2 API image download
    
    If an image is downloaded via the V2 API and its checksum is known
    (not None), assign the checksum to the Content-MD5 header.
    
    Related to blueprint api-2
    
    Change-Id: Ib34e9800833a6913c992de1a18f9fc331661f057

commit 1f68b21de8b8a3366eb08fe1fa74ae7db2ac72b4
Author: Dan Prince <dprince@redhat.com>
Date:   Sun Jul 1 17:11:41 2012 -0400

    Adds set_acls function for swift store.
    
    Updates the swift store with working implementation of set_acls.
    
    Updates the base store with an example set_acls function.
    
    This function may be implemented by stores which support backend ACLs
    to allow Glance to set read and write ACL's on the store images.
    
    Added tests for swift store function.
    
    Partially implements blueprint: swift-tenant-specific-storage.
    
    Change-Id: I7fbd66b5abf8d27c26bdc5e7d6adc98b5722b647

commit 6668a6111954af0d2e5d560e96cecf8e51e87c95
Author: Dan Prince <dprince@redhat.com>
Date:   Sun Jul 1 08:03:56 2012 -0400

    Store swift images in separate containers.
    
    Updates the swift storage backend so that when using multi tenant
    each images gets stored in a separate container.
    
    As part of this change the unit tests were updated to generate unique
    swift container names for each test. This acts as a container prefix
    in multi-tenant mode so the tests were also updated to cleanup all
    swift containers matching the container name prefix as well.
    
    The motivation for this change is so that we can set swift read/write
    permissions on each individual image.
    
    Partially implements blueprint: swift-tenant-specific-storage.
    
    Change-Id: I43f33594fb40dee33ef52e8ae873722e20b09a10

commit c713fb3385cb794994bdd64d6d3b9486f04b280a
Merge: 33ebb37 8b2d038
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jul 25 14:06:55 2012 +0000

    Merge "Adds multi tenant support for swift backend."

commit 33ebb37f4a263bc89c3d419c6936c60396d12f82
Author: Stuart McLaren <stuart.mclaren@hp.com>
Date:   Tue Jul 24 12:51:54 2012 +0000

    Include chunk_name in swift debug message
    
    Add chunk_name to swift upload debug message. Helps
    to track which image the chunk is part of when several
    uploads are occurring.
    
    Fixes LP bug #1028433.
    
    Change-Id: Ieacfd397939b77246e8c89214cbe902c3ed3e28c

commit 94b9adc4a6a09f3c2b25130888b6a02134e01cc8
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Mon Jul 23 16:43:53 2012 -0400

    Set deleted_at field when image members and properties are deleted.
    
    fixes bug 1028101
    
    Change-Id: I3e9ffa9a97b57912d922ffadce31ed1ce0261fb4

commit 617609a2f38310cd4d45f0fc0d7a795ab77c02f7
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Jul 17 16:20:36 2012 -0700

    Use size_checked_iter in v2 API
    
    The image file returned in the v2 API should be treated the same
    as in the v1 API. This patch wraps the returned image data in
    the v2 API controller with glance.api.common.size_checked_iter
    
    Change-Id: If7514a4394b17844d92b9737214898f954fe95a6

commit b64d2ea1558d8408d4b3bcd070ab6dce1d7a02d1
Author: Sascha Peilicke <saschpe@suse.de>
Date:   Wed Jul 18 10:53:18 2012 +0200

    Honor '--insecure' commandline flag also for keystone authentication
    
    Currently, keystone auth fails with self-signed certificates. This patch
    essentially passes this value down to KeystoneStrategy._do_request. This
    way, the '--insecure' flag is used by glanceclient to either validate
    all SSL certificates or none. Fixes bug 1003711.
    
    Change-Id: Ia9c9b762d2d474767984b4729bb50a8b78d6cb3f

commit 687604baf67fdbf69cb45dd34a2e6ec98062ee4d
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Jul 19 14:52:51 2012 -0500

    Make functional tests listen on 127.0.0.1.
    
    Fixes bug 987399.
    
    Change-Id: I2a393d9b01c8ae17f289941530a1d4319b174f87

commit 8b2d038185a6d229662260819943c40eefee8bd6
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Jun 29 14:43:29 2012 -0400

    Adds multi tenant support for swift backend.
    
    Updates the swift store to support multiple tenants:
    
     * Added configuration option for swift_store_multi_tenant.
    
     * Updated the swift connection creation logic so that in multi-tenant
       mode the token and storage URL from the service catalog are used
       to create swift connection.
    
     * When in multi-tenant mode locations URL's (stored in the DB) do
       not contain hard coded swift credentials.
    
    Includes unit tests to verify multi-tenant swift storage URLs.
    
    Partially implements blueprint: swift-tenant-specific-storage.
    
    Change-Id: I45fc97027e6f211ac353513c2d9d6da51ccf4489

commit 53e210a0b32d1fad4678e978995433692cfb09cc
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Jun 29 07:50:10 2012 -0400

    Provide stores access to the request context.
    
    Adds context to the constructor for the Store class. This can be used
    to provide Store's access to the RequestContext.
    
    Includes the following changes:
    
    * Updates common store helper methods to create new instance of
      Store objects for each request.
    
    * Updates Glance scrubber to create a real context from credentials.
    
    The motivation for this change is that we will need access to the
    service catalog and token for the Swift multi-tenant backend.
    
    Partially implements blueprint: swift-tenant-specific-storage
    
    Change-Id: I3def2b7c4085a36dd6c0961e762783ebaf7ffa74

commit 1b45a115dd3137a38444b7891a44cbb386d7715b
Merge: 79c298d bd018d6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 19 17:07:48 2012 +0000

    Merge "Move checked_iter from v1 API glance.api.common"

commit 79c298dc1b8fcec29916ea0e520835939e1f0c40
Author: Stuart McLaren <stuart.mclaren@hp.com>
Date:   Wed Jul 18 09:42:53 2012 +0000

    Increase wait time for test_unsupported_default_store
    
    Fix for LP Bug #1026047.
    
    Allow unit test 'test_unsupported_default_store' to
    successfully run on a slow machine.
    
    Change-Id: I4d49c821aeb3027b7f33babf6c4bafe00644f0c9

commit d69a442d09feecd7a138a001849583a293db9af6
Merge: f591a85 251c5e5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jul 18 20:47:30 2012 +0000

    Merge "Replace example.com with localhost for some tests"

commit f591a85840b1ec17f6b1dd930b7298931f27754f
Merge: dc2f241 35d865a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jul 18 19:30:38 2012 +0000

    Merge "Fix registry error message and exception contents"

commit dc2f241c115507f8e5c4e7841739f2b8303943e2
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Jul 18 09:22:02 2012 -0700

    Match path_info in image cache middleware
    
    The url matching code in the image cache middleware should only look at
    the unconsumed path, not the full path. Webob denotes this by using
    'path_info' instead of 'path.'
    
    This also adds some tests for the version negotiation middleware to ensure
    it is returning a sane path for the image cache middleware to match.
    
    Fixes bug 1026222
    
    Change-Id: I522e2210e2b7272f9bb47602510a2910fa193415

commit 7956c2bec87b75f59f1453c531f9b1557a6196a5
Author: Sulochan Acharya <sulochan.acharya@rackspace.co.uk>
Date:   Tue Jul 17 09:22:36 2012 -0500

    Dont show stack trace on command line for service error.
    
    - Fix bug 996648
    
    Currently if the Registry service is not running, any glance command
    will show the Internal server error exception response body on the command line.
    This fix proposes to hide that trace with a more generic message. Users can
    still see the trace on log file in debug.
    
    Change-Id: Ia86c42002ae8daabe0d7ad92a2017f1869b10853

commit c244424138282061a822038d0918ead6754ae591
Merge: 9aa4d92 a0689d2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jul 18 14:50:46 2012 +0000

    Merge "Use openstack.common.log to log request id"

commit 251c5e588a168d4aae406e28d2c8da1e307f4275
Author: Stuart McLaren <stuart.mclaren@hp.com>
Date:   Wed Jul 18 09:18:55 2012 +0000

    Replace example.com with localhost for some tests
    
    Fix for LP Bug #1025756.
    
    When running the unit tests on a system without a
    direct internet connection some tests run slowly.
    Replacing example.com with localhost:0 speeds up
    the relevant tests.
    
    Change-Id: Iac6fc506b1d36b18ab21bb956ec2d8acc004bba8

commit 35d865a48cbeb7b21ff68b74c39dde6639469c74
Author: Tom Hancock <tom.hancock@hp.com>
Date:   Tue Jul 17 17:25:50 2012 +0000

    Fix registry error message and exception contents
    
    The variable image_id should have been used instead of the global
    identifier id
    
    Fixes LP Bug #1026072
    
    Change-Id: I2e73810e3165dd8b7032359b5fb8a874e592736f

commit bd018d68bd88ab00b806943981cac10644c10573
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Jul 17 16:20:00 2012 -0700

    Move checked_iter from v1 API glance.api.common
    
    The checked_iter image streaming wrapper should be in a common
    place so the v2 API code can use it as well. This moves it to
    glance/api/common.py and gives it a slightly more descriptive
    name 'size_checked_iter'.
    
    Change-Id: I9fbf2c76666bfc0b9227a6a6c4d824367526e56a

commit 9aa4d923c45492d4f2846ea7f38208cbc55ab8fb
Merge: 5840f1d ede120a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 17 15:33:50 2012 +0000

    Merge "Updates run_tests.sh to exclude openstack-common."

commit 5840f1debbe4fe46fb70de928a4008eb1e3e4599
Merge: 6873195 920096f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 17 15:26:08 2012 +0000

    Merge "Prevent client from overriding important headers."

commit 6873195cd19d519a5f6f31461b7b683e33b19784
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Thu Jul 12 15:04:22 2012 +0100

    Support zero-size image creation via the v1 API
    
    Addresses LP 1025353 for the v1 API.
    
    Transition image status to active immediately on creation
    (as opposed to leaving it queued forever) if the size is set
    to zero from the get-go.
    
    The v2 implementation is left unchanged for now, as the image
    status does not appear to ever transition from queued to active
    in that case.
    
    This change allows an image to be created that simply acts as
    a properties bucket, but requires no image data. For example,
    an image created from a booted-from-volume instance where only
    the kernel, ramdisk ID, and block device mappings are required.
    
    Change-Id: I61e96f3fe5f5245fec791170b4a8b4c72135c3de

commit 920096f0f6c7fdc20d906b58e202a5d505dd3a4e
Author: Lars Gellrich <lars.gellrich@hp.com>
Date:   Mon Jul 16 15:20:33 2012 +0000

    Prevent client from overriding important headers.
    
    The glance client offered the opportunity to override
    important headers via the features parameter during image
    creation or update.
    
    Created a blacklist of unsupported features like:
    content-length
    content-type
    x-image-meta-size
    
    These headers should not be overriden by the client.
    
    Fixes LP Bug #1023892
    
    Change-Id: I14aac59e00a2672fd98f6dab221096ab5de86855

commit 00a76835556ecf056bc793c6ade7f59ded8b750b
Merge: 8f745a2 8935b32
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Jul 14 02:09:53 2012 +0000

    Merge "Making docs pretty!"

commit ede120a32d22d39397500304a74c40a11b7f0df3
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Jul 13 14:10:56 2012 -0400

    Updates run_tests.sh to exclude openstack-common.
    
    We exclude openstack-common in tox.ini already. This change updates
    run_tests.sh to match that behaviour.
    
    Change-Id: I1bf5784193e63156bc5fe140ad6e403669c7909d

commit a0689d2b458bb1145ec9b8c17ee09ccfcc32d139
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Jul 13 10:49:41 2012 -0700

    Use openstack.common.log to log request id
    
    * Log request id from the request context for glance-api
      and glance-registry
    * Further integrate with the common log module by storing RequestContext
      objects in thread-local storage so loggers can acces their attributes
    * Move request id formatting into the request module so it appears with
      the preferred prefix (req-) in logs
    * Implement bp glance-request-tracking
    
    Change-Id: I2095ad16fef6b4bc8e49229c9f0326da8c743ff7

commit 8f745a25a1d21a560ee0ce9390a0e6bf9df6abe8
Merge: 2bee2a2 78dbcfa
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jul 13 14:34:18 2012 +0000

    Merge "Make get_endpoint a generic reusable function."

commit 2bee2a2074d8d958adfc4e555c76bc21dcf70a9e
Merge: 29dc7bf 279d07e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jul 13 00:44:41 2012 +0000

    Merge "Update 'logging' imports to openstack-common"

commit 29dc7bf00aec559b8013706181445d4767a47231
Merge: 69d3cd5 ade7b4f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jul 13 00:44:34 2012 +0000

    Merge "Remove microseconds before time format conversion."

commit 279d07eebba14f819d2e950069284d8e18fc04f6
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Jul 10 21:39:06 2012 -0700

    Update 'logging' imports to openstack-common
    
    Change-Id: Ia1a7b5062e7f882971f2061274f6a4a44cfc8ced

commit 69d3cd58b755ac6c50b1aef31131819c911e41f6
Merge: 444ad45 030e8b4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 12 22:54:59 2012 +0000

    Merge "Removing 'Indices and tables' heading from docs."

commit 78dbcfa9e5cb8fcbb3ea7c0d82370b48a692b9ab
Author: Dan Prince <dprince@redhat.com>
Date:   Thu Jun 28 10:23:19 2012 -0400

    Make get_endpoint a generic reusable function.
    
    This patch refactors the get_endpoint function to make it more generic
    and top level so that it can be more easily accessed and tested.
    
    Adds service_type, endpoint_region, and endpoint_type options to
    the get_endpoint function as well.
    
    Added a new test suite specifically for get_endpoint.
    
    The motivation for this change is that we'll need to be able to
    parse the 'object-store' endpoint for each tenant in order to
    enable multi-tenant storage in the swift storage backend.
    
    Partially implements blueprint: swift-tenant-specific-storage
    
    Change-Id: Icf773a1eb057fc9d65cf54890afa4638f2aee0b4

commit 444ad454b76cb2584a45b58c6ed4444d1bfc4530
Author: Dan Prince <dprince@redhat.com>
Date:   Thu Jun 28 10:16:35 2012 -0400

    Adds service_catalog to the context.
    
    Updates the ContextMiddleware so that it stores the service_catalog
    which from set via Keystone's auth_token middleware.
    
    The motivation for this change is that we'll need access to the
    'object-store' endpoint in order to implement swift tenant specific
    storage.
    
    Partially implements blueprint: swift-tenant-specific-storage
    
    Change-Id: I0389e135f6683a353ae915b543d70f6ac1246b2c

commit bcb28c3699509e2114ef396c9376940b3d978ede
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Jul 10 21:41:23 2012 -0700

    Add openstack-common's local and notifier modules
    
    Change-Id: I90e063934d64598b440676b63b4be55262f923f1

commit 8935b3268621d1502d922772c115090276bc7aca
Author: jakedahn <jake@ansolabs.com>
Date:   Wed Jul 11 15:25:40 2012 -0700

    Making docs pretty!
    
      * Before: http://stsh.me/2Qt
      * After: http://stsh.me/2Qu
    
    Change-Id: Idca673ee6157e62afc1aef76413f2d54ae8e5c9f

commit 030e8b4b07928543dbb2ab403949f0d20ff1bd29
Author: jakedahn <jake@ansolabs.com>
Date:   Wed Jul 11 15:03:06 2012 -0700

    Removing 'Indices and tables' heading from docs.
    
      * Bug 955475
    
    Change-Id: Ibcd2d2ed535a548d76c8afad54673135c20c8232

commit ade7b4f7d0ed907d87c0b906fcbf9bd5649d4c09
Author: Dan Prince <dprince@redhat.com>
Date:   Sun Jul 8 16:44:58 2012 -0400

    Remove microseconds before time format conversion.
    
    Updates Glance scrubber so that it chops microseconds off of the
    date format before parsing a time format string. This fixes
    an exceptions that can occur when using scrubber with databases
    like PostgreSQL which include microseconds in date strings.
    
    Fixes LP Bug #1022369.
    
    Change-Id: I2e9eb66052d8ce34438a4c1ba7a5174cc2385bcf

commit 5985ef6a0aa541e9faa2104bf8108464822ce258
Author: Dan Prince <dprince@redhat.com>
Date:   Tue Jul 10 18:10:18 2012 -0400

    Add bin/glance-replicator to scripts in setup.py.
    
    Fixes LP Bug #1023182.
    
    Change-Id: I7c5627b4b3390b500e159edace02bdd0417fc59e

commit 77d534e708b788a83292fbef542f8b7f81454f8a
Merge: 9121796 18ee412
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 10 19:25:36 2012 +0000

    Merge "Initial implementation of glance replication."

commit 9121796ca812207498937aeb99e032f011c5dc6a
Merge: 06f7fe9 b77ec18
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 10 19:25:35 2012 +0000

    Merge "Add function tests for image members."

commit 18ee4122ad79b17bcf5356aebc7a2501aaf3cec4
Author: Michael Still <mikal@stillhq.com>
Date:   Mon May 21 11:02:26 2012 +1000

    Initial implementation of glance replication.
    
    * Add the glance-replicator binary
    * Initial implementation of bp image-replication
    
    Change-Id: I7dabbd6671ec75a0052db58312054f611707bdcf

commit 06f7fe92a6e164c3f62bc107807e9587a84b995f
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jul 9 12:57:39 2012 -0700

    Generate request id and return in header to client
    
    * Generate a uuid in RequestContext.request_id on init
    * Present request_id in an 'x-openstack-request-id' header using
      process_response in the ContextMiddlewares
    * Related to bp glance-request-tracking
    
    Change-Id: Idd9b86661322250b6167a1ee23e5baae91066ff6

commit ce899351dac7dbdfa8d31d26e3d5244b9768dc06
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jul 9 08:05:28 2012 -0700

    Reorganize context module
    
    * Move RequestContext class to glance.context
    * Move context middlewares to glance.api.middleware
    * Update tests to reflect move
    * Update paste configs
    
    Related to bp glance-request-tracking
    
    Change-Id: I289b546ec28c973a3022be779ce378ae2febb340

commit 320f809ba1c1a31eac204daa9c6e9bff459be27f
Merge: 7d8045d c1e9986
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 10 05:19:08 2012 +0000

    Merge "Allow admin's to modify image members."

commit 7d8045d4779d1d4e5b2065cf8c4547cc67e55fb4
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jul 9 13:56:04 2012 -0700

    Add openstack.common.log
    
    Change-Id: I3827a319db649a2264aa260cd964e0a093fef524

commit 4b162a536f128d5f4e6b780f251886fc246802d8
Merge: cff235e 802b9cb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 10 01:49:58 2012 +0000

    Merge "Ignore openstack-common in pep8 check"

commit 802b9cb84bd11ba742edee07934b26828cf31717
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jul 9 14:39:29 2012 -0700

    Ignore openstack-common in pep8 check
    
    Change-Id: Ic48b12918f8e3ca439917a614927b41cd099c63a

commit cff235e484e79325e9b4b1575fe7992d9a691ea3
Author: Monty Taylor <mordred@inaugust.com>
Date:   Thu Jul 5 09:03:40 2012 -0500

    Keystone dep is not actually needed.
    
    An end user might need to install keystone to use the default config,
    but glance testing uses stubbed out fakes.
    
    Fixes bug 1021798
    
    Change-Id: I99da75d29ba483125518760126d6145310ae1479

commit d6ffe3828c5fe0cb86a95c046bb54ceb43da8f6b
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Jul 3 09:55:02 2012 -0700

    Report size of image file in v2 API
    
    Size will be None until image data is uploaded. The size attribute
    will be updated to reflect the actual size. Related to bp api-2.
    
    Change-Id: I577d8005b9ce60bf1470cda43413f0cdc034dbe1

commit 919c3d9d176d022240bf08a903c88c03123cac3c
Merge: a93d04a 1a094d5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 9 17:42:14 2012 +0000

    Merge "Simplify v2 API functional tests"

commit a93d04abf35caa4733e00f92ddfd6850c9f26a3d
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jul 2 14:38:27 2012 -0700

    Expose owner on v2 image entities
    
    Expand v2 image serialization to accept and return the 'owner'
    attribute. All image entities have an owner attribute, while only
    admins can provide it in a request. Related to bp api-2.
    
    Change-Id: I8746574528c8be1f17cf570c91ba6bd7ef27b032

commit 60159ad3d20b9fc087fd675cd0000e91c99abcb5
Merge: c70974a c80a4d2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jul 6 15:55:47 2012 +0000

    Merge "Use PyPI for swiftclient."

commit c70974abd658d697fe8b664201ae2f938891db73
Merge: 33ed25f 7dc34f4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jul 6 15:54:38 2012 +0000

    Merge "Add retry to server launch in respawn test."

commit b77ec18601bc08146d4b2695364cd49c5394d42e
Author: Dan Prince <dprince@redhat.com>
Date:   Tue Jul 3 10:44:20 2012 -0400

    Add function tests for image members.
    
    Updates the bin/glance test suite with support for testing image
    members.
    
    Change-Id: I3e9ba6c59ebc5969b1cee8773c2b6610c1968872

commit c1e99863533d263293b3bb3b8f6b7d34ad4d6b81
Author: Dan Prince <dprince@redhat.com>
Date:   Tue Jul 3 10:41:02 2012 -0400

    Allow admin's to modify image members.
    
    Updates the v1 Glance API and Registry controllers so that admins
    can modify image membership regardless of image ownership.
    
    The motivation for this change is to be able to test image membership
    when noauth middleware (UnauthenticatedContextMiddleware or
    FakeAuthMiddleware) is being used and includes the following changes:
    
     * Added is_admin option to FakeAuthMiddleware.
    
     * Refactors the access checks into a common function called
       _check_can_access_image_members.
    
     * API unit tests which require is_admin=False for noauth were also
       refactored to use an improved FakeAuthMiddleware which supports
       is_admin = False.
    
     * Update RegistryClient to use get_status_code int for 204 status code
       comparisons. Fixes issue where incorrect status code was returned.
    
     * Updated members unit tests to support these changes.
    
    Fixes LP Bug #1021740.
    
    Change-Id: I9d0e4679f9c0cb37f6df7c6f90460c22c37f3fbd

commit 33ed25f8923661e79e91362920ea14fb26aeb0e9
Merge: a61b4bc 70e9690
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jul 5 20:12:35 2012 +0000

    Merge "Improve eventlet concurrency when uploading/downloading."

commit a61b4bc3776bad642e91bfd4ef414b45c181afff
Author: Dan Prince <dprince@redhat.com>
Date:   Tue Jul 3 10:31:13 2012 -0400

    Allow admins to share images regardless of owner.
    
    Updates the Glance DB's is_image_sharable function so that
    an admin can share an image regardless of the context ownership.
    
    This fixes issues when trying to write Glance functional tests
    which use the noauth middleware (UnauthenticatedContextMiddleware).
    
    The motivation behind this change is I'd like to write some
    functional tests for image-members that work with noauth.
    
    Fix bug 1021054
    
    Change-Id: I6d939876a4c4bf5f191463f5ca434fc524a6ac59

commit 70e9690830653ed92d15c4a696cae8778c635206
Author: Stuart McLaren <stuart.mclaren@hp.com>
Date:   Wed Jul 4 16:38:07 2012 +0000

    Improve eventlet concurrency when uploading/downloading.
    
    When uploading/downloading multiple images using the
    same glance-api worker process some of its eventlet
    threads can become starved. Inserting statements to
    trigger cooperative yields, ie sleep(0), allows fairer
    scheduling of the other eventlet threads.
    
    Fixes LP Bug #1021002.
    
    Change-Id: I5a8f255e9507d18813d07d418e6acefa10d9f6bb

commit 1a094d5388b9345112e6ee18c2c56cb6858c6657
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Jul 3 08:50:57 2012 -0700

    Simplify v2 API functional tests
    
    Remove overly-verbose and duplicated test coverage from
    the v2 images functional tests.
    
    Change-Id: Ie6b8057f1d73fd3f1d85e862d3072fc270aef5bd

commit 517a0262086b0346068dfd57a57d68d9e0830bf1
Merge: 4ca2cf4 737bfc3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 3 17:50:45 2012 +0000

    Merge "Fix IndexError when adding/updating image members."

commit 4ca2cf44e88b763d360729c494e5026ddf6febbd
Merge: ad4a10b 878b25e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jul 3 17:47:06 2012 +0000

    Merge "Reorder imports by full import path"

commit 737bfc30b101a52612b70d6c33fb485809cd977a
Author: Dan Prince <dprince@redhat.com>
Date:   Mon Jul 2 23:02:08 2012 -0400

    Fix IndexError when adding/updating image members.
    
    This patch updates the v1 registry API to work with the latest
    DB API image_member_find function which no longer throws
    NoResultFound when it doesn't find any records.
    
    The latest version of the DB API image_member_find function simply
    returns an empty query result.
    
    This fixes both member-add and members-replace functionality.
    
    Fixes LP Bug #1020380.
    
    Change-Id: I8818c90e09bd9a17f208d0e20106007db04e77f1

commit ad4a10b2f17f7e7f77137ea4a82f393febb69f54
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jul 2 20:42:06 2012 -0700

    Report image checksum in v2 API
    
    * Report checksum with image entities
    * Set checksum when image data is uploaded
    * Related to bp api-2
    
    Change-Id: I6b4f859184cff37cea247bfa56c9c6bebd256969

commit 813e299f282924ee6724aada5dc5e54f4a3188ac
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jul 2 20:30:12 2012 -0700

    Store properties dict as list in simple db driver
    
    Rather than store image properties as a dict, use a list of
    dictionaries with name and value keys. Fix bug 1020388.
    
    Change-Id: Ia41e48cb4e869d01c93466103dea8fb1b0ec07a2

commit c80a4d28dd8543399a6e1ada1fd57b30536abeb6
Author: Monty Taylor <mordred@inaugust.com>
Date:   Mon Jul 2 17:42:42 2012 -0400

    Use PyPI for swiftclient.
    
    Change-Id: I3cbef069459c82ab175998a8f58091cd8214cb3c

commit faa5ec7bffe300a4178ec699d6d2a46e033004a7
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Jun 26 15:35:42 2012 -0700

    Refactor pagination db functional tests
    
    The pagination-related functional tests are overly complex and aren't
    adding a lot of value. This rewrites them in a more straightforward way
    by incorporating them into the main test class.
    
    Related to bp refactor-db-layer
    
    Change-Id: Ic08914cfa8135d73a4aae6724a6561bc337b91fb

commit c56cfffc7883412ab267156c0c4fe026a2d427ca
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Jun 26 10:45:15 2012 -0700

    Combine same-time tests with main db test case
    
    Rather than re-run all of the base test methods to test with
    image fixtures with identical created_at timestamps, we should
    just run methods that matter. This patch removes the subclass
    that sets identical timestamps in favor of adding a third fixture
    to the main test case.
    
    Related to bp refactor-db-layer
    
    Change-Id: I69d0b21d1ef825333881e021dfa9610f1bbad334

commit 82c88313f4e079e86e83741969d8c3a037b89b37
Merge: a404d6b 8a1bcb0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jul 2 17:29:47 2012 +0000

    Merge "Include all tests in generated tarballs"

commit 7dc34f41bf2b4b008cf30948e6824f8bb798e94b
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Mon Jul 2 14:25:13 2012 +0100

    Add retry to server launch in respawn test.
    
    Avoid test failures caused by EADDRINUSE.
    
    Change-Id: I8cf044b55da30a56c7e2d1435085d23bd198c275

commit 878b25ea2e3cb89b440e773687fc2e4d6f354cb6
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Sat Jun 30 08:41:01 2012 +0800

    Reorder imports by full import path
    
    Fixes bug #1019463
    
    Change-Id: I3fb44cbacb09457ea34571222e0a8e8d4b8d7c87

commit a404d6b39074460b4055e6f7306b731222f5169f
Author: Mark Washenberger <mark.washenberger@rackspace.com>
Date:   Fri Jun 29 20:10:59 2012 +0000

    Adds /v2/schemas/images
    
    Fixes bug 1019401
    
    Change-Id: I4fcb9286e5aec0984b61285bfff794126f64d00a

commit 414114e5defb1145c87b4ff5f7b1421e9e9c0a4d
Merge: 7d101eb 1e9bc67
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jun 29 14:59:43 2012 +0000

    Merge "Implement image filtering in v2"

commit 7d101ebcc0ee6cfb31c1f7d7575ad38460383241
Merge: 2f3d054 2a61bf3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 28 20:07:12 2012 +0000

    Merge "Allow CONF.notifier_strategy to be a full path"

commit 1e9bc679b4f3e4c760f11d0e2fb2385134cc6072
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Thu Jun 21 16:40:11 2012 -0400

    Implement image filtering in v2
    
    This allows filtering /images on image attributes and properties.
    In order to filter you just do /images?<filter_key>=<value>.
    For Example: /images?name=image-1
    or user defined image properties:
    /images?foo=bar
    
    You can also filter by a numeric ranges by appending _min and _max to the
    filter key.
    For Example: /images?size_min=15
    For Example: /images?size_max=20&size_min=15
    
    Implements blueprint: api-v2-images-filtering
    Change-Id: Icdbe7c325d08328efb164accf76684a83369c137

commit 8a1bcb0a4bfd0bf38d6e9138356f2b5c872f1728
Author: Thierry Carrez <thierry@openstack.org>
Date:   Thu Jun 28 14:40:45 2012 +0200

    Include all tests in generated tarballs
    
    Make sure all glance/tests is actually shipped in generated
    tarballs. Rather than adding yet another specific entry, recursively
    include all glance/tests and globally exclude all .pyc.
    
    Change-Id: I7875c58dece452b5356cf7e268f504780ec30bff
    Fixes: bug 1018830

commit 2a61bf38ff6dae16083145e6f27d66731d5c3271
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Jun 27 13:49:15 2012 -0700

    Allow CONF.notifier_strategy to be a full path
    
    Rather than limit the notifier_strategy to a list of internal
    drivers, we should also allow a user to supply a full path
    to a custom driver. This is going to help us functionally test
    our notification system without having to ship a fake driver.
    
    Fixes bug 1018638
    
    Change-Id: Ib1cae7b979dabfaa6b8b5aa59719aad2ac12d169

commit 2f3d0546164e6b5e55ad412fdb7e2b068ae9a228
Author: iccha <iccha.sethi@rackspace.com>
Date:   Tue Jun 19 22:12:39 2012 +0000

    Add image access records schema for image resources
    
    Implements blueprint api-v2-refactor-schemas
    
    Change-Id: Ic79d6661d44976057016e1a570674f47a962a3db

commit 0a7473bb10d04200849beb318c592c287760ce21
Merge: 1cb53f9 f634eb3
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 27 20:27:28 2012 +0000

    Merge "Added schema links logic to image resources"

commit 1cb53f9ad5f5ee93893fed07acb14d09cf1e5cca
Merge: 3b824f8 9f7b374
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 27 20:15:52 2012 +0000

    Merge "Make image.upload notification send up2date metadata"

commit 3b824f8e6309a727ef382f6ecf2e488f76b99b5b
Merge: 9127701 5e63a22
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 27 19:34:35 2012 +0000

    Merge "Remove image members joinedload"

commit 9127701b669be6adec9ce46091b7c92d309f5c35
Merge: dc9a334 cc900ef
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 27 18:21:50 2012 +0000

    Merge "Clean up image member db api methods"

commit dc9a334132206713120909b64bcd9a051dd04f9d
Merge: 518093b 39f696a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 27 17:51:48 2012 +0000

    Merge "Retry test server launch on failure to listen."

commit 5e63a2246287ced02fa9bfd52f1f2591b2277c4c
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jun 25 21:24:04 2012 -0700

    Remove image members joinedload
    
    * Drop the joinedload on members in image_get and image_get_all
    * Related to bp refactor-db-layer
    
    Change-Id: I6f09c18ad345faa5702f0757566c6abc7eb128b8

commit cc900ef68fab491905823539901dcdaf3057be4f
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jun 25 17:51:15 2012 -0700

    Clean up image member db api methods
    
    * Drop image_member_get
    * Drop image_member_get_memberships
    * Repurpose image_member_find for collection filtering
    * Write a db api functional test to cover image_member_find
    
    Change-Id: I7fc17156feac98ba5d22a436aabfbe50114c6c61

commit 39f696af21c9f367cdbad6d30866ae4ad66a1634
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Tue Jun 26 17:43:46 2012 +0100

    Retry test server launch on failure to listen.
    
    In the functional tests, the registry server intermittently
    fails to listen on the expected port, with the strace revealing
    an EADDRINUSE error.
    
    We now retry the service launch on a fresh port.
    
    Change-Id: Id2e06a7ae90c4a9aa3ff33c19316ebf854a30e22

commit 9f7b374e8b7f3900991dee2a9d444c809af7069f
Author: Chris Behrens <cbehrens@codestud.com>
Date:   Wed Jun 27 03:58:57 2012 +0000

    Make image.upload notification send up2date metadata
    
    The dictionary passed is not updated with image size, etc.
    
    Fixes bug 1018246
    
    Change-Id: I735d355891fcbd6b1db088b218b8fd808b8908e1

commit f634eb381ea6e8c2da29c41e9c508d140fed34d6
Author: iccha <iccha.sethi@rackspace.com>
Date:   Tue Jun 19 16:13:22 2012 +0000

    Added schema links logic to image resources
    
    Implements blueprint api-v2-links
    
    Change-Id: I5b4df7b14b27a52b782c812537118751213be541

commit 518093bc0625ceecd0ea1853814db617e4fa31c3
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jun 25 16:52:00 2012 -0700

    Simplify sqlalchemy imports in driver
    
    This greatly simplifies the sqlalchemy-related imports in
    glance.db.sqlalchemy.api. Related to bp refactor-db-layer.
    
    Change-Id: I60d39baee420c68efd2f00bbd13162d1b78d9c94

commit c45fe202c54f3397064709a88ec1f3f3ee993db6
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Jun 25 08:31:02 2012 -0700

    Reduce 'global' usage in sqlalchemy db driver
    
    Related to bp refactor-db-layer
    
    Change-Id: I1e3e79975fb346d4e721f044db3f8a76690e69ca

commit 4363af6cc81e4bc63fb39fae7b059ca3defaabe0
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Jun 20 10:33:43 2012 -0700

    Standardize logger instantiation
    
    Use LOG for variable name and __name__ for logger name. Also
    document this fact in HACKING.rst
    
    Fixes bug 1015685
    
    Change-Id: I0d9d80bef66197a28ed3d650f17859202048d776

commit 595210b2aa293ebccaa4c7d6dd2b860f0bb03c40
Merge: 202439f cdb2a4f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jun 25 15:16:21 2012 +0000

    Merge "adds missing import and removes empty docstring"

commit 202439f4096336f2b7402411c8b33a401e87af74
Author: Mark J. Washenberger <mark.washenberger@rackspace.com>
Date:   Thu Jun 14 16:45:24 2012 -0400

    Add link descriptor objects to schemas
    
    Part of blueprint api-v2-links
    
    Change-Id: I1e03b38c51931a380c197def88501c4dd483273c

commit c9599a67557eee55ad6429fba42a9d382cd389fe
Author: Sean Dague <sdague@linux.vnet.ibm.com>
Date:   Fri Jun 22 17:52:08 2012 -0400

    Fix exception if glance fails to load schema
    
    * Fixes bug 1016762
    
    Change-Id: Id1f39d39738289161fe43a22c497ee76b7a9574b

commit 5599c951e0078a9276673b57dced828a57a21a99
Author: Mark J. Washenberger <mark.washenberger@rackspace.com>
Date:   Thu Jun 14 13:18:18 2012 -0400

    Move the particulars of v2 schemas under v2
    
    Implements blueprint api-v2-refactor-schemas
    
    Change-Id: I6ddb0aa9a8fdac2d9a7210e0d0b0fb91e8220396

commit 5a45f021521871757826da313386c8b418c92a97
Merge: 13f6fc8 1da7699
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 21 22:24:31 2012 +0000

    Merge "Set up Simple DB driver tests"

commit 13f6fc8ff12c45cb24231810e4aebf962a8ae3ed
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Tue Jun 19 11:37:27 2012 -0400

    Remove listing of image tags
    
    Change-Id: I22a37e0b841255a652d8083a49317086dca2dcc4

commit 1da76999110f80d058e0647fea05ee429a3a891d
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Jun 20 14:29:08 2012 -0700

    Set up Simple DB driver tests
    
    This adds a few bootstrappy test cases to get the db tests running
    against the simple db driver. I've also added a decorator for the
    simple driver methods to make these tests uber useful.
    
    Change-Id: I51cc9c19fd800f7991a46b80ee964a150820ec10

commit 067c41b789a8c8432de812c3336074854790cb77
Merge: 7d041b3 f07a4db
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 20 18:02:06 2012 +0000

    Merge "Revert "Funnel debug logging through nose properly.""

commit 7d041b314e60ceb6b20a2fc8735a01b73d3246e4
Merge: 47292e9 199128a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 20 17:03:27 2012 +0000

    Merge "Remove some more glance-cache PasteDeploy remnants"

commit 47292e98fd2cacb2297588eae6a4729cb60a9465
Merge: bff6242 c44e16a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 20 17:03:25 2012 +0000

    Merge "Don't use PasteDeploy for scrubber and cache daemons"

commit bff62428043b793e9221ac3fb2cb670ca80cf2b6
Merge: 71ba934 be7efbd
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 20 16:54:15 2012 +0000

    Merge "Trace glance service on launch failure."

commit 71ba934c121abc9cf86e5cbbbcdf532cee1cc55c
Merge: 7d45f08 31dcaec
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 20 16:52:01 2012 +0000

    Merge "Capture logs of failing services in assertion msg"

commit 7d45f0867b5728cc331f5c05dd1bb19d2bb47c61
Merge: d1a81a7 3b4d7a4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 20 16:48:51 2012 +0000

    Merge "Convert db testing to use inheritance"

commit d1a81a73be04119ff573e6c7c22043177aeb435c
Merge: a1fbd0b 5d53e99
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 20 16:47:40 2012 +0000

    Merge "Remove unused imports in db migrations"

commit be7efbdfd0965145b42915e23832bd6671d44165
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Tue Jun 19 22:31:30 2012 +0100

    Trace glance service on launch failure.
    
    Where a glance service launched by a functional test fails to
    begin listening on the expected port, attach strace(1) in order
    to determine where the process is blocked.
    
    Change-Id: Ic745bc34306c852fc8125a0a901686d4ff28e403

commit f07a4db6cdca28f58b795b3fcea2877e595867a7
Author: Mark Washenberger <mark.washenberger@rackspace.com>
Date:   Wed Jun 20 15:24:17 2012 +0000

    Revert "Funnel debug logging through nose properly."
    
    This fixes bug 1015613
    
    This reverts commit 95fb6e5f8988079d7dffe3a039f1ebd697199eb8.
    
    Change-Id: I827475c86d6f9166c0ee3ba9b0cc9a0a5105c049

commit 31dcaecb2dfe101a383b08d83f879b3b5b8d5898
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Tue Jun 19 16:57:36 2012 +0100

    Capture logs of failing services in assertion msg
    
    This is a temporary measure to help track down the cause of the
    regular functional test failures that manifest as an unhelpful
    'Unexpected server launch status' error.
    
    (Previously the glancelogcapture plugin would have handled dumping
    the logs, but this was broken by the recent change-over to nosetests
    from run_tests.py)
    
    Change-Id: I3dae58aa063536675503f23d1cc87767e68f75b2

commit 199128a5a6e8e97a8b018a90cc81f2001a025a6c
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Wed Jun 20 06:35:30 2012 +0100

    Remove some more glance-cache PasteDeploy remnants
    
    The default_config_file arg to load_paste_app() was only used by the
    cache daemons because they were all using glance-cache-paste.ini.
    
    Since that use case is gone, remove the argument.
    
    Change-Id: Ibf15810b37d9a2b9b94ed311c304916e7de2d6cf

commit a1fbd0baa68d6f1c2d758566ab89e2ac87a1c7ce
Merge: 9a1a2a3 95fb6e5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 19 23:09:34 2012 +0000

    Merge "Funnel debug logging through nose properly."

commit 9a1a2a32a02834bc575d3664529f6417a2981a4a
Merge: cac3506 081823a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 19 23:03:38 2012 +0000

    Merge "make roles case-insensitive"

commit cac35068485729e9a2fd341daaf811c184c41191
Merge: 8697375 088200c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 19 21:13:55 2012 +0000

    Merge "Default db_auto_create to False."

commit 8697375eb951d2ec1d808b6be66dd9e2e562d6fa
Merge: 28616aa 9c8c630
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 19 20:28:04 2012 +0000

    Merge "Increase timeout to avoid spurious test failures"

commit 28616aa0b2baeedd8af517128b6c3f01506d7b87
Merge: 9a7946a 0c0fd6a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 19 20:28:02 2012 +0000

    Merge "Clean up .pyc files before running tests."

commit 9a7946a043044f04f138ad6a622bd6d4329377c3
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Mon Jun 18 14:34:29 2012 -0400

    Fix typo of conf variable in config.py
    
    Fixes bug 1015270
    
    Change-Id: I1cedcb3095f56225920c7482b16cc597b0572a4a

commit 5d53e99e0a7ef644c6169db021168b8969a67c91
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Tue Jun 19 15:43:55 2012 -0400

    Remove unused imports in db migrations
    
    I went on a hike through the migrations and decided to apply the boyscout rule.
    Scouts honor.
    
    Change-Id: I10c677cfd5186edce3ca96495eafc732168cac86

commit 9c8c630d53877c5a9b0dda856b207468fdb4062c
Author: Mark Washenberger <mark.washenberger@rackspace.com>
Date:   Tue Jun 19 18:51:17 2012 +0000

    Increase timeout to avoid spurious test failures
    
    Change-Id: I58552c5c8ca5bea612f80ead1f895b346d187758

commit ee640fc2da2538b8b9376062245cc6bd0ff3b885
Merge: 7aa688a f14d3b9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 19 17:53:37 2012 +0000

    Merge "Fix typo of swift_client/swiftclient in store_utils"

commit cdb2a4f6a6540e1b9b5ffa4b9be45581d3b51e94
Author: Nikhil Komawar <nikhil.komawar@rackspace.com>
Date:   Mon Jun 18 15:03:40 2012 -0400

    adds missing import and removes empty docstring
    
    fixes bug 1014788
    fixes bug 1015210
    
    Change-Id: Id5dd44d5d0265368e39b36ef1d4f6694aedb6456

commit 3b4d7a447c29783b8068308da71a3127187b5cbb
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Jun 13 15:44:04 2012 -0700

    Convert db testing to use inheritance
    
    This modifies the existing sqlalchmey-specific db tests to a more
    generic approach where test cases can be inherited and bootstrapped
    for different db implementations. It's a similar approach to our
    store-specific bootstrapped test cases built off of test_api.
    
    Related to bp refactor-db-layer
    
    Change-Id: Ia516e93abd36e2727f122968d3c7ef6e0f1d5801

commit 0c0fd6acaaa39fd113f96f7e65cd1eb61f49bf26
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Tue Jun 19 12:07:12 2012 -0400

    Clean up .pyc files before running tests.
    
    Fixes bug 1015181
    
    Change-Id: I5628de56464f882f804522c66d9ffbe35a3b21e1

commit 081823ad862cabc74977299876d000cafaa6f40d
Author: Alessio Ababilov <aababilov@griddynamics.com>
Date:   Fri Jun 8 18:15:47 2012 +0300

    make roles case-insensitive
    
    Fix bug #1010519
    
    Change-Id: I5b4a50e2d546ba8b4b018178af09707bc4d31fce

commit 95fb6e5f8988079d7dffe3a039f1ebd697199eb8
Author: Monty Taylor <mordred@inaugust.com>
Date:   Mon Jun 18 18:30:21 2012 -0700

    Funnel debug logging through nose properly.
    
    Change-Id: Ic76289c702ed54c9bf7b9fa4cb140d62049dfb9e

commit 7aa688a897bfc96cf198126c03ae89d0e06b404f
Merge: ed16167 b3b4d64
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jun 18 23:26:54 2012 +0000

    Merge "Avoid thread creation prior to service launch."

commit f14d3b9f70c5e3f0fa3465679b6f4238e2d6f502
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Mon Jun 18 14:49:15 2012 -0400

    Fix typo of swift_client/swiftclient in store_utils
    
    Change-Id: I4ae2aedc7bc893ae78d4e4dd03b290ece7d2735f

commit ed16167425c5a2a610ce503c3084bb3b2a03ae63
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Thu Jun 14 15:09:03 2012 -0400

    Stop revealing sensitive store info
    
    Use simpler error messages and log the details.
    
    Fixes bug: 1012268
    
    Change-Id: I3c4d98c81dee6676916c60e71a749037ae1edc81

commit b3b4d64ae23fd3a662e6ebc98642c42fe6631cad
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Mon Jun 18 17:53:37 2012 +0100

    Avoid thread creation prior to service launch.
    
    It appears that the thread serving out the fake HTTP endpoint used
    in the copy-from tests is causing intermittent hangs in the launched
    glance service processes. These hangs manifest as calls to futex(2)
    that never return, and occur almost daily in Smokestack.
    
    The background to the thread/fork mismatch is explained in this
    blog post:
    
     http://rachelbythebay.com/w/2011/06/07/forked
    
    We avoid the issue by delaying the thread creation until after the
    service processes have been launched by the testcase.
    
    Change-Id: I68c6f1735e5001641994ed4f84ad879397ba8713

commit c44e16a538113293c7e73eea22c2ebc0f84c365f
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Sat Jun 16 16:57:56 2012 +0100

    Don't use PasteDeploy for scrubber and cache daemons
    
    There are no WSGI apps involved here, no need to configure pipelines with
    filters etc. All we're using PasteDeploy for is to construct an object.
    
    Well ... there are easier ways to do that! :)
    
    Change-Id: I4166d0071738fe587572db8f2883900408e9f097

commit 3b4c276550f1a126bc985588252b944e147f2d90
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Sat Jun 16 17:00:20 2012 +0100

    Remove some unused glance-cache-queue-image code
    
    Commit d453def removed the glance-cache-queue-image script but
    neglected to remove the PasteDeploy app and config.
    
    Change-Id: I20daf529fd9e466cdad9d3db19bc79ed16f24375

commit 7f4bea708afdd433efa20a20fa83a75ffa591049
Merge: 7e84007 1b78c75
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jun 15 17:55:45 2012 +0000

    Merge "Turn off SQL query logging at log level INFO."

commit 7e84007c6e252e33eaa713962b3660b0c9fbf807
Author: Nikhil Komawar <nikhil.komawar@rackspace.com>
Date:   Fri Jun 8 16:33:41 2012 -0400

    Implement pagination and sorting in v2
    
    implements blueprint: api-v2-images-sorting
    implements blueprint: api-v2-images-pagination
    
    Change-Id: Ibf38847e45534f25dba31c7ffe516e2e3a29450d

commit 1b78c75bb606a22df0d7d51a30e7695861ef685c
Author: Dan Prince <dprince@redhat.com>
Date:   Thu Jun 14 11:48:27 2012 -0400

    Turn off SQL query logging at log level INFO.
    
    Fixes LP Bug #1013235.
    
    Change-Id: I5651a4f22bc396d7d082f95b1ef6df107b943fb5

commit 060a75b506beec26cd4a7d0a994a9dddc92d480b
Merge: abf43ad dc0ba92
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 13 20:35:52 2012 +0000

    Merge "Import db driver through configuration"

commit 088200c24251e4550187fb012b9026919fb095e0
Author: Dan Prince <dprince@redhat.com>
Date:   Wed Jun 13 15:29:03 2012 -0400

    Default db_auto_create to False.
    
    Fixes LP Bug #1012823.
    
    Change-Id: Iefbcda3885308b7a6f170e137d10e76c94952e18

commit abf43ad147769af85255e9a13b672ab190f5fcf2
Merge: d986920 1e50b99
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 13 19:02:19 2012 +0000

    Merge "Move RequestContext.is_image_* methods to db layer"

commit d98692089e885692cdf7408cc4140e0f5c852ca9
Merge: dcd8ce6 45b64d5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 13 18:52:55 2012 +0000

    Merge "Add metadata_encryption_key to glance-cache.conf."

commit dcd8ce6447cb3e4a7d16c5fc7ff894e806d9c5df
Merge: 0aab15e e3f3d68
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 13 18:44:56 2012 +0000

    Merge "Use zipballs instead of git urls."

commit 0aab15ecb5df2567adbac2b1f4885313c052d5ab
Merge: 2848ddf 25116ed
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 13 18:22:58 2012 +0000

    Merge "Fix to not use deprecated response.environ any more."

commit 2848ddfc3ee1028500a4a15bfec08f805f22f56b
Merge: d82307e 1672eeb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 13 18:21:19 2012 +0000

    Merge "Fix help messages for --debug."

commit d82307e7c964b27465520fe36553d2ba90a40a69
Merge: e9dd69c c1f5345
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 13 17:16:28 2012 +0000

    Merge "Begin replacement of sqlalchemy driver imports"

commit e3f3d681279a9a1eca6686c1ac69d5eb8ac39f4a
Author: Monty Taylor <mordred@inaugust.com>
Date:   Wed Jun 13 11:33:56 2012 -0400

    Use zipballs instead of git urls.
    
    Additionally, update openstack.common.setup
    
    Change-Id: I6e72ac890ed93ab5201fe99f63fd579a9d9db89b

commit 45b64d54950ab64ddfbe20ed4a3d1fd62ed83c7b
Author: Dan Prince <dprince@redhat.com>
Date:   Wed Jun 13 12:30:59 2012 -0400

    Add metadata_encryption_key to glance-cache.conf.
    
    Fixes LP Bug #1012752.
    
    Change-Id: I802583e2766cd1533223638259e57e44b39448eb

commit 1672eeb8807451534f96c20e33b1d4075e84def8
Author: Dan Prince <dprince@redhat.com>
Date:   Wed Jun 13 12:15:08 2012 -0400

    Fix help messages for --debug.
    
    Fixes LP Bug #1012746.
    
    Change-Id: I54af0d20b3f5b56a1b350de3ac1324f1bbcd57ed

commit e9dd69cca62bd95da46467d376648c5f69baa515
Merge: b99e861 fc3f13c
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Jun 12 18:42:35 2012 +0000

    Merge "webob exception incorrectly used in v1 images.py"

commit b99e8610adb6d38ccbe91f13698f1e36b096ca74
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Tue May 22 14:10:14 2012 +0000

    Use python-swiftclient for swift store.
    
    - Use python-swiftclient instead of swift.common.client (pinned to
      github hash).
    - Fixes bug 1002791.
    
    Change-Id: Ibdc00b75c62445a7f0930ee1806ad469e3d3ffe2

commit 4f688ef429c0c4520b2313275237fd5783ccf017
Merge: e2c52dd d33ce44
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jun 11 20:15:33 2012 +0000

    Merge "Remove the conf passing PasteDeploy factories"

commit 25116ed49e685e3d405cf03e7eb3efd95506e37f
Author: Duncan McGreggor <duncan@dreamhost.com>
Date:   Fri Jun 8 13:45:24 2012 -0400

    Fix to not use deprecated response.environ any more.
    
    WebOb 1.2 doesn't auto-set the response environment. There was only one place
    in Glance that was using this, so it was changed in favor of the stable API
    that has always been there: response.request.environ.
    
    This change fixes bug #1010560.
    
    Change-Id: I2e58bf32970c95d25cad0a35ee38b9540483eef0

commit dc0ba92dcfa060d8755b935f0d9b543a1e298778
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu May 31 17:07:46 2012 -0700

    Import db driver through configuration
    
    Using the 'data_api' config option, a deployer can now define
    which module to be used as the db driver.
    
    Related to bp refactor-db-layer
    
    Change-Id: Ie93b7331e5f8f3456b682d974ac6fd2cdb1e53b7

commit 1e50b993c0cebd3c1d22ca7636cb608686a1f526
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Jun 1 09:49:32 2012 -0700

    Move RequestContext.is_image_* methods to db layer
    
    These methods need direct access to the db and therefore require
    the request context module to maintain a connection to the database.
    Moving them to the db layer allows us to further refactor the
    db layer.
    
    This does duplicate the methods in each of the db drivers, so a
    future patch is needed to simplify that.
    
    Related to bp refactor-db-layer
    
    Change-Id: Ia7e0dbb9f2162fb69837699b970f8cab3efcd545

commit c1f53459f582ee4525d5cad58dd662f0a951bb0b
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu May 31 16:20:14 2012 -0700

    Begin replacement of sqlalchemy driver imports
    
    Create glance.db:get_api to handle importing the configured data
    api module. Currently it's hard-coded to glance.db.sqlalchemy.api.
    
    Related to bp refactor-db-layer
    
    Change-Id: Ie9b078bddf6324bf0e76d562489a6695ed8b88df

commit fc3f13c29e1373e17147da06daa96b527664c746
Author: iccha <iccha.sethi@rackspace.com>
Date:   Fri Jun 8 21:32:20 2012 +0000

    webob exception incorrectly used in v1 images.py
    
    Fixes bug 1010681
    
    Change-Id: I42cf5a8e87e07b94fbba4af7ad3b16a62817007e

commit e2c52ddfa6b5b6dff88e3d58b55ef7034739bc63
Author: Alex Meade <alex.meade@rackspace.com>
Date:   Tue Jun 5 13:52:23 2012 -0400

    Add tests and simplify GlanceExceptions.
    
    This also fixes some incorrect use of GlanceException parameters.
    
    Fixes bug: 1009122
    Fixes bug: 1010140
    
    Change-Id: Ic77856686a0259da2318e05b15f3d382508c00b9

commit 575651883d4012c3cf6cf75a8e0dd58514ff67a7
Merge: 86e8fdc c07be92
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Jun 9 14:16:57 2012 +0000

    Merge "Use openstack-common's policy module"

commit 86e8fdc02237f9c151e4780716c9570c65b2e3e7
Merge: 61d007b 15c204a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Jun 9 13:46:25 2012 +0000

    Merge "Update default values for known_stores config."

commit 61d007bc89a9ae0108d6b38352f8584d6ccc6413
Merge: e50ada5 9d9d225
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jun 8 21:44:46 2012 +0000

    Merge "Port remaining code to global conf object"

commit 15c204af75d18235defe1cd41866c4d216eb0fec
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Jun 8 15:37:10 2012 -0400

    Update default values for known_stores config.
    
    Updates the default value for the 'known_stores' config
    variable to include the full list of storage classes
    supported in Glance.
    
    Also, removes the known_stores config section from the
    example config file since it is arguably an advanced config
    that won't get used by most users. Removing this config avoids
    the overhead of maintaining internal class names in config files.
    
    Fixes LP Bug #1008698.
    
    Change-Id: I0117376aa4de3103410ecb1a36df6998fcd0d5b5

commit d33ce445d3e585f14aeb872ce890cf3228055574
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Tue May 29 08:51:12 2012 +0100

    Remove the conf passing PasteDeploy factories
    
    Implements blueprint cfg-global-object
    
    In glance.common.wsgi we have a paste_deploy_app() API which allows
    a ConfigOpts instance to be passed the the applications and filters
    constructed by PasteDeploy.
    
    Now that we're using a global object, we don't need this anymore
    
    Change-Id: I222d3c58308bc2f504cd802c0c8405d3baa2e49a

commit 9d9d22541902977319457de89e07fb3094d0a4db
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Tue May 29 08:51:12 2012 +0100

    Port remaining code to global conf object
    
    Implements blueprint cfg-global-object
    
    This iteration fixes up the remaining places where we're passing a
    conf object around.
    
    Change-Id: I3b627d093a6b7afeee129ab66b377a3b0af5439b

commit e50ada54727c07687e54ad5ae9a8a425d85b1c75
Author: iccha <iccha.sethi@rackspace.com>
Date:   Fri Jun 8 15:16:24 2012 +0000

    Made changes to adhere to HACKING.rst specifications
    
    Change-Id: I6a6fe0c2db55f57a74b5968224571c2c1440696c

commit c07be927fb9622bf2a83c03a2a1cda3bbed760b0
Author: Kevin L. Mitchell <kevin.mitchell@rackspace.com>
Date:   Wed Jun 6 10:05:17 2012 -0500

    Use openstack-common's policy module
    
    Reworks glance to use the new policy module in openstack-common.
    
    Change-Id: I6012c71a16d83762535e7490d8f5bc5102160fc0

commit fc758a46e77de1746c796cd64228694521ee2b07
Author: Dan Prince <dprince@redhat.com>
Date:   Thu Jun 7 22:23:48 2012 -0400

    Re-add migrate.cfg to tarball.
    
    Fixes LP Bug #1010284.
    
    Change-Id: Ic19a5ef16e7e2237c4becfbca9a608ef932fc973

commit c34b8de0aec616d53a4369d21824de4260100b58
Merge: c4c69ac a68eb24
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 7 22:34:53 2012 +0000

    Merge "Create 'simple' db driver"

commit c4c69ac15c66ba84d81dfaf78b3c6a1378e18fe6
Author: Nikhil Komawar <nikhil.komawar@rackspace.com>
Date:   Thu Jun 7 16:02:26 2012 -0400

    Implements cleaner fake_request.
    
    Implements the fake request to be more flexible.
    Changes the fake request calls in the tests.
    fixes bug 1010191
    
    Change-Id: Ic8199b1f8f479ffb3667cead2576c03591e30e43

commit ba0e3afbb21cf29cb3b76f917858337f84bcd4b4
Merge: 82dbff4 e315145
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 7 16:58:28 2012 +0000

    Merge "Fix typo in doc"

commit a68eb244318925adcaf94fa4d86332bd4ad4ebc9
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu May 31 15:39:33 2012 -0700

    Create 'simple' db driver
    
    Move the core of glance.tests.unit.utils:FakeDB to glance.db.simple.
    This 'simple' driver is an alternative to the traditional sqlalchemy
    driver. Additionally, the sqlalchemy driver has been moved from
    glance.db to glance.db.sqlalchemy. The simple db driver is only
    available to be used by tests for now.
    
    Related to bp refactor-db-layer
    
    Change-Id: I9d33a433c0c03e53fb5a3491076086427ae694b3

commit 82dbff438034d20724ecd489aca4496980c3774c
Merge: bbe442d de2a8a8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 7 16:14:56 2012 +0000

    Merge "Clean up a few ugly bits from the testing patch."

commit bbe442dddb6427fa5039ac9dd9ce47b6a5feda36
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Tue Jun 5 14:02:43 2012 +0800

    Glance should use openstack.common.timeutils
    
    Implements blueprint use-common-timeutils
    
    1. Edit openstack-common.conf and import glance/openstack/common/timeutils.py
    2. Replace datetime.utcnow with timeutils.utcnow
    3. Replace utils.isotime with timeutils.isotime
    4. Replace utils.parse_isotime with timeutils.parse_isotime
    5. Replace utils.normalize_time with timeutils.normalize_time
    6. Remove datetime related functions and datetime related unittests
    
    Change-Id: I014548848f738b00c670be3d372b16f47f6dee96

commit ac95b1f9c761c414c0d30837c0d1d6ec452c4391
Merge: 9057989 a25824e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Jun 7 15:14:47 2012 +0000

    Merge "fix side effects from seekability test on input file"

commit de2a8a8d94eb9165fd32074369f79f930d77f06b
Author: Monty Taylor <mordred@inaugust.com>
Date:   Thu Jun 7 10:34:48 2012 -0400

    Clean up a few ugly bits from the testing patch.
    
    The pep8 runner in run_tests.sh was still referencing run_tests.py
    which no longer exists. Replaced that section with one that runs
    pep8 the same way as tox.
    
    Additionally, the first attempt at getting the test runner to do the
    same thing with debug logging as run_tests.sh was doing became a bit
    spammy. For now, actually have logging write out the log file in the
    first place. Eventually, it would be nice to get this to properly
    get spit out in such a way that nosetests would grab it and include
    it in the failed test case output.
    
    Change-Id: Ib5222a0c3507d5d7ede4d303c98323a622705301

commit e3151459e8ee4109ae76412fc6515431fa5b3fd0
Author: Vincent Untz <vuntz@suse.com>
Date:   Thu Jun 7 16:17:42 2012 +0200

    Fix typo in doc
    
    metdata -> metadata
    
    Change-Id: I44e5e73946e9d1a37b8e3a5974083e3fbea33d2d

commit 90579894d26e2c3a2254678db5a633c85084ee81
Merge: 898e732 1038a19
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Jun 6 12:43:53 2012 +0000

    Merge "Add cfg's new global CONF object"

commit 1038a19a32a28f6d8d42a11d435baf5e1e1583bf
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Tue May 29 08:51:12 2012 +0100

    Add cfg's new global CONF object
    
    Implements blueprint cfg-global-object
    
    Begin adopting cfg's global CONF object pattern rather than passing
    a conf object around everywhere.
    
    This iterations does just enough to have each of the glance programs
    initialize CONF and get the unit tests working.
    
    Change-Id: Ia34959b3ba52cbe933d5d347f31319271b2e14f9

commit a25824e77ae86da840493ee8fbf5dc68a27dd74b
Author: Derek Higgins <derekh@redhat.com>
Date:   Thu May 31 22:13:40 2012 +0100

    fix side effects from seekability test on input file
    
    Fixes Bug #1007093
    
    Mixing use of os.lseek(fileno, 0, os.SEEK_SET) with
    file.seek seems to cause problems when reading data
    with file.read
    
    Change-Id: Ia96ce9bbdc93a1a8c6169d85b99187f8cd7b2fdc

commit 898e732bd7097b2400b82f20e515d32489cd51e3
Author: Monty Taylor <mordred@inaugust.com>
Date:   Mon Jun 4 13:51:47 2012 -0400

    Just use pure nosetests.
    
    The test suite can be run now with pure nosetests + the openstack nose
    plugin. There is no longer any need for the run_tests.py.
    
    Change-Id: Iad89a2c1cc567ba10919a52166b3309edef20009

commit 66108d0e483028101186e14caaa0dbcca785b797
Author: Monty Taylor <mordred@inaugust.com>
Date:   Sun Jun 3 09:54:51 2012 -0400

    Fix coverage jobs. Also, clean up the tox.ini.
    
    Change-Id: I85e8f1b190e2c5f598ae76f2920dfbe7c4ed1500

commit 41d285ab02525e2d109a3d3db6633cbffb17abb6
Merge: dfd9e20 19d6124
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Jun 4 17:23:11 2012 +0000

    Merge "Glance should use openstack.common.importutils"

commit dfd9e207f25dbdb7584c80e015ddcec7099a5c52
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu May 31 11:23:35 2012 -0700

    Move glance.registry.db to glance.db
    
    Related to bp refactor-db-layer
    
    Change-Id: Ia7c5aea29eef8068a9b67ac5fd051b45a38a20de

commit 19d6124ccc99dcec404ef3d5405eb26b40d2038a
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Mon Jun 4 12:15:46 2012 +0800

    Glance should use openstack.common.importutils
    
    Implements blueprint use-common-importutils
    
    Change-Id: If92fcf85c6bbcd330fd3675401d03b12a5fc055c

commit ff32b489da0015686d62c50c33a87261606394f2
Merge: 5d6b05b d885461
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Jun 1 18:03:41 2012 +0000

    Merge "Add additional info. to image.delete notification"

commit 5d6b05b57ea2f62ed6fdd0faedff50b08e21162b
Merge: fdc98c9 98b66c1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 31 14:52:24 2012 +0000

    Merge "Add a base class for tests"

commit fdc98c908918da3889fab1cb148b2dd09dbfb8a0
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Mon May 28 20:43:31 2012 +0100

    Add read-only enforcement to v2 API.
    
    Provide a new @mutating decorator to provide a concise marker for
    operations that should not be accessible to a read-only request.
    
    Related to bp api-v2-anonymous-access
    
    Change-Id: I52710083b4f112d2429afe4faa0660e2a6822929

commit 98b66c1ddd308bacb8ad8a78f71ea75353c3a01e
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Tue May 29 08:51:12 2012 +0100

    Add a base class for tests
    
    This base class will allow us to DRY up the config setup and teardown.
    
    Change-Id: I49fff259a38657110a4117134b1a8bd728404269

commit f2acb725dafb034567ef65eaa930c01d92240768
Merge: 81fcbc8 2a01e6e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed May 30 17:40:58 2012 +0000

    Merge "Enable anonymous access through context middleware"

commit 81fcbc8a3f91ee10332c6d23d7717486abd4c17a
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue May 15 14:50:13 2012 -0700

    Expose tags on image entities in v2 API
    
    Enable users to set and view tags on image entities. Before, a user
    had to navigate to the /tags subcollection to interact with image tags.
    Additionally, this refactors the image_tag_* methods to return strings
    rather than sqlalchemy objects.
    
    * Related to bp api-v2-image-tags
    
    Change-Id: Ifdebe9b660f78bee5fda798a1f83e384a8220049

commit d885461b6fadb35c8a3042a1e6b9b8aa2bd29442
Author: Brian Elliott <brian.elliott@rackspace.com>
Date:   Thu May 24 13:04:48 2012 -0500

    Add additional info. to image.delete notification
    
    Add additional information to the 'image.delete' notification payload
    to simplify external usage tracking systems.
    
    Please note that this is not a backwards-compatible change as the
    old payload was simply a string consisting of the image id.  This
    converts the payload to a dictionary.
    
    Change-Id: I641b7de91fcc14dc3c81ec942aeb0acf5a63d128

commit 43a6424b714765ca9b54b25953c3e85773859a5f
Merge: b38a8ec 81224fa
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 29 23:12:27 2012 +0000

    Merge "Sync with latest version of openstack.common.cfg"

commit b38a8ec4ec61015bc31f30712fdb2a7fb227ddfd
Merge: 8cda35f 104ed65
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 29 20:37:40 2012 +0000

    Merge "Expose timestamps on image entities in v2 API"

commit 8cda35fc1ff49c99c8269ce71c1ab3323775badd
Merge: 9a838a8 a7b8e62
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 29 19:51:02 2012 +0000

    Merge "Lock pep8 at v1.1"

commit 104ed657b8860f8810d88b0f54775626a22a18b6
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed May 16 16:25:03 2012 -0700

    Expose timestamps on image entities in v2 API
    
    * Add created_at and updated_at to image entities
    * Ignore these timestamps on create & update
    * Related to bp api-2
    
    Change-Id: Iff0345de891e928367227f1a46f05e28b95de298

commit 81224fa22c78bcfe61285e6e8652c25b7f894b0d
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Tue May 29 08:51:11 2012 +0100

    Sync with latest version of openstack.common.cfg
    
    Changes since last sync:
    
     - make reset() clear defaults and overrides
     - automatically create option groups
     - allow options to be marked as required
     - use a list comprehension instead of map()
    
    Change-Id: I20d8b2e7a1fa0080398eaa8e03b0b6d48e7c2a29

commit 2a01e6ef755692240b4ed14f9005296e0653a9a1
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed May 23 08:05:16 2012 -0700

    Enable anonymous access through context middleware
    
    Certain deployments need to allow anonymous access to its
    images. This patch allows a user that has failed to authenticate with
    Keystone to access the API in read-only context.
    
    * Configure through 'allow_anonymous_access' option, defaults to False
    * Implements bp api-v2-anonymous-access
    
    Change-Id: Ia8f57e54bd141a2da1ca4600d1970558fb497f67

commit 9a838a8b34e435223e1e01d73d84665e6e8f7102
Merge: 26ce3e0 d0e6b83
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 24 22:35:46 2012 +0000

    Merge changes I26378e9f,I8b09677f
    
    * changes:
      Add allow_additional_image_properties
      Fix integration of image properties in v2 API

commit 26ce3e0e4cd94d57f3f4c2aaaf87b35c0643cc21
Merge: 4f0e72c 3785ec8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 24 22:25:11 2012 +0000

    Merge "Leave behind sqlite DB for red functional tests."

commit d0e6b8398a1d3787ec9ba77ddd1036c47549dafa
Author: Mark Washenberger <mark.washenberger@rackspace.com>
Date:   Tue May 22 14:13:09 2012 -0400

    Add allow_additional_image_properties
    
    Implements bp:api-v2-user-properties
    
    Change-Id: I26378e9f4e8d0f53898f4665bad89922c0b5792a

commit 4f0e72c52ebc4b2d77c5635d543d06fa62f366c9
Merge: 9d3fd05 d2f04a2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 24 16:59:17 2012 +0000

    Merge "Remove unused imports in setup.py"

commit 397884be58d21589002756e1a712ef5b816bafe2
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon May 21 21:20:55 2012 -0700

    Fix integration of image properties in v2 API
    
    The (de)serialization of images in the v2 API expected a db-like
    properties list in some cases, while in others a flat dictionary. This
    patch aligns the code by ensuring the properties dictionaries are
    normalized before being passed in and out of the controller.
    
    * Expands the images functional test case to cover this integration point
    * Cast all images to dictionaries before returning from the controller
    * Related to bp api-2
    
    Change-Id: I8b09677f622151330630fc7b0267f0549bb1a458

commit a7b8e62556f760a8a05fcfd92394517797376dea
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu May 24 07:16:31 2012 -0700

    Lock pep8 at v1.1
    
    Update offending files to pass pep8 v1.1 and lock our deps on this
    new version.
    
    Change-Id: I5380f213f8e2f62d75f513c8b4496f78fc692dad

commit 9d3fd0598f27a318b29fb90446bb37bf7084380e
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu May 24 06:21:17 2012 -0700

    Lock pep8 to version 0.6.1 in tox.ini
    
    Change-Id: Ib88f57a08bb8ba8bd7970300716d84a2a2e2a411

commit 87e45ac659172a49c9ba281e65917d3892308321
Merge: 8bcadbf 88f8020
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed May 23 22:45:20 2012 +0000

    Merge "Correct format of schema-image.json."

commit 8bcadbfbc1e4ec17de79bdff42274ade07c462ec
Merge: 1b25c55 a92b01f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed May 23 22:33:36 2012 +0000

    Merge "Adds sql_ config settings to glance-api.conf."

commit 1b25c55dcac905536e025a31587d516e9eaa661f
Merge: 86a7976 03da47b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed May 23 21:54:41 2012 +0000

    Merge "Fail gracefully if paste config file is missing."

commit 03da47b5ea854175e70393ddc5bc6258a4c21047
Author: Brian Elliott <bdelliott@gmail.com>
Date:   Wed May 23 11:01:03 2012 -0500

    Fail gracefully if paste config file is missing.
    
    If the paste config file can't be found, fail with a RuntimeError
    and message instead of a traceback from os.path.abspath.
    
    Change-Id: Id8823dbadab06a0de6bb7c235b70c355812ed55e

commit 86a7976c82e78d0ef14851610d9f02b54a5b481e
Author: Thierry Carrez <thierry@openstack.org>
Date:   Wed May 23 21:06:04 2012 +0200

    Add missing files to tarball
    
    Add a few missing files to generated tarballs.
    Fixes bug 1001213.
    
    Change-Id: Ie6ce3069e9e93aeb6be78bd2d90ad4f07ae56b3a

commit d2f04a2743009f406dad41968fc414e0a8784097
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed May 23 11:47:11 2012 -0700

    Remove unused imports in setup.py
    
    Change-Id: Ifb08695a8a9a264a3032ae09524e8b37fa0dd761

commit a92b01fe58b5a133c719f114106342e80279efb4
Author: Dan Prince <dprince@redhat.com>
Date:   Wed May 23 11:56:10 2012 -0400

    Adds sql_ config settings to glance-api.conf.
    
    The Glance v2 API makes use of the DB directly. As such
    we should include the sql_ configs in the default glance-api.conf
    file.
    
    Fixes LP Bug #1003504.
    
    Change-Id: I5e287dafcd65864f56789ae22bab3dcc6b353a47

commit 88f802027c4be007becb7dfbe6e1885990a07838
Author: Dan Prince <dprince@redhat.com>
Date:   Wed May 23 10:48:43 2012 -0400

    Correct format of schema-image.json.
    
    Correct the JSON format of schema-image.json. Fixes issues where
    glance-api won't start due to invalid JSON in this file.
    
    Fixes LP Bug #1003470.
    
    Change-Id: Ibacc49f2c45e233bd6ad25b3334e013acaae8339

commit 9462474c143a88914997206b2179f6020b8cb095
Merge: 407a4a6 1533e6d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 22 23:38:52 2012 +0000

    Merge "Fix paste to correctly deploy v2 API"

commit 1533e6d8b822b50f0017fb3348f80fae06fe3924
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue May 22 13:23:44 2012 -0700

    Fix paste to correctly deploy v2 API
    
    Corrects a typo where 'apiv1app' should be 'apiv2app'
    
    Change-Id: I4ef29f7539a572ed65422fd548e9718e86161b5f

commit 407a4a623f860ec2ae5e7ba6778f558d8a01431c
Author: Dan Prince <dprince@redhat.com>
Date:   Mon May 21 11:55:20 2012 -0400

    Add connection timeout to glance client.
    
    Adds a timeout option to glance client and bin/glance.
    Includes fast running test case to verify the timeout works correctly.
    
    Fixes LP Bug #1002907.
    
    Change-Id: I4a0c4a8ef1862346ec2cd068d9d9e0577cba9b68

commit c5a0b0086b1099ba4139ab0ae5beb98a58443477
Merge: 5ffdc74 71c98ae
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon May 21 21:19:30 2012 +0000

    Merge "Support DB auto-create suppression."

commit 3785ec8b4b5a0d4fbe2385b8cd21e7652c303b1a
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Sun May 20 20:41:04 2012 +0100

    Leave behind sqlite DB for red functional tests.
    
    We leave behind the sqlite DB for failing tests to aid in diagnosis,
    as the file size is relatively small and won't interfere with subsequent
    tests, as it's in a per-test directory (which is blown-away if the test
    is green).
    
    Change-Id: I90be433fc6f02234b1118a547ea0b5524238161d

commit 71c98ae8876b66964623713c2b3bc686ad1dca35
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Fri May 18 14:23:41 2012 +0100

    Support DB auto-create suppression.
    
    Adds a new boolean config option, db_auto_create, to allow the
    DB auto-creation be suppressed on demand. This defaults to True
    for now to maintain the pre-existing behaviour, but should be
    changed to False before the Folsom release.
    
    The 'glance-manage db_sync' command will now create the image*
    tables if the DB did not previously exist. The db_auto_create
    flag is irrelevant in that case.
    
    The @glance.tests.function.runs_sql annotation is now obsolete
    as the glance-api/registry services launched by functional tests
    must now all run against an on-disk sqlite instance (as opposed
    to in-memory, as this makes no sense when the DB tables are
    created in advance).
    
    Change-Id: I05fc6b3ca7691dfaf00bc75a0743c921c93b9694

commit 5ffdc74a8d6115dc14104a4cf5c259e638f3230b
Merge: 5c2cfa4 0252c18
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri May 18 19:53:29 2012 +0000

    Merge "Add credential quoting to Swift's StoreLocation."

commit 5c2cfa4e6bae9956c73857038b16e70df9e1c50e
Merge: 457bbfb dd81f12
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri May 18 19:26:17 2012 +0000

    Merge "Fix glance-api process leak in respawn storm test."

commit dd81f120fd68e136d21fe8f17eae0b3e4fba370d
Author: Dan Prince <dprince@redhat.com>
Date:   Thu May 17 15:14:38 2012 -0400

    Fix glance-api process leak in respawn storm test.
    
    Fixes a glance-api process leak that occurs when running
    TestMultiprocessing.test_interrupt_avoids_respawn_storm.
    
    The test code creates an array of pids sorted numerically sorted in
    reverse (largest to smallest) meaning the child pids should be at the
    top of the list. This patch simply grabs the child pids from the top of
    the list instead of relying on the length of the list.
    
    Fixes LP Bug #1000931.
    
    Change-Id: I91d538e686a770778d9855a1bd5a1767cc83842e

commit 457bbfbde4c4a6dc60792a85f133b288c7347337
Author: Mark Washenberger <mark.washenberger@rackspace.com>
Date:   Thu May 17 11:59:05 2012 -0400

    Stubout httplib to avoid actual http calls
    
    Fixes bug #1000828
    
    - Added some additional test code cleanup
    
    Change-Id: I0589aa22d8e4b835a1d8d72e47ba5d1ceb982aa8

commit 1c5d12c65aa6d013e505317fddd532778cdc2f98
Merge: 3f3124a 49a0f96
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 17 17:53:33 2012 +0000

    Merge "Backslash continuation removal (Glance folsom-1)"

commit 3f3124ac51d4773620763043374cb81436ba88f6
Merge: 77552aa 1306c63
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 17 17:15:15 2012 +0000

    Merge "Implement image visibility in v2 API"

commit 49a0f962f66d6c6ef297b03e2551c17b8572c7df
Author: Zhongyue Luo <lzyeval@gmail.com>
Date:   Fri Feb 10 23:29:33 2012 +0800

    Backslash continuation removal (Glance folsom-1)
    
    Fixes bug #1000636
    
    Removes backslash continuations (except sqlalchemy and mox related code)
    
    Change-Id: I08e6db28f157d67be9fc11ec02cc0844c006a6df

commit 77552aaac77b3e25b57a865b0643443d68a145ee
Merge: 25b8974 4c43461
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu May 17 00:23:34 2012 +0000

    Merge "Add min_ram and min_disk to bin/glance help."

commit 1306c63cbe8b6d20363502b1907d3a30e69d4eaa
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon May 14 17:30:18 2012 -0700

    Implement image visibility in v2 API
    
    * Add visibility attribute to images (aka is_public)
    * Implements bp api-v2-image-visibility
    
    Change-Id: I04e77c051769d0cc87fc632eef12f1a0aadf39a3

commit 25b89747a0b37830075fcaa8b01d527ac88fd93f
Merge: ef475e1 39d0023
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed May 16 19:56:15 2012 +0000

    Merge "Simplify JSON Schema validation in v2 API"

commit 4c434619d3937624da94d0a03153dec402256b19
Author: Mark Washenberger <mark.washenberger@rackspace.com>
Date:   Tue May 15 14:15:20 2012 -0400

    Add min_ram and min_disk to bin/glance help.
    
    The min_ram and min_disk fields are supported for both glance add and
    glance update, so this change adds a description of those fields to the
    glance help (add|update) comment fields.
    
    Change-Id: Ib6ca980e29ad7062eaaa10cde8705f9248d2e3b3

commit ef475e17d501a31523a7fabf067b0d3fc36b084c
Author: Joshua Harlow <harlowja@yahoo-inc.com>
Date:   Tue May 8 17:28:42 2012 -0700

    Implements blueprint import-dynamic-stores.
    
    Make glance more pluggable with regard to stores.
    
    Change-Id: I7b264d1b047a321f7b60857bb73154f831b82a7b

commit 0252c182cf535d4f9db1dc1c0df144430c39b1a1
Author: Maru Newby <mnewby@internap.com>
Date:   Thu May 3 16:09:52 2012 -0700

    Add credential quoting to Swift's StoreLocation.
    
     * Added credential quoting in glance.store.swift.StoreLocation
       to support usernames and passwords that contain '@' characters.
       Without quoting, '@' characters in credentials (e.g. using an
       email address as a username) would result in an exception being
       thrown by parse_uri.
     * Added a migration to support the change in location format.
     * Addresses bug 994296
    
    Change-Id: I92c4f4af914394aada1b4415a42f5a1308187dc4

commit b5bae3d040e38f76c066edc8644749e2149f0599
Merge: 6880a4e 1ca0a1a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 15 22:06:14 2012 +0000

    Merge "Combine v2 functional image tests"

commit 6880a4ecf68fc5c8d234144506a4667fae1e366e
Merge: 233b8ff fe3ae1d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 15 20:28:27 2012 +0000

    Merge "Update glance to pass properly tenant_name."

commit 1ca0a1a283c31bfee2ec699991bd3a07527e77f0
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon May 14 16:30:53 2012 -0700

    Combine v2 functional image tests
    
    Reverse the premature optimization of breaking up functional tests
    for images, tags, and access records
    
    Change-Id: I0e54c08b84403a1b1e62851c9fe8995f6dd5fa4d

commit 39d0023df3ebe03ce1917309babef3f86b95457d
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon May 14 15:18:50 2012 -0700

    Simplify JSON Schema validation in v2 API
    
    * Move validation into glance/schema.py
    * Related to bp api-v2-schemas
    
    Change-Id: Ic3114a1803ef994f5eb92327c8c6b65de2dc1ff0

commit 233b8ff70541cdcd059c8ef0e4d9dac7952adfb2
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu May 10 14:43:49 2012 -0700

    Expose deployer-specific properties in v2 API
    
    * Validate deployer-specific image attributes in requests
    * Don't validate data on serialization (yet)
    * Partially implements bp api-v2-schemas
    
    Change-Id: Ice5240f05cb8726423386657305381dbd6cfa6eb

commit 09ec351b34f01c2dc05f0afb059833d176b0805e
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu May 10 12:33:03 2012 -0700

    Test that v2 deserializers use custom schemas
    
    * Related to bp api-v2-schemas
    
    Change-Id: I82d0692af5196754738d3684a0f1ea116051dae8

commit 1bddaf429edf7806f2a53dd26574905759bdd203
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu May 10 10:12:02 2012 -0700

    Load schema properties when v2 API starts
    
    * Read properties from etc/schema-image.json and etc/schema-access.json
    * Gracefully handle the lack of custom schema property files
    * Partially implements bp api-v2-schemas
    
    Change-Id: Ida1a5afe48be9bce8a5d8faeeda9ed03848a4fd0

commit eee5fecdf6f2853acb0909d077878274cd2ecd7b
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri May 4 22:26:52 2012 -0700

    Support custom properties in schemas for v2 API
    
    * Add glance schema API (glance.schema:API)
    * Disallow custom properties that conflict with base properties
    * Implements bp api-v2-schemas
    
    Change-Id: Ibfa617cb5edf16627627debc30149669213d4b2d

commit 7553b4fcb69580c9cbed8c8944e2b5d70fe99048
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Fri May 11 16:17:16 2012 +0100

    Fix tiny format string nit in log message.
    
    Fixes bug 996157
    
    To avoid "ValueError: unsupported format character ':' ..."
    
    Change-Id: I8666b3441ccbea884dcd7ad54f019a0681b717b4

commit a857842368a92c241453561b378f8e00f7a92245
Author: Unmesh Gurjar <unmesh.gurjar@vertex.co.in>
Date:   Thu May 10 16:29:24 2012 +0530

    Fixes bug 997565.
    
    Modified the help text for 'add' image command.
    
    Change-Id: I32cbd36a3a4ef6368f9128ac0ab4a8efbd14ff2e

commit 7f761e16ce69ec549be1a66bd2797e53d0a1d988
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue May 8 15:39:00 2012 -0700

    Allow chunked image upload in v2 API
    
    * Related to bp api-v2-image-upload
    
    Change-Id: I728cdd28cab1d63d67cd7ad6c9d33535af4d5535

commit 2c102130ed8bd8e01fc1a4af8ea77555de6c2866
Author: Patrick Mezard <patrick@mezard.eu>
Date:   Sun May 6 14:49:48 2012 +0200

    wsgi: do not respawn on missing eventlet hub
    
    Eventlet 'poll' hub is not available on OSX, wsgi.Server workers have no
    chance to start but the error was not caught and they were respawned
    endlessly. This patch makes these workers not to be respawned.
    
    This has the nice side-effect of avoiding the test suite to get stuck in
    test_multiprocessing on OSX, filling syslog.
    
    Change-Id: I565d21f5c6861102e96d6953ace29cde57e8ec38

commit 28d85923fa561d3f7ba60cba6d9acbe346560386
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri May 4 10:15:50 2012 -0700

    Implement v2 API access resource
    
    * Add functional tests
    * Implements bp api-v2-image-access
    
    Change-Id: If62f4c0c9b387bb1f99306d68b18ad21f5f875d1

commit f9afe586b6c35d721bb63be47427d3fe955e03d2
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri May 4 14:22:12 2012 -0700

    Disallow image uploads in v2 API when data exists
    
    When data has already been uploaded for an image (determined by the existence
    of a location attribute), reject any subsequent requests to upload data with
    a 409 HTTP error code.
    
    * Related to bp api-v2-image-upload
    
    Change-Id: I0c4d2ebf548862ecb9c760bac9e96348f8377567

commit 793bb610050a19108fc5e178b8dfe4212a7d6dcc
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu May 3 20:10:50 2012 -0700

    Implement v2 API image tags
    
    * Add image_tags table and new db methods to manage it
    * Add appropriate API resource classes
    * Implements bp api-v2-image-tags
    
    Change-Id: I5f3748b15239de8da000e7b3ff537c1cfc8e2f0d

commit 5e85329ed10d8963bf05704e00ff142172fe7b44
Merge: e021c3a c1ea910
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 8 02:14:45 2012 +0000

    Merge "Implement image data upload/download for v2 API"

commit e021c3a37c47a65423e277b16d22feb104bd1be5
Merge: e54bc2b f879081
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon May 7 23:06:43 2012 +0000

    Merge "Use sdist cmdclass from openstack-common."

commit e54bc2bec2365897abd0c12d829cec366646b97a
Merge: e2981c8 f184a38
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon May 7 22:57:18 2012 +0000

    Merge "Return 204 from DELETE /v2/images/<image_id>"

commit e2981c82f8401bfef3e49fe7a9bb3a9c87b4d27f
Merge: 8b8debd 06821ea
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon May 7 22:39:26 2012 +0000

    Merge "Update noauth caching pipeline to use unauth-ctx."

commit 8b8debdc124752418c43fd3f2fbeb3294f66eab9
Merge: db86220 eccfcdc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon May 7 22:21:01 2012 +0000

    Merge "glance-api: separate exit status from message"

commit db86220abb0861ccb58fb6af57a262c734a18d6e
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Tue May 1 10:30:03 2012 +0100

    Use ConfigOpts.find_file() for policy and paste
    
    Use cfg's new helper method to find the PasteDeploy and policy config
    files. The basic behavior is "look alongside the config file" with a
    fall back to the standard default config paths.
    
    In the fairly obscure case where no --config-file is found we use an
    explicit default paste file taking to account the fact that all the
    glance apps have their paste config in a single file.
    
    Add some new debug logging to make it easier to see which config files
    are being loaded.
    
    Fixes bug 992319
    
    Change-Id: I978c4a8cb6ec6d12aaf746af511ccb572c34b7ee

commit c1ea910bc501643e53bbb2401a62c3482d667c06
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu May 3 15:05:13 2012 -0700

    Implement image data upload/download for v2 API
    
    * Add the ImageDataController to handle upload/download of image data
    * Expose file link in image entities
    * Implements bp api-v2-image-upload
    
    Change-Id: Id3618bd292b61cd5eedf48a034fa66fd80917b72

commit f879081427f265be4310b3067152615b02ecbfee
Author: Monty Taylor <mordred@inaugust.com>
Date:   Sat May 5 12:04:39 2012 -0700

    Use sdist cmdclass from openstack-common.
    
    Change-Id: I6f970cb61929d32fa121c1bc1209fc1fef1d572d

commit eccfcdcd9e30b775cce5c4e96224392ea6f0ede4
Author: Patrick Mezard <patrick@mezard.eu>
Date:   Sun May 6 14:07:52 2012 +0200

    glance-api: separate exit status from message
    
    This will be useful to tell regular failures from child unexpected
    terminations.
    
    Change-Id: I3fdf02558d8bdd8be6487edc20059e0e8a0e50b8

commit 06821eaff2670d9f8c8a0a5be20302d1028dc2a2
Author: Dan Prince <dprince@redhat.com>
Date:   Sat May 5 22:09:19 2012 -0400

    Update noauth caching pipeline to use unauth-ctx.
    
    Updates the noauth version of the caching pipeline to use
    unauthenticated-context.
    
    Fixes LP Bug #995323.
    
    Change-Id: Id83be95f582a4a6ebe47dbeddc8101a51988e05e

commit 6d15a2debb00ee4709ed8df582915501316b1ec3
Merge: 6e65bf9 59aa1ef
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat May 5 20:10:35 2012 +0000

    Merge "Add /v2 to sample glance-api-paste.ini"

commit f184a386271b8305023c90186244a370727b2535
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Sat May 5 19:59:05 2012 +0100

    Return 204 from DELETE /v2/images/<image_id>
    
    Fix bug 995224
    
    The v2 API design and normal RESTful idiom would suggest that a
    204 No Content status is more appropriate than 200 OK.
    
    Change-Id: Ic5ae3ffa22eafdec0f780d16cceb8ce45c84c854

commit 6e65bf9f077479460a441d8b79624d860970359b
Merge: 3f3da92 8bd40b7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri May 4 19:11:00 2012 +0000

    Merge "Add localization catalog and initial po files to Glance. Fix bug 706449."

commit 3f3da929f62f483dacb4efa60fe8519728934fb7
Merge: 4f21169 bcb6089
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri May 4 19:01:33 2012 +0000

    Merge "Convert glance to glance/openstack/common/setup.py"

commit 8bd40b7b5a12b8eee5edac224ed5a8a50370faba
Author: ZHANG Hua <zhuadl@cn.ibm.com>
Date:   Thu Apr 26 17:54:03 2012 +0800

    Add localization catalog and initial po files to Glance.
    Fix bug 706449.
    
    Change-Id: I5e8e0ff0161d9db0253db12284cce347aacbac5f

commit 59aa1ef2a7b35ae80a8c50808b24c3564db9caa6
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu May 3 17:52:25 2012 -0700

    Add /v2 to sample glance-api-paste.ini
    
    * Related to bp api-2
    
    Change-Id: I147624128bea7e0ca84c1673857b227f0590ec78

commit 4f2116937a9a5408358855343b51f3fd02042c48
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Apr 24 17:14:28 2012 -0700

    Basic functionality of v2 /images resource
    
    * Implement create, upate, and delete actions for images
    * Adds a basic functional test
    * Add all /images url routes
    * Implements bp api-v2-images
    
    Change-Id: Ib9b16c443730943557f555b4aa9ce63840ff8e17

commit eb4aaa97bd1e1c7e541a0ad109fb23dfee0f9c9d
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue May 1 15:41:06 2012 -0700

    Split noauth context middleware into new class
    
    Use UnauthenticatedContextMiddleware in the case that you want to deploy
    without an auth service. ContextMiddleware is now solely for authenticated
    requests.
    
    * Rewrite ownership tests for adding/updating images through the v1 API
    * Fixes bug 992859
    
    Change-Id: I608671aac8300c9195769542708708afda991e04

commit 64ab035f9615e67ce382c9eaf232608d9c5cd8fd
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Fri Apr 27 10:45:22 2012 +0100

    Add -c|--coverage option to run_tests.sh
    
    A convenience for generating coverage metrics. Might make it
    more likely that developers will review the coverage stats more
    often, to identify pre-existing blackspots and avoid proposing
    under-tested new code.
    
    Change-Id: Iecd10ec529dd6e93d18a6763bf36667402640881

commit 90609a35fca063675076f2b75eb4dda4f9ab58d3
Merge: f0a0c4a 6e29b0b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed May 2 22:30:44 2012 +0000

    Merge "Support for directory source of config files"

commit bcb6089733c334edf35edca2e61338fc7f5ef6e3
Author: Chuck Short <chuck.short@canonical.com>
Date:   Tue Apr 24 09:21:48 2012 -0400

    Convert glance to glance/openstack/common/setup.py
    
    Convert glance to use glance/openstack/common/setup.py
    to write the changelog.
    
    Change-Id: Ibadec15d7e530149cf62cd00d63c06bf63cf53bb
    Signed-off-by: Chuck Short <chuck.short@canonical.com>

commit fe3ae1d73b643c99987eaddb084ed094901cde8d
Author: Chmouel Boudjnah <chmouel@chmouel.com>
Date:   Fri Apr 13 16:44:33 2012 +0000

    Update glance to pass properly tenant_name.
    
    - Update glance with the latest changes in swift.common.client.
    - Use 5000 for port.
    - Properly test v2 in tests.
    - Fixes bug 980196.
    - Test swift against a specific stable version like for keystone.
    
    Change-Id: Iaff536efc92e78e51d8042010ce0eb407c4a71b2

commit f0a0c4a00067b1353fe7f1c677c28458e93297b3
Author: Joe Gordon <jogo@cloudscaling.com>
Date:   Tue May 1 15:38:07 2012 -0700

    Cleanup authtoken examples
    
    * remove auth_uri - do not need when set auth_port, auth_host, auth_protocol
    * remove servce_*  variables - not needed in new keystone
    * update associated documentation
    
    Change-Id: I9bf7d53f7d62371848645a242ae63f77b42319db

commit 6e29b0bd6d3be1af051a5e6615b286dcc60457fb
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Mon Apr 23 20:11:51 2012 +0100

    Support for directory source of config files
    
    Allow multiple config files to be pulled in from a config directory,
    as opposed to individual config files being explicitly enumerated.
    
    This logic is enabled using the --config-dir=/path/to/config CLI option,
    causing config to be retrived from all matching /path/to/config/*.conf
    files.
    
    Sections may be re-opened across config files, and all config items
    must reside in an explicitly specified section (i.e. it does not default
    to [DEFAULT]). This behavior is unchanged.
    
    The common elements of this patch (i.e. not specific to the
    glance-specific location of paste.ini files) have landed in
    to openstack-common as:
    
      https://github.com/openstack/openstack-common/commit/fd8c2e7c
    
    Change-Id: I3b659f1837c082bd1a78fe860a468f9d68f0f132

commit bdcb63d46d6a1eeff0ac6b89226043df5024c4d9
Merge: fb71028 f4ce37b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 1 15:20:12 2012 +0000

    Merge "Auto generate AUTHORS file for glance."

commit fb710288707a8d46cbe898d1b40810d2907e448f
Author: Dan Prince <dprince@redhat.com>
Date:   Tue May 1 09:42:16 2012 -0400

    Support conf from URL's with versions.
    
    Adjusts our version match regex so that it detects URL's
    which already have version's in them that start with
    a '/'.
    
    For example: '/v1'
    
    Fixes LP Bug #992600.
    
    Change-Id: I331e945c46757a01a4dd939b2098e68334b27530

commit f4ce37b9c23cb09b5e4e07c0af5bae7a65f6cc04
Author: Bhuvan Arumugam <bhuvan@apache.org>
Date:   Fri Apr 20 23:37:28 2012 -0700

    Auto generate AUTHORS file for glance.
    
    Bug: 976267
    
    Now that git commits are gated by CLA, we shouldn't enforce
    committers to add an entry in AUTHORS file. The AUTHORS file
    should be generated automatically, based on git commits.
    
    This commit fixes the problem.
    
    * Authors
      Remove this file. To be consistent with other projects,
      the new file AUTHORS is generated automatically.
    
    * .gitignore
      Add AUTHORS file.
    
    * glance/common/setup.py
      generate_authors(): New method to create AUTHORS file. If
      AUTHORS.in file exists, append it's content to AUTHORS file.
    
    * setup.py
      Import the new method.
      local_sdist.run(): Generate AUTHORS file before creating the
      package.
    
    * MANIFEST.in
      s/Authors/AUTHORS
    
    * glance/tests/unit/test_misc.py
      AuthorsTestCase: Remove this class that test an entry in
      Authors file.
      parse_mailmap(), str_dict_replace(): Remove these methods.
    
    Change-Id: If83c3fe9b2142342ac11cc019bc24926f52ee753

commit c1053b233e637a481e70453f4e6f5915deb4d620
Merge: 8b23d4f 60ab521
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue May 1 00:43:53 2012 +0000

    Merge "Fixes LP #992096 - Ensure version in URL"

commit 8b23d4faafeb5819e5b3db1e8f1970b7d434bf2f
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Apr 24 11:30:21 2012 -0700

    Integrate openstack-common using update.py
    
    * Update all cfg and setup imports to point to new location
    * Fixes bug 987968
    
    Change-Id: If2fbf126e0b241e80ee59fa4e43bb5af6eb879a8

commit 60ab521b01b4f653655eecd8ba2e561a7bbdf0c9
Author: Jay Pipes <jaypipes@gmail.com>
Date:   Mon Apr 30 14:38:51 2012 -0400

    Fixes LP #992096 - Ensure version in URL
    
    * Documents the configure_via_auth parameter
    * Ensures that if configure_via_auth is used (the default), that
      if the management_url that is returned does not contain a version
      identifier, the client class' DEFAULT_DOC_ROOT is appended
      appropriately.
    * Adds some log debugging statements into the base client class so
      that the URL being configured/constructed is more easily identifiable
    
    Change-Id: I307a24231b59f7a183ed669f679976cc3f8ec21c

commit 621c392240ebda86a3602a87b1d72016ae85351d
Merge: 5c446d0 bd305fa
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Apr 27 01:19:41 2012 +0000

    Merge "Merge registry context with common context"

commit bd305fa07b356365a54e419a4d63f71d798850ce
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Apr 24 20:35:41 2012 -0700

    Merge registry context with common context
    
    Pull the extra methods defined in glance.registry.context:RequestContext into
    glance.common.context:RequestContext. This is necessary as the new v2 API
    implementation talks directly to the database.
    
    * Partially implements bp api-2
    
    Change-Id: Ia8c1fde511bdca69be0dcf61ce12976ace5f7dc3

commit 5c446d063a7d1e468644a53dc310e9bbc07ae4e7
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sun Apr 22 19:51:48 2012 -0700

    Begin functional testing of v2 API
    
    * Ensure the schemas resource functionally works
    * Partially implements bp api-2
    
    Change-Id: I0bedda0276e0ae3a648d425030c434be9c1eb1b6

commit ba939295e3a5b79c1856b2d60800874fe5479e01
Merge: bfb00b1 223fbee
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 24 18:52:47 2012 +0000

    Merge "Omit Content-Length on chunked transfer"

commit bfb00b1547c7a2b7c9cf7692a47a8f6178404237
Merge: 5bed23c c449d76
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 24 18:10:24 2012 +0000

    Merge "Fixes LP #978119 - cachemanagement w/o keystone"

commit c449d76ff2e19fecf46f0830cefbc3255a29fb1c
Author: Jay Pipes <jaypipes@gmail.com>
Date:   Tue Apr 24 13:06:44 2012 -0400

    Fixes LP #978119 - cachemanagement w/o keystone
    
    Removes section of glance-api-paste.ini that refers to
    an improper cachemanagement middleware without keystone
    
    Change-Id: I86a1a84aac16a8345b06ce83562f4508b49dac10

commit 223fbee49a55691504623fa691bbb3e48048d5f3
Author: Mike Lundy <mike@pistoncloud.com>
Date:   Fri Apr 13 19:53:16 2012 -0700

    Omit Content-Length on chunked transfer
    
    Content-Length and Transfer-Encoding conflict according to the HTTP
    spec. This fixes bug 981332.
    
    This also adds the ability to test both the sendfile-present and
    sendfile-absent codepaths; the sendfile-present test will be skipped on
    sendfile-absent platforms.
    
    Change-Id: Ibb017b4a43d89ffdb6b868648296603cfec7780d

commit 5bed23cbc962d3c6503f0ff93e6d1e326efbd49d
Author: Russell Bryant <rbryant@redhat.com>
Date:   Tue Apr 24 12:24:39 2012 -0400

    Fix content type for qpid notifier.
    
    Fix bug 980872.
    
    This patch fixes a regression I introduced in
    2d36facf14f4eb2742ba46274e04a73b5231aece.  In that patch, I adjusted the
    content_type for messages sent with the qpid notifier to be
    'application/json' to match a change that went into the kombu notifier.
    Unfortunately, it's wrong.
    
    I assumed based on the kombu change that notifications were being json
    encoded before being passed into the notification driver.  That's not
    the case.  The message is a dict.  So, just revert the change to set the
    content_type and let Qpid encode the notification as 'amqp/map'.
    
    Change-Id: Iea027409f6200109b97fed93073cff84bc915536

commit a9fb22483d9ebc08320dcf9019861ecd2e1feb63
Merge: 1a275d4 3a81aa9
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 24 15:38:26 2012 +0000

    Merge "Remove __init__.py from locale dir"

commit 1a275d4fa284571a337043b425192b10a06c457a
Merge: 0aa0341 3de99a1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 24 09:49:13 2012 +0000

    Merge "Fix i18n in glance.notifier.notify_kombu"

commit 0aa03410282f32060f40df6cf2e7e6f208f36fd6
Merge: e4bfe50 39e6529
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 24 02:18:57 2012 +0000

    Merge "Add a space to fix minor typo in glance help."

commit e4bfe5020d5426b9d2def07f28c034054fda87e7
Merge: df28738 0e10519
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Apr 24 02:08:43 2012 +0000

    Merge "Suppress pagination on non-tty glance index."

commit 3a81aa9fe2fd97563627a606f7eb95170ec005e4
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Apr 23 09:40:55 2012 -0700

    Remove __init__.py from locale dir
    
    Previously, the __init__.py indicated that we have a custom locale package,
    preventing imports of the locale package that ships with python itself.
    
    * Fixes bug 977021
    
    Change-Id: Id4921a1efd1a223790cc8b52917d00b387e9cba6

commit 3de99a1831ce8550e70dc6b0f96051578b61e1e7
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sun Apr 22 22:21:53 2012 -0700

    Fix i18n in glance.notifier.notify_kombu
    
    * Fixes bug 983829
    
    Change-Id: Ibc5ec12e97e69797d1952c020c3091f42480abec

commit df28738d1f693d5ae35d75dfcdad41706a012230
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sun Apr 22 20:31:00 2012 -0700

    Override OS_AUTH_URL when running functional tests
    
    * Fixes bug 985671
    
    Change-Id: Ie4f4c13846de727647abe168aeb193a93f03e0bf

commit ca84ec7d5550c0978ac80fad7972e77c1c971107
Author: Ionuț Arțăriși <iartarisi@suse.cz>
Date:   Thu Apr 19 14:16:45 2012 +0300

    remove superfluous 'pass'
    
    Change-Id: Icf959c47a0d63ed1805151a144b99623efc0a1ac

commit 6cc4b8ea2d4642ed0f2167abd6c0ebedd65853c1
Author: Yaguang Tang <heut2008@gmail.com>
Date:   Sun Apr 15 11:53:55 2012 +0800

    fix bug lp:980892,update glance doc.
    
    Change-Id: I5b231421be4dbb38a3af45783543bef50b74c09c

commit 39e652955096474819b6f940561aef4122576458
Author: Matthias Schmitz <matthias@sigxcpu.org>
Date:   Fri Apr 13 20:36:53 2012 +0200

    Add a space to fix minor typo in glance help.
    
    * Add space to fix minor typo in glance help.
    * Add myself to Authors as adviced in the review process.
    
    Change-Id: I9a656e5fce7184605eca98102f9f39a8799c84de

commit 0e105198063d1365a2147d83c85453f21646e333
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Wed Apr 11 11:40:08 2012 +0100

    Suppress pagination on non-tty glance index.
    
    Fixes bug 978610.
    
    Avoid the 'Fetch next page? [Y/n]' prompt interfering with
    redirected output.
    
    The native glance CLI will soon be superceeded by the new
    python-glanceclient, however this patch could still be useful
    to propogate from master to the stable diablo/essex branches.
    
    Change-Id: I16bc6156d7c7e9ed27aabcaa51211060ec24a824

commit 05a6124ea2fb48494d5c0b50a4917ad42b470052
Merge: c34bf10 5182c1e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Apr 12 18:22:14 2012 +0000

    Merge "API v2 controller/serialization separation"

commit c34bf105443a2b064817913b516529773bc3217a
Merge: 38a797d e4d04f5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Apr 12 16:00:05 2012 +0000

    Merge "012_id_to_uuid: Also convert ramdisk + kernel ids"

commit 38a797d1f1392935a40c7afa9b65bb000f1c0575
Merge: 542cca1 93013cc
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Apr 12 15:16:46 2012 +0000

    Merge "Kill glance-api child workers on SIGINT"

commit 542cca173369ea0bf490f45c0a18261f9827ebc3
Merge: fa82103 936b6a6
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Apr 12 15:03:14 2012 +0000

    Merge "add postgresql support to test_migrations"

commit 93013cc5d5d3ab1a574e3110f80ff63f2ff76674
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Wed Apr 11 17:44:07 2012 +0100

    Kill glance-api child workers on SIGINT
    
    Fixes bug 978130
    
    Previously glance-api configured to run multiple child
    workers went in a respawn tail-spin when the parent is
    interrupted with crtl+c.
    
    This is now avoided by terminating the process group when
    SIGINT is received, in the same way as SIGTERM is handled.
    
    Change-Id: Ieca90f45e07cc3645a997bba493e0b9a9f08a470

commit fa82103f1cdb9bb26473df3a4ee9ddc077c0541e
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Thu Apr 12 11:27:18 2012 +0100

    Ensure swift auth URL includes trailing slash
    
    Fixes bug 979745
    
    Image objects in swift were previously leaked post-deletion
    due to a silent auth failure caused by the absense of the
    trailing forward slash on the swift connection auth URL.
    
    Change-Id: I9c73a2f75a6466e73801ababdd81db77701ccb20

commit 936b6a6e24b6b0678e54a3cebb2aefd6a0c7cdae
Author: J. Daniel Schmidt <jdsn@suse.de>
Date:   Wed Apr 11 16:11:04 2012 +0200

    add postgresql support to test_migrations
    
    fixes bug 908180
    
    Change-Id: Ic8afdfb3bce4c40c8cb47664dae053ec5e40d03c

commit e4d04f50adc2426f08872b0cececfe48f1d18683
Author: Adam Gandelman <adamg@canonical.com>
Date:   Fri Apr 6 20:59:39 2012 -0700

    012_id_to_uuid: Also convert ramdisk + kernel ids
    
    The original migration converts numerical IDs to UUIDs.  It updates
    image_members and image_properties that reference image_id, but stops
    short of updating actual properties that reference the new UUIDs,
    specifically kernel_ids and ramdisk_ids.  This breaks launching
    of instances in Nova whos images are associated with a kernel and/or rd.
    
    Also, this fixes an issue when migrating against non-sqlite
    databases where the actual conversion is executed twice.
    
    Fixes bug 975655
    Fixes bug 975651
    
    Update: Only update kernel_ids and ramdisk_ids in image_properties
            when converting to UUIDs
    
    Change-Id: I76ecabc5ee266e2e9765740721e8ec1722cc5a7c

commit f8766a8fb54bd91077ebfcdc546b1513e7604275
Merge: e400677 b8ce9ca
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Apr 11 19:33:37 2012 +0000

    Merge "search for logger in PATH"

commit 5182c1eb21c28a61d0a43a4f4615073470bcd0a5
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Apr 10 21:53:28 2012 -0700

    API v2 controller/serialization separation
    
    * images and access are now separated into deserializers, controllers, and serializers
    * now using schemas to valide incoming requests
    * adding create methods for image access
    * removing ImageNotFound as it was only being generated by fakes, using NotFound until the backend is updated
    
    Change-Id: Ida3c1b117ee0147e818b74518e84ef9101cbdfc3

commit b8ce9caab211004555da3642ab6fb0b40bb85f9e
Author: J. Daniel Schmidt <jdsn@suse.de>
Date:   Wed Apr 11 15:19:55 2012 +0200

    search for logger in PATH
    
    fixes bug 978907
    
    Change-Id: I16a20982cc90f3857e20ab23e2b3f5d1aa2722a0

commit e4006778db0aa75da1958d0d59340e1d553e8c85
Author: Dan Prince <dprince@redhat.com>
Date:   Wed Apr 11 11:20:11 2012 -0400

    Set install_requires in setup.py.
    
    Inline shared version of setup.py from openstack-common. This can
    be removed once projects switch over to use the shared version.
    
    Updates setup.py so that it sets install_requires and dependency_links.
    
    Fixes issues where pip installing glance doesn't properly install
    dependencies.
    
    Fixes LP Bug #975483.
    
    Change-Id: I5a10b311cfde2fda4d4dac341dd866f868b72d0d

commit fc816ee0298de8abf0e0dc08b7c9505fb95c5824
Merge: 9327502 86eb836
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Apr 11 15:17:11 2012 +0000

    Merge "Minor grammar corrections."

commit 9327502f58ce1d7e869d953416dfff134fccc887
Merge: 4255bbf d15ec03
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Apr 11 14:42:01 2012 +0000

    Merge "Skip test depending on sqlite3 if unavailable"

commit 86eb83668511083298e6f5ecfcc80e395277e452
Author: Paul McMillan <paul.mcmillan@nebula.com>
Date:   Tue Apr 10 12:52:56 2012 -0700

    Minor grammar corrections.
    
    Fix its/it's, clarify a few other wordings.
    
    Change-Id: I4459e72e79caf84f4c69378cf20f7c443cf48b97

commit 4255bbfb2ee80abdca9c9858a7076bf4b52180be
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Mar 28 08:33:39 2012 -0700

    Bootstrapping v2 Image API implementation
    
    * Adding barebones of images, access, schema, and root resources
    * Greatly simplify version negotiation middleware
    * Partially implements bp api-2
    
    Change-Id: I3ae72354d7ec7f3766aec164d305c52e7315200d

commit 6999c60d775ba1b2d35d0399f236d46b10d4fe0a
Merge: f0a0b1d 4e35808
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Apr 9 14:54:04 2012 +0000

    Merge "Fix db migration 12"

commit f0a0b1d8132a03fac959da2127853eb89b80b340
Merge: 0411fd2 35ed310
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Apr 9 04:07:43 2012 +0000

    Merge "Reorganize pipelines for multiple api versions"

commit 4e35808f94db8c17a20608e137e2940195821fac
Author: Sam Morrison <sorrison@gmail.com>
Date:   Mon Apr 2 11:22:10 2012 +1000

    Fix db migration 12
    
    * fix bug 976908
    
    Change-Id: I0248f825396d08688238e6d2ef37c8fcb49e8c9d

commit 0411fd29af3cebbc053709b79914286c16ec067b
Author: Josh Kearney <josh@jk0.org>
Date:   Thu Apr 5 17:52:34 2012 -0500

    Remove unused imports.
    
    Change-Id: I9d602ed429caff8ffb00e40f623c473c5425e1cc

commit 35ed3105552cf6c182c76b6f13f719bfe7eb596b
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Mar 27 19:18:50 2012 -0700

    Reorganize pipelines for multiple api versions
    
    * Partially implements bp api-2
    
    Change-Id: Ie942c54e0ba294da661de870a95d685a9b8966de

commit d15ec03e5d6daf135dfcd9387122f5ade9b4a44c
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Thu Apr 5 09:29:01 2012 +0100

    Skip test depending on sqlite3 if unavailable
    
    Fixes bug 973626
    
    Add @depends_on_exe to declare a test dependency on the availability
    of an executable.
    
    Skip TestSqlite.test_big_int_mapping if sqlite3 not available on the
    local PATH.
    
    Change-Id: I1b7cf0636f79422f9f31f6a88a493791897a53b4

commit 8e9e0cadaf8ce246861cf661cd4927ba7480484a
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Tue Apr 3 11:22:07 2012 +0100

    Defaulted amazon disk & container formats
    
    Fixes bug 972014
    
    Default unset disk/container format to the corresponding container/disk
    format, where the latter is an amazon format requiring a strict match.
    
    Change-Id: I147df146940a21c368e95901343f36e1e3b7495b

commit f6bdb110c0f3bfa8297b4e75f3708719c04f85e2
Merge: f4d30e7 f28f16a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Apr 2 20:30:37 2012 +0000

    Merge "Compile BigInteger to INTEGER for sqlite"

commit f28f16a750ad134fad2ff663680b149ce77e31c9
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Mon Apr 2 18:55:35 2012 +0100

    Compile BigInteger to INTEGER for sqlite
    
    Fixes bug 966243
    
    Ensure BigInteger does not map to BIGINT for an auto-created
    sqlite registry DB, as this type is not supported by sqlite.
    
    Change-Id: I61f44fbe50ea406d2d593f8f53cab5da3af2222a

commit f4d30e76e68c9934c9035c62fb566802d5519353
Merge: 47af007 fea599e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Apr 2 16:18:44 2012 +0000

    Merge "Updated RST docs on containers, fewer references to OVF format."

commit 47af0073aed4035a8c8796811cc6022161c74457
Merge: 5eddae2 6999834
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Apr 2 16:10:36 2012 +0000

    Merge "Publish v2 in versions responses"

commit fea599efcc0dadc87869aee012c7b1da1f7e26ab
Author: Lorin Hochstein <lorin@nimbisservices.com>
Date:   Sun Apr 1 11:39:53 2012 -0400

    Updated RST docs on containers, fewer references to OVF format.
    
    Updated the RST documentation that discusses container formats, since they
    aren't really used right now.
    
    Changed some examples from ovf to bare, since in most cases, users just upload
    a bare image file.
    
    Change-Id: I844d7827c3de4df6cdddb9b963cc2f236a3e6767

commit 5eddae290dae6efc7c71cdbb35a3b76d37266451
Author: Bernhard M. Wiedemann <bwiedemann@suse.de>
Date:   Fri Mar 30 17:31:53 2012 +0200

    rename the right index
    
    fixes bug 953159
    This did not affect sqlite and mysql, because those can not rename indexes
    and thus used a separate sql file to drop and create the right one.
    
    Change-Id: Iab80a65464a591b732ecce4c00d04df50624e912

commit 257be28b8c77bd1fa3e402d2bd2f5ee67ac4e60e
Merge: 403afc5 0dc093b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 30 09:56:00 2012 +0000

    Merge "Add MySQLPingListener() back"

commit 403afc528658702bb1aff681e43e9f628a31475c
Merge: 1df78db 308642e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 30 01:40:45 2012 +0000

    Merge "Test coverage for update of image ownership"

commit 1df78db43fe27c808aade4e9dc5bc4ed33efb7de
Merge: a17f7de 4955b46
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 30 01:31:48 2012 +0000

    Merge "Run version_control after auto-creating the DB"

commit a17f7deeb5e6ab5eeb05108644d4a96fcf26dde6
Merge: c8a6bf4 da66de0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 29 22:18:34 2012 +0000

    Merge "Allow specifying the current version in 'glance-manage version_control'"

commit c8a6bf45b1cf34a5b61ab1aedb287771426aaf94
Merge: f439f41 8b7a830
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 29 18:02:24 2012 +0000

    Merge "Reject excessively long image names."

commit f439f412855227bdaaf89fef16ba5bbceb954415
Merge: 9fd589c 633f831
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 29 17:53:52 2012 +0000

    Merge "Add support for auth version 2."

commit 8b7a830c047e112b3004f4949a5b857371368508
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Thu Mar 29 17:39:11 2012 +0100

    Reject excessively long image names.
    
    Fixes bug 966240
    
    Image names longer than 255 characters are rejected with 400 BadRequest
    on creation or update.
    
    Change-Id: I460ffee547496829cbf198b50bca564978abe7f3

commit 308642e4a3fafa17b80d0e9227b9c9f92ccd18a5
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Thu Mar 29 11:23:50 2012 +0100

    Test coverage for update of image ownership
    
    Assert the expected behaviour occurs for update of image ownership
    by admin (success) and non-admin users (fails with 403 Forbidden).
    
    Change-Id: I1895f6a30c3c50526955c2fc131c8c3b0817d365

commit 0dc093b98faf8e256ddc48f9dafb4d061662f0e3
Author: Adam Gandelman <adamg@canonical.com>
Date:   Wed Mar 28 17:08:13 2012 -0700

    Add MySQLPingListener() back
    
    The use of wrap_db() to catch low-level problems in the connection
    pool appears to be incompatible with new versions of sqlalchemy
    (0.7.4/precise).  This re-instates the use of a event listener to
    catch the error of 'mysql has gone away'.  Keeps the wrapping
    logic in place for use before the connection pool has been constructed,
    specifically to allow glance to retry its initial database connection on
    service startup.
    
    Fixes bug 967887
    
    Change-Id: Ia732377d3404104b8acf7fe4ada164ec7ecf705f

commit 9fd589c869dbfefd76af135ed16365ae5bdda954
Merge: 622901d f0a9f97
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 28 08:52:02 2012 +0000

    Merge "Allow yes-like values to be interpreted as bool"

commit 633f83109f0e6185f6960912565194436b2aaf3f
Author: Juerg Haefliger <juerg.haefliger@hp.com>
Date:   Tue Mar 27 08:29:58 2012 +0200

    Add support for auth version 2.
    
    Implements version 2 authentication for the Swift backend.
    Fixes bug 944946.
    
    Change-Id: I614ad03374a2e31a945f12fb9588947022203f1f

commit 4955b4617fa6ad41cc10cc126da4cfc3655f1b9d
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Tue Mar 27 15:03:06 2012 +0100

    Run version_control after auto-creating the DB
    
    Fixes bug #966241
    
    Currently, we auto-create an unversioned DB. This makes it awkward to
    later upgrade it, especially since our 'glance-manage version_control'
    command doesn't support retroactively versiioning it.
    
    This is easily avoided by running version_control() after creating the
    DB.
    
    Change-Id: I935c06fcbcd3611c65d464850ca05445129f905f

commit da66de06763dd872f139491930cf1deb6a723b06
Author: Mark McLoughlin <markmc@redhat.com>
Date:   Tue Mar 27 12:23:47 2012 +0100

    Allow specifying the current version in 'glance-manage version_control'
    
    Fixes bug #966242
    
    The version_control command is a bit useless since you can't actually
    specify what version to  use and it defaults to version=0.
    
    Allow the user to specify a version:
    
      $> glance-manage version_control 9 # set the diablo version
    
    and default to the latest version if none is specified.
    
    Also, allow db_sync to be supplied a version for the case where we're
    upgrading an unversioned DB.
    
    Finally, re-work the argument handling in glance-manage to more easily
    handle optional args.
    
    The tests are extended to test using db_sync for upgrades and to test
    placing an existing database under version control.
    
    Change-Id: I231dc710554198bfd1fdcb82c3c3768963f64bd8

commit 69998343f38b744a6adca77c83a45b3a87d2c7c6
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Mar 27 19:18:50 2012 -0700

    Publish v2 in versions responses
    
    * v2 is EXPERIMENTAL for now, as there is no actual implementation
    * Partially implements bp api-2
    
    Change-Id: Ie942c54e0ba294da661de870a95d685a9b8966df

commit 622901d725a379d81ff878035567c2f45f14f0a1
Merge: 9e7dc21 12757d7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 27 22:38:28 2012 +0000

    Merge "Ensure functional db connection in configure_db()"

commit f0a9f97bfaf367497a86d283b10a31bd72f79524
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Mar 27 09:44:49 2012 -0700

    Allow yes-like values to be interpreted as bool
    
    * Accept 'YES', 'yes', 'Y' and 'y'
    * Remove duplicate function bool_from_header_value
    * Fixes bug 965563
    
    Change-Id: I593a50117fd339a8ab281a8daad734770ca9960c

commit 9e7dc210fcf0126b131b7390b6c4c5ee44e302e1
Merge: 9e784cd 6005cb7
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 27 15:43:48 2012 +0000

    Merge "Support owner paramater to glance add"

commit 6005cb7e41408912b5ae56d5f23859bcfb217969
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Fri Mar 23 11:32:10 2012 +0000

    Support owner paramater to glance add
    
    Fixes bug 962998
    
    Allow the owner to specified as a first class image attribute
    when creating a new image via the CLI, as it is currently for
    image update.
    
    Also added a simple fakeauth pipeline to allow the user, tenant
    and admin status of API requests to be easily controlled by
    functional tests.
    
    Change-Id: I0f83d55d4a96ad3632fb238ad1758ec3f00ed3fd

commit 9e784cd5312e10d7a2be38224354f3a34f34eab3
Merge: 98405b2 12098c1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 26 16:38:54 2012 +0000

    Merge "Adding versioned namespaces in test dir"

commit 12098c15962ac85df738ef1e5152a77bcd62c6a5
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Sun Mar 25 13:13:43 2012 -0700

    Adding versioned namespaces in test dir
    
    This is being done in preparation for the v2 API.
    
    Change-Id: Ie2fc4df77740b6d1cd629a21942850fd24eb7d60

commit 98405b2a1f88b1ac68746b16d59fd8f5a98f9814
Author: Bhuvan Arumugam <bhuvan@apache.org>
Date:   Wed Mar 21 16:21:39 2012 -0700

    Typo.
    
    * doc/source/configuring.rst
      Fix typo.
    
    * Authors
      Add my name in this file.
    
    Change-Id: I23cea08560a02897c85d031bd0f16f22d7d84db0

commit 12757d70fe6cf0d0fe6e46c5ee09a4f4d3efbd49
Author: Adam Gandelman <adamg@canonical.com>
Date:   Fri Mar 23 18:23:54 2012 -0700

    Ensure functional db connection in configure_db()
    
    During initial database setup, ensure we can physically connect
    to the database and allow a failed connection to make use of the
    new retry mechanism instead of registry startup failing outright.
    
    Fixes lp bug #959426.
    
    Change-Id: I1c87b19913c4204465e5d2027f2f184f0f358fd0

commit 2d36facf14f4eb2742ba46274e04a73b5231aece
Author: Russell Bryant <rbryant@redhat.com>
Date:   Fri Mar 23 08:55:28 2012 -0400

    Set content_type for messages in Qpid notifier.
    
    Fix bug 963050.
    
    This patch is the Qpid equivalent for a patch that just went in for the
    rabbit/kombu notifier.  Glance encodes the message in json format before
    passing it in to the notifier.  Explicitly set the content type for the
    messages to 'application/json'.
    
    Change-Id: I2f83f51487541b951f3eca0ae4d160a64f5a3db1

commit c1b7b9c5aead3ab7c9b1e9e7670a670c76d9b7e3
Merge: f78b49d 85eb4df
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 22 21:57:26 2012 +0000

    Merge "Fixes lp959670"

commit f78b49df1c74b60bf1bfecd1a58376327f4ea9bf
Merge: 47384f7 801c39a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 22 18:49:32 2012 +0000

    Merge "Avoid leaking secrets into config logging."

commit 801c39ace66c7866a80aea3f26f5848afb416ee8
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Thu Mar 22 16:02:19 2012 +0000

    Avoid leaking secrets into config logging.
    
    Fixes bug 962385
    
    Configuration option values are logged when debug is enabled,
    which is in turn exposed via the glance-logcapture nose plugin
    when tests fail in Jenkins.
    
    Allow options to be declared secret so that their value is
    obfuscated before logging.
    
    Also proposed to openstack-common as:
    
      https://review.openstack.org/5694
    
    Change-Id: Ifdd1696f40c069f83c160afb0bf399da21796b8a

commit 85eb4df48082fd5c8402e17a4e290e7ff7f48dd5
Author: Matt Dietz <matt.dietz@rackspace.com>
Date:   Mon Mar 5 04:23:47 2012 +0000

    Fixes lp959670
    
    Manually sets the content_type in the notification message body. This allows any
    tools dependent on the content_type to function correctly.
    
    Change-Id: I496c005b84df5f4aa2c18ab2b3a4ab136b840111

commit 47384f7b56ebc4479dfb6cca02a5fe642e1f2bb0
Author: Dan Prince <dprince@redhat.com>
Date:   Wed Mar 21 21:10:23 2012 -0400

    Send output of stty test cmd to stderr.
    
    Send the output of the stty test for terminal size to stderr.
    
    Fixes LP Bug #961820.
    
    Change-Id: Ifc46632c9cf8bffb2dec7ef48f17157bf8ae1199

commit 56c7ba73deac0c2fa9ee1887e953428c40782114
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Tue Mar 20 22:07:02 2012 +0000

    Use unique per-test S3 bucket name.
    
    Addresses bug 955527
    
    Avoids a race between the S3 testcase body and the bucket clean-out
    in the S3 test teardown, running near concurrently in the Jenkins
    python26 and python27 builds.
    
    Change-Id: I10f013b02bb74db2cbfc692ed372121d21bca3fb

commit 773b3a89f51af406b22811dccc0ccc7cd2478700
Merge: cb15f06 4150aec
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 21 15:40:10 2012 +0000

    Merge "Specify location when creating s3 bucket."

commit 4150aecfcb1ae2314638301e2db6e808071dc148
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Wed Mar 21 11:54:21 2012 +0000

    Specify location when creating s3 bucket.
    
    Fixes bug 961050
    
    Avoids bucket creation failure when a region-specific S3 endpoint
    (e.g. s3-eu-west-1.amazonaws.com) and also bucket create-on-demand
    are configured.
    
    Change-Id: Ieba9c535ccb961a1f81bd2632b5ac49c23ac7901

commit cb15f0651a6a69a52709caa8aae3713400d45686
Merge: 086e4f3 3f462fb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 21 12:32:56 2012 +0000

    Merge "Fixed db conn recovery issue. Fixes bug 954971."

commit 086e4f32d88a119b0f29cf0cb6630d15cbea6cf1
Author: Thierry Carrez <thierry@openstack.org>
Date:   Tue Mar 20 23:01:09 2012 +0100

    Open Folsom
    
    Bump version to 2012.2 to formally open Folsom development.
    
    Change-Id: I3d86442fdd545842cbc1505cbc478e88747af90d

commit 15d9c8f371dd76bfd20b5718a662409ef3dff8f7
Author: Joe Gordon <jogo@cloudscaling.com>
Date:   Mon Mar 19 18:41:15 2012 -0700

    Update 'bin/glance add' docstring *_format options
    
    fix bug 960627
    
    * 'container_format' from glance/registery/db/api.py CONTAINER_FORMATS
    * 'disk_format' from glance/registery/db/api.py DISK_FORMATS
    container_format
    
    Change-Id: I842a2c6ff96030c863ef916e74fcba8dd952ae6e

commit b0a608c09f0cd83b8ab3cccc8a3851bc3c98733c
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Mar 20 09:17:52 2012 -0700

    Ensure all unauthorized reponses return 403
    
    * Clean up authorization vs authentication failures internally
    * Remove ambiguous exception.NotAuthorized in favour of exception.Forbidden for authorization failures
    * Add exception.NotAuthenticated to make authentication failures more clear
    * Fixes bug 956206
    
    Change-Id: I39ce0fcd77d4f06273040a2aa4913a9be911ceab

commit c4426e6352e0022498f80cb857b1f6b987020873
Merge: e0e7dcd a2dc56a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 19:29:58 2012 +0000

    Merge "Avoid leaking s3 credentials into logs."

commit e0e7dcd5abcdb7bbdf5959d829e43718beab48f1
Merge: 17397a9 23c222a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 18:53:16 2012 +0000

    Merge "Avoid glance-logcapture displaying empty logs."

commit a2dc56aaf2a43cc5e3db2ed901ccbdc5eb56857c
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Tue Mar 20 18:10:57 2012 +0000

    Avoid leaking s3 credentials into logs.
    
    Sanitize the S3 URI of access and secret key before logging.
    
    Change-Id: I12c74ddf8ab01848308c661c0fcbbb4f852a69b6

commit 23c222a70d75ea44959eaa8b3509f7bfdd5e1e22
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Tue Mar 20 17:17:00 2012 +0000

    Avoid glance-logcapture displaying empty logs.
    
    Stop polluting python26 test results with empty glance log
    captures for skipped tests.
    
    Change-Id: I7c6cfe35093c99142fc4f66aa95e1dc6cfad1b03

commit 17397a9ce70fff416acd7c9be52d94a9ed7d2330
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Mar 20 08:08:59 2012 -0700

    Add 'publicize_image' policy
    
    * Allow deployers apply RBAC rules to setting the is_public image attribute to True
    * Add docs for publicize_image and manage_image_cache policies
    * Fixes bug 960261
    
    Change-Id: I100a6c93377617cc0e774b6ee3a69e857a05c260

commit 4a093a45b3846c2416bec373b6107be589fb6afc
Merge: 04937d8 c00ba7d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 15:04:12 2012 +0000

    Merge "tox tests with run_tests.sh instead of nosetests"

commit 3f462fbf9a2b9cfe6ac39d87fe5b327ba82e9dac
Author: Unmesh Gurjar <unmesh.gurjar@vertex.co.in>
Date:   Tue Mar 20 12:07:39 2012 +0530

    Fixed db conn recovery issue. Fixes bug 954971.
    
    This implementation wraps the db method calls and retries the method if an attempt failed due to db connectivity issues. Defines 2 new configuration parameters viz sql_max_retries and sql_retry_interval (values default to 10 and 1 respectively).
    This implementation does not have any overhead in the normal case, as opposed to MySQLPingListener implementation, which does a 'select 1' query every time a connection is checkout from the pool.
    
    Change-Id: I24240f22bca445b9ab76a1594631b5eaca393b4d

commit 04937d813c1077afe050ede9fae0388c1ffedfdb
Merge: f5603c8 f6ba144
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 20 00:58:53 2012 +0000

    Merge "Don't use auth url to determine service protocol"

commit c00ba7db26b618e0c1b0ffe4af9865af228a3171
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Mon Mar 19 18:26:34 2012 +0000

    tox tests with run_tests.sh instead of nosetests
    
    In order to ensure the glance-logcapture plugin is loaded dynamically,
    we configure tox to drive tests with the run_tests.sh script intead of
    calling nosetests directly.
    
    This is intended as a temporary measure, pending promotion of the
    glance-logcapture plugin to openstack-nose.
    
    Change-Id: I556c751f4c2d31c1cbacd42d835ab436fb8f6988

commit f6ba144af86f7d41f6b2c6d895b557dd407f11b5
Author: Mark Washenberger <mark.washenberger@rackspace.com>
Date:   Fri Mar 16 19:06:00 2012 -0400

    Don't use auth url to determine service protocol
    
    Change the behavior of the command line glance client so that it no
    longer assumes that the glance service always has the same protocol type
    as the authentication service. Determine protocol from the given glance
    service url. If no url is given, allow users to specify the protocol on
    the command line with the --ssl option. If --ssl is not given, default
    to using http.
    
    Change-Id: I949c2ac429c67c3d1752a7b6fc840aa9e45fca8c

commit f5603c87282c2b25be9ba5af304be777e0f53766
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Mar 19 10:41:53 2012 -0700

    Use tenant/user ids rather than names
    
    * Add script that migrates image owners from user/tenant names to ids
    * Fixes bug 950364
    
    Change-Id: I157cb010ed0f8997bd2e1794e9c3b66eba75e36b

commit 265df1ebe85c9d6b133f94bcf84e1b472f080263
Merge: a5056e6 b3be2e4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 19 17:56:30 2012 +0000

    Merge "Update context middleware with supported headers"

commit a5056e6265216e70af66a9cf695004737927ca81
Merge: e364fc1 094ba9d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 19 17:14:57 2012 +0000

    Merge "Updating version of Keystone"

commit e364fc1eac533e8c282df14a813be26113ea8a56
Merge: c5cb723 2e94076
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 19 17:02:16 2012 +0000

    Merge "Disambiguates HTTP 401 and HTTP 403 in Glance. Fixes bug 956513."

commit b3be2e48657fd3f3ab045b250b836c8e4a892418
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Mar 19 08:50:24 2012 -0700

    Update context middleware with supported headers
    
    * This gets us off of deprecated headers, but doesnt get us away from using
      tenant name or user name
    * Fixes bug 957176
    
    Change-Id: I506299c392e30586759d253d4106d39917114e8a

commit c5cb723abb120cf6ea2041dffb1d6ca457e93cdb
Author: Jay Pipes <jaypipes@gmail.com>
Date:   Mon Mar 19 11:42:57 2012 -0400

    Fixes LP #957401 - Remove stray output on stderr
    
    * Removes a stray print statement that was in the
      API functional test
    * Does a NOOP log_message method to the request
      handler used in glance.tests.functional.store_utils
      to prevent output in test runs frmo the HTTP server
    
    Change-Id: I663593d9d666d35d3c2c1655598ef68304726fd4

commit 085f567e097bcfbf6a05ac168e75b9f2d0c19507
Merge: 0e00516 1f0c4ba
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 19 15:39:53 2012 +0000

    Merge "check connection in Listener. refer to Bug #943031"

commit 0e0051604eb3f8a65cbb7fda447d5266e86dadcf
Merge: a53c5c2 fdb56c8
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 19 15:28:22 2012 +0000

    Merge "Avoid tests leaking empty tmp dirs."

commit a53c5c26782194738c0122dec75aac4c0a0c40bf
Merge: c5ae321 5638fab
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 19 14:40:44 2012 +0000

    Merge "Do not error when service does not have 'type'."

commit c5ae3213a875cd63427b32f685472965ba464902
Merge: 8cb9275 5bd453b
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 19 13:17:50 2012 +0000

    Merge "Remove keystone.middleware.glance_auth_token"

commit 1f0c4ba67aced9a7ad857cddc0602b243bf38a10
Author: Peng Yong <ppyy@pubyun.com>
Date:   Mon Mar 19 00:23:03 2012 +0800

    check connection in Listener. refer to Bug #943031
    
    Change-Id: I78ec4304a4122c2854799d42737ba3b7bbb76137

commit fdb56c815c5d860236e02a7773f8a8d86b582b72
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Sun Mar 18 17:18:25 2012 +0000

    Avoid tests leaking empty tmp dirs.
    
    Stop the leakage of empty temporary dirs from TestConfigOpts,
    which is regularly causing the Jenkins build to fail.
    
    Change-Id: I0aee6bf55f49adbef948bc56d045639a75455e1a

commit 8cb92751c8686dfe0ac78b4d5156af8d2a9686ee
Merge: 9681f40 2145c24
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sun Mar 18 17:13:23 2012 +0000

    Merge "nose plugin to capture glance service logs"

commit 5bd453b14e3ea10600241e29ac09d0a35a27460b
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Mar 16 15:44:09 2012 -0700

    Remove keystone.middleware.glance_auth_token
    
    * The use of this middleware is no longer necessary
    * Fixes bug 957501
    
    Change-Id: I2536babe6b34aa0cb6aca2b3e768ac85800f93e7

commit 094ba9db22bde4cd06669098313c8aaefc487aa2
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Mar 16 15:27:18 2012 -0700

    Updating version of Keystone
    
    * Remove invalid Keystone + Glance functional tests
    * Fixes bug 957181
    
    Change-Id: Id6c2dfc8b80c3a8913bf054fd97831f7e58c892d

commit 9681f401307a3f625d15b61d61fd421c502bd9e5
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Mar 15 11:17:31 2012 -0700

    Add policy checks for cache manage middleware
    
    * Add checks for 'manage_image_cache' policy
    * Limit 'manage_image_cache' policy to 'admin' role by default
    * Fixes bug 954608
    
    Change-Id: Ie8d79201f39db5a9d8dd0d943056e33dc8498c21

commit 2145c24edbb97d5f53ba25260f5c5a4baa1832a9
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Fri Mar 16 20:52:44 2012 +0000

    nose plugin to capture glance service logs
    
    Adding custom nose plugin to capture entire glance service logs
    for failed tests.
    
    Disabled by default, enable by setting:
    
      $ NOSE_GLANCELOGCAPTURE=true ; ./run_tests.sh
    
    Change-Id: I8a3bd9529ec6adb8b98804e0ddc266a7ea8eca08

commit e1fae1d4bb7b86a800cb4be4418a4144599f2a70
Merge: 29b035b eff04c5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 16 20:35:25 2012 +0000

    Merge "Add admin_role option"

commit 29b035bcc53a514028e60076692e31a0772b8d5c
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Thu Mar 15 21:04:56 2012 +0000

    Add new UnexpectedStatus exception.
    
    Raise UnexpectedStatus as opposed to a generic Exception when
    an unexpected HTTP status is seen by the glance client.
    
    Further fix for bug 952618
    
    Change-Id: I222c7553e1a687aec0f6dde8215e4400ea6be2cb

commit 5638fabe4b5f63bdcb68b8e8d237584b259589b8
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Thu Mar 15 12:52:58 2012 -0400

    Do not error when service does not have 'type'.
    
    Although 'type' should be present, it would seem a NoServiceEndpoint
    exception would be more appropriate in the case of a misconfigured
    authentication service.
    
    Fixes bug 956178
    
    (Patch Set 2) Updated to add logging
    
    Change-Id: Ic8f552d8921107664cdd472f8476a9bd04322131

commit 2e94076ca43ee3f31b1fc7f46b4c137d36bcd7db
Author: Gabriel Hurley <gabriel@strikeawe.com>
Date:   Thu Mar 15 16:09:08 2012 -0700

    Disambiguates HTTP 401 and HTTP 403 in Glance. Fixes bug 956513.
    
    Change-Id: I82865293f60eabaf3bc40b40dc9c8612b12a6d1b

commit eff04c5612e613580e89349858d3e9ae4f5cc64c
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Mar 15 16:36:43 2012 -0700

    Add admin_role option
    
    * Allow a deployer to define the role that should give an authenticated
      user admin privileges. Defaults to 'admin'
    * Fixes bug 956547
    
    Change-Id: I018b9c438a12c527833ed8e2e6c377a93fde9130

commit 9f2de6c1e4f0e78c35f8bbbb530b46b793acbde9
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Fri Mar 16 10:53:00 2012 -0700

    Remove references to admin_token
    
    * Fixes bug 957193
    
    Change-Id: Id9e03dd195f4d859a983703b1ed1db0700ffd29d

commit 8a533f9cfeda10bb759b0aa68757e4cea2ce4b43
Merge: d759821 d453def
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 16 00:16:03 2012 +0000

    Merge "Remove glance-cache-queue-image"

commit d453def814dbfd41be8060712124b910b9484dae
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Mar 15 14:25:52 2012 -0700

    Remove glance-cache-queue-image
    
    * bin/glance-cache-queue-image duplicates functionality provided by
      bin/ glance-cache-manage, and it is currently broken. Let's just remove it.
    
    Change-Id: Ib18be2116055154047df6ca9b4c335323c8b2dde

commit d759821b287398f1422af862abaf133ed23e0736
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Mar 15 14:14:14 2012 -0700

    Remove dependency on apiv1app from cachemanage
    
    * Cache management middleware shouldn't depend on being deployed around
      the glance api v1 app. This breaks that dependency in favor of an
      isolated mapper in the cache management middleware.
    * Fixes bug 954596
    
    Change-Id: I3f4f56eac285163d1ce9c7dc1cef5178b16eefb6

commit e2e88d8aad7b9f7f2700bbb160058131f7e6d4ef
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Thu Mar 15 12:55:39 2012 -0700

    Return 403 when policy engine denies action
    
    * Fixes bug 956206
    
    Change-Id: I0447a1a86fed2456c912395a0ab7d6e0aba03f66

commit 3ae0ef012b6a571be14b747dd8f8e9694f145aa0
Merge: 0a19061 6619298
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 15 18:50:16 2012 +0000

    Merge "Ensure copy and original image IDs differ."

commit 0a19061141de1fb70c5e3dc1a5e47f11f5b068fe
Author: Dan Prince <dprince@redhat.com>
Date:   Thu Mar 15 13:28:20 2012 -0400

    Add error checking to get_terminal_size.
    
    Adds returncode error checking to get_terminal_size so that
    it doesn't spew errors to console when running glance commands
    in a shell without a TTY.
    
    Fixes LP Bug #956202.
    
    Change-Id: I42e155d168da1f4f25c0dea9ad9768686bd654ce

commit 223ed0658a1ac45b575166ece6a2c16661e2e493
Merge: 77f0f32 c593722
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 15 17:18:33 2012 +0000

    Merge "Well-formed exception types for 413 & 503."

commit 77f0f325f2abdca400f5414cecac39ec75b66171
Merge: 3a8103e 182b71e
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 15 16:47:40 2012 +0000

    Merge "Include babel.cfg and glance.pot in tarballs"

commit c5937221b50614b36d46e77827ab5ad1fd815bd6
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Wed Mar 14 11:24:59 2012 +0000

    Well-formed exception types for 413 & 503.
    
    Fixes bug 952618
    
    Raise well-formed exception types when 413 or 503
    status returned to client.
    
    Change-Id: I26118ff7ec7ba968b303435287d0eb3ff4bd443f

commit 6619298fc17b0cf8b9c0bd0be53162139c802eee
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Thu Mar 15 13:44:56 2012 +0000

    Ensure copy and original image IDs differ.
    
    Ensure the copy_from tests have unmarshalled a distinct ID for the
    copied image, in order to eliminate the possibility that the subsequent
    deletion of the original image impacts on the existence of the copy.
    
    Eliminates one bizarre and unlikely explanation for the test failures
    reported in bug 955527.
    
    Change-Id: If8d0720f6d08cdc57a3e01431bd3460d95a868a9

commit 182b71e9f2e2c502bd42b5c6132b93d9ce2a4f8e
Author: Thierry Carrez <thierry@openstack.org>
Date:   Thu Mar 15 14:05:01 2012 +0100

    Include babel.cfg and glance.pot in tarballs
    
    Ship babel.cfg and glance/locale/glance.pot in generated tarballs.
    Fixes bug 955977.
    
    Change-Id: Ib1b00fae9c3cc752183f38ea88554a06dd706d38

commit 3a8103e68cc27c9fc881b6fe6cd5d96d873aeb88
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Mar 13 15:33:33 2012 -0700

    Updating authentication docs
    
    * Update docs to reflect correct attribute names for configs and env vars
    * Remove old env var conversion tool
    * Fixes bug 952405
    
    Change-Id: I45b2519fe97e76987a9e0acda14b303ba75afd02

commit 50e5d3544d1cadbfb1f682d3de8a37dfbc5867dc
Merge: 2eeb000 65b1b84
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Mar 15 00:52:34 2012 +0000

    Merge "Change CLIAuth arg names"

commit 2eeb0001c4b387cb69309a205ac720f5cd41cfa4
Merge: 45b453b ee2d212
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 14 22:25:01 2012 +0000

    Merge "General cleanup"

commit 45b453b27695d3c10b417b02b19777fee236c2da
Merge: 66c3d31 b6b28d1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 14 22:09:13 2012 +0000

    Merge "Add note about cache config options"

commit 66c3d312199c0ee40cc4f926076a0c173bb02c50
Merge: 6be4e3f ce33576
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 14 22:01:01 2012 +0000

    Merge "Update cli docs"

commit 6be4e3fdcda230fee6b0cee7b35e41ebc90584d6
Merge: 5f0d40b 691deeb
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 14 21:52:48 2012 +0000

    Merge "Remove 'community' doc page"

commit 5f0d40b3afd19be5f5d4ef1ae3aaaf71f2c06e00
Merge: f1bc67c d9f4cbf
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 14 21:41:59 2012 +0000

    Merge "General docs cleanup"

commit ee2d212f81a20d31ea6a815453911d01e39a1c84
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Mar 14 13:29:01 2012 -0700

    General cleanup
    
    * Reorder imports
    * Remove unused code
    * Add missing copyright header in glance.api.v1.members
    * Pass in 'pool' to glance.store.scrubber.Scrubber._cleanup
    * Fix NameError in glance.api.v1.images.Controller: request -> req
    * Fix except block in glance.notifier to properly catch multiple exceptions
    
    Change-Id: I30d895b5ff1246e8d637720ef2f4aacab9cf7ede

commit d9f4cbfa7543b6deda8e0ad6aaa968ed423094ea
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Mar 13 15:49:57 2012 -0700

    General docs cleanup
    
    Change-Id: If60b8f4bca81add9353fe1e0c6e26eb3d4230d53

commit f1bc67c24bb3165acaf87b7bbdc48b23a8559534
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Mar 13 15:46:05 2012 -0700

    Remove todolist from docs
    
    * Fixes bug 954543
    
    Change-Id: Ib6ca8bbed18f1967108825b8b219a7d46336d11d

commit b4844500a6a722892b91539877b9ca4c1a1f6ed0
Merge: c52d73e 6e2f39d
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 14 18:20:18 2012 +0000

    Merge "Removing registry spec from docs"

commit c52d73e304aaca0f937f58add7bec2b24998c3ee
Merge: 55eb458 51a06aa
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Mar 14 17:49:11 2012 +0000

    Merge "Retry sendfile on EAGAIN or EBUSY"

commit b6b28d1ed45ea725f5d23c9a249a8ba32024cb4c
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Mar 14 10:07:34 2012 -0700

    Add note about cache config options
    
    The image cache configuration needs to be duplicated between glance-api.conf
    and glance-cache.conf. This adds a note in the documentation to help clarify
    that fact.
    
    Change-Id: I125a56fecadc89d127570581c3ddb5d3faa3475c

commit 65b1b84decefdd0b07895d5cf38d2f26ac407972
Author: Dean Troyer <dtroyer@gmail.com>
Date:   Tue Mar 13 20:44:03 2012 -0500

    Change CLIAuth arg names
    
    Change the argument names used for common Keystone authentication per the
    updated http://wiki.openstack.org/CLIAuth:
    
    --auth_url -> --os_auth_url
    --password -> --os_password
    --username -> --os_username
    --tenant_id -> os_tenant_id
    --tenant_name -> os_tenant_name
    --auth_strategy -> --os_auth_strategy
    --region -> os_region_name
    --auth_token -> os_auth_token (--auth_token is depricated but remains for compatability)
    
    Fixes bug 954530
    
    Change-Id: Ib7ff3325e5885852aeb3fcca9c5ad665b611e020

commit 51a06aab1c153ff30d71b0ce393cc015063ba7da
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Wed Mar 14 12:31:03 2012 +0000

    Retry sendfile on EAGAIN or EBUSY
    
    Addresses bug 954430
    
    The sendfile call is redriven after a blocking select()
    to ensure the socket is now writeable.
    
    Change-Id: I68242c76593405f78e30324c2913cead63463c77

commit 55eb4580b2f1a9ddaec5193b3d2c6bd6c4bfbaa7
Author: Derek Higgins <derekh@redhat.com>
Date:   Wed Mar 14 14:53:21 2012 +0000

    Add module name to ClientException
    
    Fixes Bug #955127
    
    Change-Id: I12c1d02de2ce06b840f4a726bc528d39d39d4979

commit ce33576e832fa933bfb381b5806ea2c49026bc3c
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Mar 13 18:57:41 2012 -0700

    Update cli docs
    
    * Add current examples
    * Remove happiness
    * Remove extraneous example flags
    
    Change-Id: Ia41d2b4763bba58ef60f140b24a0c925a8d68fca

commit 691deeb4a31d2dcd2156afae9c2c2076825470ce
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Mar 13 18:21:58 2012 -0700

    Remove 'community' doc page
    
    This page is duplicated several times over on the wiki, let's get rid of
    it rather than worry about keeping it up to date.
    
    Change-Id: I09a9c093b708526d6c73eb270b05131bfb715af0

commit 6e2f39d69b6a4c936982a5c941b1ffa0b57e94a7
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Tue Mar 13 16:01:08 2012 -0700

    Removing registry spec from docs
    
    * Rewords how we refer to to our 'reference' implementation of the registry
      API. glance-registry is an implementation detail of the main glance API, not
      an example of a community-driven API spec
    * Remove duplicate 'gettingstarted' information
    * Fixes bug 954554
    
    Change-Id: I889f61a399c398897f2146b756b2c3c310847718

commit 1615a1fc57da85caae147064c45967d90a9b73f6
Author: Jay Pipes <jaypipes@gmail.com>
Date:   Tue Mar 13 15:21:40 2012 -0400

    Fixes LP#934492 - Allow Null Name
    
    * Modify bin/glance to allow nullable name property,
      in accordance with API spec
    
    This changeset also adds a fix for Swift functional
    tests where HTTPS locations weren't being properly
    constructed.
    
    Change-Id: Ibad2d3ab150ee347449b4e9b3b9e941ce7a0fc6f

commit 101e3ef9f9c7cc1ccb5f9dfb8827be809b77ef99
Merge: 0ccd9f4 7125728
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Mar 12 18:52:06 2012 +0000

    Merge "Refresh SSL cfg after parsing service catalog entry"

commit 7125728d51adf0ded308f622913660f2d2ce2697
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Mon Mar 12 17:58:15 2012 +0000

    Refresh SSL cfg after parsing service catalog entry
    
    Fixes bug 949838
    
    Ensure connection kwargs are re-evaluated after the keystone service
    catalog publicURL for glance has been parsed for potential SSL usage.
    
    Otherwise the attempt to create a HTTPS connection will fail with
    missing __init__() args if the client is using auth-free SSL
    (i.e. is neither validating the server's cert, not authenticating
    itself to the server).
    
    Change-Id: I31c2083616297a64541cc6648d420e724baaf9f4

commit 0ccd9f46fe5946249132e8dccd713af37cd12fa7
Merge: 4d41027 95efaf0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Sat Mar 10 00:33:04 2012 +0000

    Merge "Fix typo in tox.ini."

commit 95efaf0a67951bcbcabf008315ad3e6bda4fd1bd
Author: James E. Blair <jeblair@hp.com>
Date:   Fri Mar 9 23:55:42 2012 +0000

    Fix typo in tox.ini.
    
    My last commit message was right, the code was wrong.  It's tox:jenkins.
    Commands are invalid in tox: sections, so we'll get pip freeze run
    another way.
    
    Change-Id: Iafa21ff47cf5e3d8f57676be93e2fa6a0d0ab9b4

commit 4d41027d219429b44b1036c85b3fb4a09e530121
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Mar 9 02:12:35 2012 -0500

    Glance cache updates to support Keystone Essex.
    
    Glance caching updates to support keystone service tenants:
    
     * Update glance-cache-manage so that it supports the same style OS_
      environment variables and CLI options for auth that bin/glance does.
    
     * Updates registry/client so that it supports Keystone KSL style
      service tenants. As services no longer use admin_tokens this is
      a requirement to be able to use caching w/ KSL.
    
    Fixes LP Bug #949486.
    
    Change-Id: I8d0e56a9ec0d20ef56ed2ce8b860d987ae159e01

commit b43b676e581efd0773a7f83715dcf2e834bd9c85
Author: Ken Pepple <ken.pepple@rabbityard.com>
Date:   Mon Feb 27 18:59:31 2012 -0800

    updates man page for glance-scrubber.
    this time with extra pep8 scrubbing powers.
    Fixes bug 908803
    
    Change-Id: I105cc3157fe839cc35ef5e1fc1a5f032b04d1c9d

commit c13dbdcf5a1a1aa72e7a4d34ab5f3f1fadf04858
Merge: 7041f19 4ef665a
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 9 16:06:58 2012 +0000

    Merge "Glance skip prompting if stdin isn't a tty"

commit 7041f19696e75c38c27e8dacaa7bbc8d56144af8
Merge: d6ba3b2 80cd81f
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 9 15:58:47 2012 +0000

    Merge "Replaced use of webob.Request.str_param"

commit d6ba3b23fffe85892a45c7785d644eb970bebc2d
Merge: 30dc759 630c9a5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 9 15:50:13 2012 +0000

    Merge "Fix deprecated warnings."

commit 30dc759f02a5d3332e6e93f4d5b06ccc5fe4b574
Merge: 21ab1a5 2773170
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 9 15:42:02 2012 +0000

    Merge "Update paste file to use service tenant."

commit 21ab1a57ce9e3fb167b68bb421d65557ffbdd5d9
Merge: cb70ff9 9e640d0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Fri Mar 9 05:59:14 2012 +0000

    Merge "Update bin/glance to allow for specifying image id"

commit cb70ff9f5103b3e42c83cef6f95db99cf2bdfd36
Author: James E. Blair <jeblair@hp.com>
Date:   Fri Mar 9 02:06:05 2012 +0000

    Update tox.ini for jenkins.
    
    The tox documentation is wrong, it looks for [tox:jenkins] instead
    of [tox:hudson].  Also, run "pip freeze" before running tests from
    within the virtualenv so we have a record of all versions used
    in each test run in Jenkins.
    
    Change-Id: Id0f34247f4545268f21dacb860d2e0fe72677a11

commit 80cd81f714ab6da60130f450f5c96ad279649871
Author: Maru Newby <mnewby@internap.com>
Date:   Wed Mar 7 21:55:56 2012 -0800

    Replaced use of webob.Request.str_param
    
     * Changed webob.Request.str_param => webob.Request.param to
       ensure compatibility with WebOb >= 1.2.
     * Fixes bug 949677
    
    Change-Id: I59c5af17fdef0754862ef6a0fda99978036112d9

commit 2773170d737a2acbe2b132d8568c0b1507d428e5
Author: Dan Prince <dprince@redhat.com>
Date:   Wed Mar 7 18:17:34 2012 -0500

    Update paste file to use service tenant.
    
    Update the keystone section of api-paste.ini with example settings
    for the keystone service tenant.
    
    Remove the admin_token example lines.
    
    Change-Id: I6169ae727a07e75879b5e2e5c4099c9688c726c6

commit 9e640d01498c03e97ba808fbec9477f3e12f8595
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Fri Mar 2 16:49:38 2012 -0500

    Update bin/glance to allow for specifying image id
    
    Fixes bug 945173
    
    Change-Id: Ic33db6ab846064b142cdb8e79a4fb7a0cb52b0c4

commit 630c9a594a97b3516476e3e04d516f08ec725f1f
Author: Chuck Short <chuck.short@canonical.com>
Date:   Wed Mar 7 10:44:31 2012 -0500

    Fix deprecated warnings.
    
    Fixes deprecated warnings when using sqlalchemy 0.7.4.
    Fixes bug 925609.
    
    Change-Id: I5ad5042dbc9785829694553f2657df3eb6e3ef20
    Signed-off-by: Chuck Short <chuck.short@canonical.com>

commit 3b229c394521e5b1b81e4629c6ff9c09e3b866c9
Merge: 91f88a0 bbf46b4
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 6 04:42:43 2012 +0000

    Merge "Remove trailing whitespaces in regular file"

commit 91f88a01202a4e7e93d7729544390743c4db2885
Merge: c6a626e d8f0c38
Author: Jenkins <jenkins@review.openstack.org>
Date:   Tue Mar 6 04:34:53 2012 +0000

    Merge "Added first step of babel-based translations."

commit bbf46b45cd4c0beafed4dd83008db310fb79ec2e
Author: Hengqing Hu <hudayou@hotmail.com>
Date:   Sat Mar 3 12:09:51 2012 +0800

    Remove trailing whitespaces in regular file
    
    Change-Id: I0d015501492902ddf7fda20e0381fc21fbcaeb91

commit c6a626e24321ba47ea075132deae3f948faa2e51
Author: Jesse Andrews <anotherjesse@gmail.com>
Date:   Fri Mar 2 16:03:13 2012 -0800

    add git commit date / sha1 to sphinx html docs
    
    Change-Id: I9f92a459fbf83bb42ff2fa31c2fb9c09372c8138

commit 4ef665a7cc1af14814f9cade3768b64447a6542f
Author: Ken Thomas <krt@yahoo-inc.com>
Date:   Thu Mar 1 13:09:23 2012 -0800

    Glance skip prompting if stdin isn't a tty
    
    Don't have glance issue prompts if stdin isn't a tty.  Fixes bug 884116.
    
    In glance's user_confirm routine, check if stdin is a tty and if
    not, just return the default value. If it is a tty, then continue
    with the raw_input call to issue the prompt and get the response.
    Latest patch includes recommended change to check for isatty attr before
    using it.
    
    Added myself to Authors.
    
    Change-Id: I8134668b8382b44618c86972190f3d7d98f55e52

commit 8d46288e9cfb10745adfb06a510ed93433a7a9c5
Author: Stuart McLaren <stuart.mclaren@hp.com>
Date:   Tue Feb 21 15:07:51 2012 +0000

    Allow region selection when using V2 keystone
    
    Fix for bug 936798. Allow a client to select which
    region endpoint they want from the service catalogue.
    
    The region can be set via the environment variable
    OS_REGION_NAME or via the '-R/--region' command line
    option.
    
    If a single image endpoint is returned from keystone,
    the client will use that even if no region was specified
    (the default). Where multiple endpoints exist a region
    must be provided.
    
    Change-Id: I6797f8ddf88d5875caf194913082c3fe24c86585

commit 1229d8df69b5823c1291e2862e1ecfaa79b4135a
Merge: e653a00 95dc869
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 29 17:44:52 2012 +0000

    Merge "Fix update of queued image with location set."

commit e653a0032d21729ebd4ec4edd0045cad0f0ab430
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Mon Feb 27 22:57:12 2012 +0000

    Disallow file:// sources on location or copy-from.
    
    Fixes bug #942118
    
    For security reasons, file:// URIs local to the glance services
    should not be supported as external sources (as specified via the
    x-image-meta-location or x-glance-api-copy-from headers).
    
    Change-Id: I43763cbefba95153434c7dcdcce3765ed04e05fe

commit 63f3af7c46296792f3ef06cbec7c1965d7087b6a
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Tue Feb 28 11:08:21 2012 +0000

    Progress bar causes intermittent test failures
    
    I'm seeing intermittent failures on:
    
      glance.tests.functional.test_misc:TestMiscellaneous
        test_api_treats_size_as_a_normal_property
    
    with a 'glance show' command failing with:
    
      STDERR: /bin/sh: line 1: $'\b\b\b\b\b\b[100%]': command not found
    
    apparently due to leakage of the progress bar output associated
    with the previously executed 'glance add' command.
    
    For the same reason, I see failures on:
    
      glance.tests.functional.test_bin_glance:TestBinGlance
        test_show_image_format
    
    Work-around by enabling silent-upload so that test are reliably green.
    
    Change-Id: Ib23e0a1f042d8e7950bddc485696a69338cf8620

commit d8f0c382ef1445ba8394c78ff7b50832451b9c8b
Author: Monty Taylor <mordred@inaugust.com>
Date:   Mon Feb 20 11:46:46 2012 -0800

    Added first step of babel-based translations.
    
    Change-Id: I34e3f49e96cf6e68306770781e8114e56a6b3556

commit b563deb7970f7611e10007a959851d538dfcbb0a
Merge: 45d0d3d 2090314
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 27 23:31:10 2012 +0000

    Merge "Add checksum to an external image during add."

commit 45d0d3d0b96ff5238cb09cde40c12a5ea643b169
Merge: 0613daa 7db2075
Author: Jenkins <jenkins@review.openstack.org>
Date:   Mon Feb 27 22:48:15 2012 +0000

    Merge "Complete fix for modification of unowned image"

commit 7db20754a0c9d853ff0a5e283dd7d483ab0c2755
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Mon Feb 27 12:59:52 2012 -0800

    Complete fix for modification of unowned image
    
    * Fully fixes bug 923941
    
    Change-Id: Ia155a4d76e75498629996aaddfc8fe0b41ce6760

commit 95dc869e3c36daaaee8da81f5d1701c938d1f8af
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Fri Feb 24 09:50:17 2012 +0000

    Fix update of queued image with location set.
    
    Fixes lp 939484
    
    When a queued image is updated with the x-image-meta-location header,
    the image size is retrieved from the external store if available and
    the metadata set appropriately.
    
    More importantly, the image is also activated at this point, otherwise
    it remains perpetually queued and cannot be retrieved via GET.
    
    Change-Id: Iae8b06479dcaa5e47785f646b1ebec202fe75371

commit 0613daa931d897fd3a91feef5e9747cdf60ebfe2
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Thu Feb 23 13:25:12 2012 +0000

    Support copy-from for queued images.
    
    Fixes lp 939481
    
    An image may be added referencing an external source via either
    the x-image-meta-location or x-glance-api-copy-from headers.
    
    Similarly, a queued image may be associated with an external source
    via the x-image-meta-location header.
    
    However previously a queued image could not have image content copied
    from an external source via the x-glance-api-copy-from header.
    
    This patch addresses this asymmetry in respect of POST versus PUT.
    
    Change-Id: I81848ba3a5d41e7e5b69daec491e83307023f020

commit 20903144e307784d382b6dac5591cddec19fcaa4
Author: Brian Lamar <brian.lamar@rackspace.com>
Date:   Wed Feb 22 17:02:07 2012 -0500

    Add checksum to an external image during add.
    
    If 'location=' is set during 'glance add' look for the checksum
    parameter and use that for the checksum. Currently it looks like there
    is no other way to update the checksum and it is being entered as NULL.
    
    (Patch Set 2) Added tests
    
    Change-Id: I1521d1c4a12e43d38c3e13c0735526f4f7789952

commit d26f66bce505cf6f5080e7b3aeaef914da110fe1
Author: Monty Taylor <mordred@inaugust.com>
Date:   Sat Feb 25 17:24:39 2012 -0800

    Align to jenkins tox patterns.
    
    Split requires in to pip-requires and test-requires.
    Updated install_venv to know about test-requires.
    
    Change-Id: I739f42c8676c40e2203cc0bc4aa9763ffac999a9

commit 9593687d3d1959c8342b60e9b620879899628c2f
Author: Thierry Carrez <thierry@openstack.org>
Date:   Fri Feb 24 16:00:39 2012 +0100

    Fix MANIFEST.in to include missing files
    
    Fix MANIFEST.in to include missing files in generated tarballs.
    Fixes bug 940364.
    
    Change-Id: I3f07dba902e5e038d2224d0acdbd14f2b1078467

commit f6e91994f92a9ba6fe5ea6cb61a7b1f15d3b392f
Author: Derek Higgins <derekh@redhat.com>
Date:   Thu Feb 23 15:46:01 2012 +0000

    Fix exception name
    
    Fixes bug 939616
    
    DataInvalid thrown by get_terminal_size is not a defined exception name
    Also added details to Authors
    
    Change-Id: Ia321d62d15b074aca69a5d0e5646966d7e297023

commit 44461b41f42d8eb23cc780c395b3c0fc5f6813c9
Merge: d998278 c83bce1
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 22 19:02:02 2012 +0000

    Merge "Support new image copied from external storage."

commit d998278162c90374229bd482eed0b0f00221662f
Merge: 76fec14 c0bce06
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 22 18:51:52 2012 +0000

    Merge "Correct kernel/ramdisk example in docs"

commit 76fec1476ba6f9c0e7d44a5859e2fd5f1ba68ef1
Merge: 8efa62d d5539b2
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 22 18:35:06 2012 +0000

    Merge "blueprint progressbar-upload-image"

commit c0bce060b89e50c135e1e0f888daf9c166e57e2c
Author: Brian Waldon <bcwaldon@gmail.com>
Date:   Wed Feb 22 02:30:15 2012 -0800

    Correct kernel/ramdisk example in docs
    
    * Fixes bug 937260
    
    Change-Id: I43ea7d5c1434cc9e1454f6915e2b76586383bb89

commit 8efa62d85b738a568b58c264e822414ccea8346e
Author: Justin Santa Barbara <justin@fathomdb.com>
Date:   Wed Feb 15 09:42:09 2012 -0800

    Create sorting/pagination helper function
    
    Change-Id: I5e9f3ba8298e50345ab4983db96a3f0ce90cab80

commit c83bce1ce69bf704fbbe6ce944094c14e79996d2
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Thu Feb 9 14:23:32 2012 +0000

    Support new image copied from external storage.
    
    Implements bp retrieve-image-from
    
    Added support for a new header:
    
      x-glance-api-copy-from: URI
    
    where URI is a HTTP, S3, or Swift location that's accessible to the
    glance API service. Where present, the image content is copied from
    the external store to the backend store currently configured for
    the glance API service.
    
    Impedence between the representation returned by Store.get() and
    the implicit requirements of Store.add() required careful iterator/
    filelike wrapping.
    
    Also rationalized the S3 and Swift functional test setup logic and
    added a new decorator-based mechanism to allow a functional testcase
    require multiple backend stores to be available and configured.
    
    Change-Id: If783a09c273832b8926aabc60b7eba8b3ab956d6

commit d5539b2ade1477c0e183c874be5818ad173307a8
Author: Reynolds Chin <benzwt@gmail.com>
Date:   Thu Feb 2 14:26:43 2012 +0800

    blueprint progressbar-upload-image
    
    The goal of this blueprint is to make cli more informative.
    Adds optional animated progressbar upload to the Glance CLI tool.
    This animation is spawned by a separated thread and the following information will be shown:
    
    1. running progressbar
    2. percentage of data has been transferred
    3. bandwidth
    4. ETA for transfer completion
    5. status such as uploading or stalled
    
    The animation can be disabled by adding the flag --silent-upload to the command "glance add"
    
    Change-Id: If954268c6d7b52c975f6c358134be4f587541aa8

commit f380c9e5745ff802ea8ec4fac8346c6e4d6b5261
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Wed Feb 22 15:28:20 2012 +0000

    Avoid TestClient error on missing '__mro__' attr
    
    The TestClient unit test fails with:
    
       AttributeError: class Zeros has no attribute '__mro__'
    
    on Python 2.6 running on Ubuntu Lucid.
    
    Resolve by defining Zeros as a new-style class.
    
    Change-Id: I97f8eaac31d34a68613e9b30a177191a9de281b0

commit 5f3137133054284ced41d3e6702e1dad4591c9c7
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Mon Feb 20 21:49:17 2012 +0000

    disk/container_format required on image activate
    
    Fixes lp 937216
    
    The initial change[1] to require the container and disk formats be
    explicitly set was enforced on the initial image POST, regardless
    of whether the image content accompanied that request (either in
    as the entity-body, or externally specified via x-image-meta-location).
    
    This turned out to be overly restrictive, as these formats may not
    be known to the caller until the image content is supplied via a
    subsequent PUT on the new image.
    
    Now we only enforce the strict requirement for these formats to be
    non-empty when the image is activated (as opposed to the initial
    enqueue).
    
    [1] https://github.com/openstack/glance/commit/62c913c3
    
    Change-Id: I89e068f35fd7da427b547b18cdea4ae84ab3ec87

commit 62c913c3ad4db1a03461f51304fac885196df8ca
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Fri Feb 17 13:46:49 2012 +0000

    Require container & disk formats on image create
    
    Fixes lp 933702
    
    For images created via the glance CLI, the container and disk formats
    were previously defaulted if not explicitly set. However if created via
    the python or REST APIs, these attributes were not defaulted if unset.
    
    There is no real sensible default for these formats, so now an image
    create fails with 400 "Bad Request" if the format metadata are missing.
    
    Also we ensure unset image metadata are not reported in x-image-meta-*
    headers in order to disambiguate None and empty string values.
    
    Change-Id: I8189383f5f9adf42a8cdac7f8dc7e9327baf46da

commit f8f9f17112671872262fcde9671ce392cf1af35c
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Wed Feb 15 16:04:07 2012 +0000

    Support non-UTC timestamps in changes-since filter
    
    Fixes glance aspect of lp 837464
    
    Prevously only Zulu time was supported in the changes-since filter,
    i.e. timestamps formatted as %Y-%m-%dT%H:%M:%SZ
    
    We now support arbitrary timezones, with the offset from UTC expressed
    via the ISO 8601 ±hh:mm notation.
    
    Microsecond accurracy is also optionally supported in timestamps.
    
    Notes:
    
    - glance.common.utils.parse_isotime(), isotime(), & normalize_time()
      are prime candidates for promotion to openstack-common, as these
      methods will be useful in nova also
    
    - this patch introduces a new dependency on python-iso8601, which
      has already been packaged for Fedora, EPEL and Ubuntu/Debian.
    
    Change-Id: I4c80522bcaa14feef93f5f9fbcaaca6a74b6a5f4

commit 45f9e05572303b5bd8ea8ee3f179bb2269bb091c
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Thu Feb 16 20:24:39 2012 +0000

    Return 503 if insufficient permission on filestore
    
    Fixes lp 919257
    
    Return 503 "Service Unavailable" status from POST /images request
    where there's insufficient permission to write image content to
    the backend filestore.
    
    Change-Id: I0c4e8bb1e70d6542852a86903a4a2a200dd23f01

commit 3b8ff189a16eb6f5f8c36ac49bc1f97cf645e8c4
Author: Dan Prince <dprince@redhat.com>
Date:   Fri Feb 17 11:51:42 2012 -0500

    Adds README.rst to the tarball.
    
    Fixes LP Bug #934320.
    
    Change-Id: Ib16ad8d5d1c418c2b3fd94b6bd427d53d30577ad

commit 1d2356c8642f61bfa05226110a18cafcef55c6f0
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Thu Feb 16 18:26:38 2012 +0000

    Ensure StorageFull only raised on space starvation
    
    Additional fix for lp 919255
    
    Limit StorageFull to cases of genuine disk space starvation (ENOSPC or
    EFBIG), in order to avoid confusion with 413 "Request entity too large"
    status being returned from POST /images for issues unrelated to space.
    
    Change-Id: Ib5e68e5d988d0f541803ffb3f37ddf88ac24e9dc

commit 941e160dc24096fd79a7f8dc4b6e2cd11c7c1e1a
Merge: b2eb008 3af64e5
Author: Jenkins <jenkins@review.openstack.org>
Date:   Thu Feb 16 15:09:33 2012 +0000

    Merge "Require auth URL if keystone strategy is enabled."

commit 3af64e56d23d3adddc1ded2e2c00e995d30444a8
Author: Eoghan Glynn <eglynn@redhat.com>
Date:   Tue Feb 14 11:08:01 2012 +0000

    Require auth URL if keystone strategy is enabled.
    
    Fixes bug 925681
    
    The glance CLI now fails fast if the keystone authentication strategy
    is enabled, but the --auth_url option or OS_AUTH_URL environment variable
    is not set.
    
    Change-Id: I73bfd4f19a3d882ad53d3d2c914ce11e48ce291d

commit b2eb008a7958d931c99af1b2b7f6c9369aeffc66
Merge: b90575d 59ca8b0
Author: Jenkins <jenkins@review.openstack.org>
Date:   Wed Feb 15 20:25:55 2012 +0000

    Merge "Function uses 'msg' not 'message'"

commit b90575d8e9b8001b1dc7ae5cfb4cc77e74151b69
Author: Adam Gandelman <adamg@canonical.com>
